
package com.netapp.nvpf.wsapi.v1.service;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for createDatastore complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="createDatastore">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="sessionId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="storageSystemId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="datastoreName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="targetHostMoRef" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="datastoreProtocol" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="containerName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="thinProvision" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="datastoreSizeinMB" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="blockSizeinMB" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="policyName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="useVfilerContext" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="vFilerContext" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "createDatastore", propOrder = {
    "sessionId",
    "storageSystemId",
    "datastoreName",
    "targetHostMoRef",
    "datastoreProtocol",
    "containerName",
    "thinProvision",
    "datastoreSizeinMB",
    "blockSizeinMB",
    "policyName",
    "useVfilerContext",
    "vFilerContext"
})
public class CreateDatastore {

    protected String sessionId;
    protected String storageSystemId;
    protected String datastoreName;
    protected String targetHostMoRef;
    protected String datastoreProtocol;
    protected String containerName;
    protected boolean thinProvision;
    protected long datastoreSizeinMB;
    protected int blockSizeinMB;
    protected String policyName;
    protected boolean useVfilerContext;
    protected String vFilerContext;

    /**
     * Gets the value of the sessionId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSessionId() {
        return sessionId;
    }

    /**
     * Sets the value of the sessionId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSessionId(String value) {
        this.sessionId = value;
    }

    /**
     * Gets the value of the storageSystemId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStorageSystemId() {
        return storageSystemId;
    }

    /**
     * Sets the value of the storageSystemId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStorageSystemId(String value) {
        this.storageSystemId = value;
    }

    /**
     * Gets the value of the datastoreName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatastoreName() {
        return datastoreName;
    }

    /**
     * Sets the value of the datastoreName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatastoreName(String value) {
        this.datastoreName = value;
    }

    /**
     * Gets the value of the targetHostMoRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTargetHostMoRef() {
        return targetHostMoRef;
    }

    /**
     * Sets the value of the targetHostMoRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTargetHostMoRef(String value) {
        this.targetHostMoRef = value;
    }

    /**
     * Gets the value of the datastoreProtocol property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatastoreProtocol() {
        return datastoreProtocol;
    }

    /**
     * Sets the value of the datastoreProtocol property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatastoreProtocol(String value) {
        this.datastoreProtocol = value;
    }

    /**
     * Gets the value of the containerName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContainerName() {
        return containerName;
    }

    /**
     * Sets the value of the containerName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContainerName(String value) {
        this.containerName = value;
    }

    /**
     * Gets the value of the thinProvision property.
     * 
     */
    public boolean isThinProvision() {
        return thinProvision;
    }

    /**
     * Sets the value of the thinProvision property.
     * 
     */
    public void setThinProvision(boolean value) {
        this.thinProvision = value;
    }

    /**
     * Gets the value of the datastoreSizeinMB property.
     * 
     */
    public long getDatastoreSizeinMB() {
        return datastoreSizeinMB;
    }

    /**
     * Sets the value of the datastoreSizeinMB property.
     * 
     */
    public void setDatastoreSizeinMB(long value) {
        this.datastoreSizeinMB = value;
    }

    /**
     * Gets the value of the blockSizeinMB property.
     * 
     */
    public int getBlockSizeinMB() {
        return blockSizeinMB;
    }

    /**
     * Sets the value of the blockSizeinMB property.
     * 
     */
    public void setBlockSizeinMB(int value) {
        this.blockSizeinMB = value;
    }

    /**
     * Gets the value of the policyName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPolicyName() {
        return policyName;
    }

    /**
     * Sets the value of the policyName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPolicyName(String value) {
        this.policyName = value;
    }

    /**
     * Gets the value of the useVfilerContext property.
     * 
     */
    public boolean isUseVfilerContext() {
        return useVfilerContext;
    }

    /**
     * Sets the value of the useVfilerContext property.
     * 
     */
    public void setUseVfilerContext(boolean value) {
        this.useVfilerContext = value;
    }

    /**
     * Gets the value of the vFilerContext property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVFilerContext() {
        return vFilerContext;
    }

    /**
     * Sets the value of the vFilerContext property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVFilerContext(String value) {
        this.vFilerContext = value;
    }

}
