
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for datastore complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="datastore">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="autoGrow" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="clusterName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="containerName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="datastoreName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="datastoreNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="datastoreOffsetGroup" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="datastoreType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dedupeEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="excludedFromScan" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="filerId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="freeSharedSpace" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="freeSpace" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="growIncrement" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="hostIp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="hostNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="lastScanned" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="lun" type="{http://service.v1.wsapi.nvpf.netapp.com/}lun" minOccurs="0"/>
 *         &lt;element name="mappedToQtreeWithQuota" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="maxGrowSize" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="mor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="numberOfDatastores" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="optimized" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="protocol" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="provisioningTargetStoragePod" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningTargetStoragePod" minOccurs="0"/>
 *         &lt;element name="storagePod" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningTargetStoragePod" minOccurs="0"/>
 *         &lt;element name="storageSystemId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="thinProvision" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="totalSpace" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="uuid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="virtualMachines" type="{http://service.v1.wsapi.nvpf.netapp.com/}virtualMachine" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="vmfsBlockSizeMB" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="vmfsMajorVersion" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="vmfsVersion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="volume" type="{http://service.v1.wsapi.nvpf.netapp.com/}volume" minOccurs="0"/>
 *         &lt;element name="wrapperVol" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "datastore", propOrder = {
    "autoGrow",
    "clusterName",
    "containerName",
    "datastoreName",
    "datastoreNames",
    "datastoreOffsetGroup",
    "datastoreType",
    "dedupeEnabled",
    "excludedFromScan",
    "filerId",
    "freeSharedSpace",
    "freeSpace",
    "growIncrement",
    "hostIp",
    "hostNames",
    "lastScanned",
    "lun",
    "mappedToQtreeWithQuota",
    "maxGrowSize",
    "mor",
    "name",
    "numberOfDatastores",
    "optimized",
    "protocol",
    "provisioningTargetStoragePod",
    "storagePod",
    "storageSystemId",
    "thinProvision",
    "totalSpace",
    "uuid",
    "virtualMachines",
    "vmfsBlockSizeMB",
    "vmfsMajorVersion",
    "vmfsVersion",
    "volume",
    "wrapperVol"
})
public class Datastore {

    protected boolean autoGrow;
    protected String clusterName;
    protected String containerName;
    protected String datastoreName;
    @XmlElement(nillable = true)
    protected List<String> datastoreNames;
    protected Integer datastoreOffsetGroup;
    protected String datastoreType;
    protected boolean dedupeEnabled;
    protected boolean excludedFromScan;
    protected String filerId;
    protected long freeSharedSpace;
    protected long freeSpace;
    protected long growIncrement;
    protected String hostIp;
    @XmlElement(nillable = true)
    protected List<String> hostNames;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar lastScanned;
    protected Lun lun;
    protected boolean mappedToQtreeWithQuota;
    protected long maxGrowSize;
    protected String mor;
    protected String name;
    protected int numberOfDatastores;
    protected Boolean optimized;
    protected String protocol;
    protected ProvisioningTargetStoragePod provisioningTargetStoragePod;
    protected ProvisioningTargetStoragePod storagePod;
    protected String storageSystemId;
    protected boolean thinProvision;
    protected long totalSpace;
    protected String uuid;
    @XmlElement(nillable = true)
    protected List<VirtualMachine> virtualMachines;
    protected Integer vmfsBlockSizeMB;
    protected int vmfsMajorVersion;
    protected String vmfsVersion;
    protected Volume volume;
    protected boolean wrapperVol;

    /**
     * Gets the value of the autoGrow property.
     * 
     */
    public boolean isAutoGrow() {
        return autoGrow;
    }

    /**
     * Sets the value of the autoGrow property.
     * 
     */
    public void setAutoGrow(boolean value) {
        this.autoGrow = value;
    }

    /**
     * Gets the value of the clusterName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getClusterName() {
        return clusterName;
    }

    /**
     * Sets the value of the clusterName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setClusterName(String value) {
        this.clusterName = value;
    }

    /**
     * Gets the value of the containerName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContainerName() {
        return containerName;
    }

    /**
     * Sets the value of the containerName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContainerName(String value) {
        this.containerName = value;
    }

    /**
     * Gets the value of the datastoreName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatastoreName() {
        return datastoreName;
    }

    /**
     * Sets the value of the datastoreName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatastoreName(String value) {
        this.datastoreName = value;
    }

    /**
     * Gets the value of the datastoreNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the datastoreNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDatastoreNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getDatastoreNames() {
        if (datastoreNames == null) {
            datastoreNames = new ArrayList<String>();
        }
        return this.datastoreNames;
    }

    /**
     * Gets the value of the datastoreOffsetGroup property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDatastoreOffsetGroup() {
        return datastoreOffsetGroup;
    }

    /**
     * Sets the value of the datastoreOffsetGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDatastoreOffsetGroup(Integer value) {
        this.datastoreOffsetGroup = value;
    }

    /**
     * Gets the value of the datastoreType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatastoreType() {
        return datastoreType;
    }

    /**
     * Sets the value of the datastoreType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatastoreType(String value) {
        this.datastoreType = value;
    }

    /**
     * Gets the value of the dedupeEnabled property.
     * 
     */
    public boolean isDedupeEnabled() {
        return dedupeEnabled;
    }

    /**
     * Sets the value of the dedupeEnabled property.
     * 
     */
    public void setDedupeEnabled(boolean value) {
        this.dedupeEnabled = value;
    }

    /**
     * Gets the value of the excludedFromScan property.
     * 
     */
    public boolean isExcludedFromScan() {
        return excludedFromScan;
    }

    /**
     * Sets the value of the excludedFromScan property.
     * 
     */
    public void setExcludedFromScan(boolean value) {
        this.excludedFromScan = value;
    }

    /**
     * Gets the value of the filerId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFilerId() {
        return filerId;
    }

    /**
     * Sets the value of the filerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFilerId(String value) {
        this.filerId = value;
    }

    /**
     * Gets the value of the freeSharedSpace property.
     * 
     */
    public long getFreeSharedSpace() {
        return freeSharedSpace;
    }

    /**
     * Sets the value of the freeSharedSpace property.
     * 
     */
    public void setFreeSharedSpace(long value) {
        this.freeSharedSpace = value;
    }

    /**
     * Gets the value of the freeSpace property.
     * 
     */
    public long getFreeSpace() {
        return freeSpace;
    }

    /**
     * Sets the value of the freeSpace property.
     * 
     */
    public void setFreeSpace(long value) {
        this.freeSpace = value;
    }

    /**
     * Gets the value of the growIncrement property.
     * 
     */
    public long getGrowIncrement() {
        return growIncrement;
    }

    /**
     * Sets the value of the growIncrement property.
     * 
     */
    public void setGrowIncrement(long value) {
        this.growIncrement = value;
    }

    /**
     * Gets the value of the hostIp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHostIp() {
        return hostIp;
    }

    /**
     * Sets the value of the hostIp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHostIp(String value) {
        this.hostIp = value;
    }

    /**
     * Gets the value of the hostNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the hostNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHostNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getHostNames() {
        if (hostNames == null) {
            hostNames = new ArrayList<String>();
        }
        return this.hostNames;
    }

    /**
     * Gets the value of the lastScanned property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getLastScanned() {
        return lastScanned;
    }

    /**
     * Sets the value of the lastScanned property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setLastScanned(XMLGregorianCalendar value) {
        this.lastScanned = value;
    }

    /**
     * Gets the value of the lun property.
     * 
     * @return
     *     possible object is
     *     {@link Lun }
     *     
     */
    public Lun getLun() {
        return lun;
    }

    /**
     * Sets the value of the lun property.
     * 
     * @param value
     *     allowed object is
     *     {@link Lun }
     *     
     */
    public void setLun(Lun value) {
        this.lun = value;
    }

    /**
     * Gets the value of the mappedToQtreeWithQuota property.
     * 
     */
    public boolean isMappedToQtreeWithQuota() {
        return mappedToQtreeWithQuota;
    }

    /**
     * Sets the value of the mappedToQtreeWithQuota property.
     * 
     */
    public void setMappedToQtreeWithQuota(boolean value) {
        this.mappedToQtreeWithQuota = value;
    }

    /**
     * Gets the value of the maxGrowSize property.
     * 
     */
    public long getMaxGrowSize() {
        return maxGrowSize;
    }

    /**
     * Sets the value of the maxGrowSize property.
     * 
     */
    public void setMaxGrowSize(long value) {
        this.maxGrowSize = value;
    }

    /**
     * Gets the value of the mor property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMor() {
        return mor;
    }

    /**
     * Sets the value of the mor property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMor(String value) {
        this.mor = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the numberOfDatastores property.
     * 
     */
    public int getNumberOfDatastores() {
        return numberOfDatastores;
    }

    /**
     * Sets the value of the numberOfDatastores property.
     * 
     */
    public void setNumberOfDatastores(int value) {
        this.numberOfDatastores = value;
    }

    /**
     * Gets the value of the optimized property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isOptimized() {
        return optimized;
    }

    /**
     * Sets the value of the optimized property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setOptimized(Boolean value) {
        this.optimized = value;
    }

    /**
     * Gets the value of the protocol property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProtocol() {
        return protocol;
    }

    /**
     * Sets the value of the protocol property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProtocol(String value) {
        this.protocol = value;
    }

    /**
     * Gets the value of the provisioningTargetStoragePod property.
     * 
     * @return
     *     possible object is
     *     {@link ProvisioningTargetStoragePod }
     *     
     */
    public ProvisioningTargetStoragePod getProvisioningTargetStoragePod() {
        return provisioningTargetStoragePod;
    }

    /**
     * Sets the value of the provisioningTargetStoragePod property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvisioningTargetStoragePod }
     *     
     */
    public void setProvisioningTargetStoragePod(ProvisioningTargetStoragePod value) {
        this.provisioningTargetStoragePod = value;
    }

    /**
     * Gets the value of the storagePod property.
     * 
     * @return
     *     possible object is
     *     {@link ProvisioningTargetStoragePod }
     *     
     */
    public ProvisioningTargetStoragePod getStoragePod() {
        return storagePod;
    }

    /**
     * Sets the value of the storagePod property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvisioningTargetStoragePod }
     *     
     */
    public void setStoragePod(ProvisioningTargetStoragePod value) {
        this.storagePod = value;
    }

    /**
     * Gets the value of the storageSystemId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStorageSystemId() {
        return storageSystemId;
    }

    /**
     * Sets the value of the storageSystemId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStorageSystemId(String value) {
        this.storageSystemId = value;
    }

    /**
     * Gets the value of the thinProvision property.
     * 
     */
    public boolean isThinProvision() {
        return thinProvision;
    }

    /**
     * Sets the value of the thinProvision property.
     * 
     */
    public void setThinProvision(boolean value) {
        this.thinProvision = value;
    }

    /**
     * Gets the value of the totalSpace property.
     * 
     */
    public long getTotalSpace() {
        return totalSpace;
    }

    /**
     * Sets the value of the totalSpace property.
     * 
     */
    public void setTotalSpace(long value) {
        this.totalSpace = value;
    }

    /**
     * Gets the value of the uuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * Sets the value of the uuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUuid(String value) {
        this.uuid = value;
    }

    /**
     * Gets the value of the virtualMachines property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the virtualMachines property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVirtualMachines().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VirtualMachine }
     * 
     * 
     */
    public List<VirtualMachine> getVirtualMachines() {
        if (virtualMachines == null) {
            virtualMachines = new ArrayList<VirtualMachine>();
        }
        return this.virtualMachines;
    }

    /**
     * Gets the value of the vmfsBlockSizeMB property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getVmfsBlockSizeMB() {
        return vmfsBlockSizeMB;
    }

    /**
     * Sets the value of the vmfsBlockSizeMB property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setVmfsBlockSizeMB(Integer value) {
        this.vmfsBlockSizeMB = value;
    }

    /**
     * Gets the value of the vmfsMajorVersion property.
     * 
     */
    public int getVmfsMajorVersion() {
        return vmfsMajorVersion;
    }

    /**
     * Sets the value of the vmfsMajorVersion property.
     * 
     */
    public void setVmfsMajorVersion(int value) {
        this.vmfsMajorVersion = value;
    }

    /**
     * Gets the value of the vmfsVersion property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVmfsVersion() {
        return vmfsVersion;
    }

    /**
     * Sets the value of the vmfsVersion property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVmfsVersion(String value) {
        this.vmfsVersion = value;
    }

    /**
     * Gets the value of the volume property.
     * 
     * @return
     *     possible object is
     *     {@link Volume }
     *     
     */
    public Volume getVolume() {
        return volume;
    }

    /**
     * Sets the value of the volume property.
     * 
     * @param value
     *     allowed object is
     *     {@link Volume }
     *     
     */
    public void setVolume(Volume value) {
        this.volume = value;
    }

    /**
     * Gets the value of the wrapperVol property.
     * 
     */
    public boolean isWrapperVol() {
        return wrapperVol;
    }

    /**
     * Sets the value of the wrapperVol property.
     * 
     */
    public void setWrapperVol(boolean value) {
        this.wrapperVol = value;
    }

}
