
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for host complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="host">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="adapterSettings" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="ipAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="monitorStatus" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="moref" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="mpioSettings" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="nfsSettings" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="password" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="patchCompatible" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="skipped" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="statusReason" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="username" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="virtualMachineMorefs" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="qFullSettings" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "host", propOrder = {
    "adapterSettings",
    "ipAddress",
    "monitorStatus",
    "moref",
    "mpioSettings",
    "name",
    "nfsSettings",
    "password",
    "patchCompatible",
    "skipped",
    "statusReason",
    "username",
    "version",
    "virtualMachineMorefs",
    "qFullSettings"
})
public class Host {

    protected boolean adapterSettings;
    protected String ipAddress;
    protected String monitorStatus;
    protected String moref;
    protected boolean mpioSettings;
    protected String name;
    protected boolean nfsSettings;
    protected String password;
    protected boolean patchCompatible;
    protected boolean skipped;
    protected String statusReason;
    protected String username;
    protected String version;
    @XmlElement(nillable = true)
    protected List<String> virtualMachineMorefs;
    protected boolean qFullSettings;

    /**
     * Gets the value of the adapterSettings property.
     * 
     */
    public boolean isAdapterSettings() {
        return adapterSettings;
    }

    /**
     * Sets the value of the adapterSettings property.
     * 
     */
    public void setAdapterSettings(boolean value) {
        this.adapterSettings = value;
    }

    /**
     * Gets the value of the ipAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIpAddress() {
        return ipAddress;
    }

    /**
     * Sets the value of the ipAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIpAddress(String value) {
        this.ipAddress = value;
    }

    /**
     * Gets the value of the monitorStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMonitorStatus() {
        return monitorStatus;
    }

    /**
     * Sets the value of the monitorStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMonitorStatus(String value) {
        this.monitorStatus = value;
    }

    /**
     * Gets the value of the moref property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMoref() {
        return moref;
    }

    /**
     * Sets the value of the moref property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMoref(String value) {
        this.moref = value;
    }

    /**
     * Gets the value of the mpioSettings property.
     * 
     */
    public boolean isMpioSettings() {
        return mpioSettings;
    }

    /**
     * Sets the value of the mpioSettings property.
     * 
     */
    public void setMpioSettings(boolean value) {
        this.mpioSettings = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the nfsSettings property.
     * 
     */
    public boolean isNfsSettings() {
        return nfsSettings;
    }

    /**
     * Sets the value of the nfsSettings property.
     * 
     */
    public void setNfsSettings(boolean value) {
        this.nfsSettings = value;
    }

    /**
     * Gets the value of the password property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPassword() {
        return password;
    }

    /**
     * Sets the value of the password property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPassword(String value) {
        this.password = value;
    }

    /**
     * Gets the value of the patchCompatible property.
     * 
     */
    public boolean isPatchCompatible() {
        return patchCompatible;
    }

    /**
     * Sets the value of the patchCompatible property.
     * 
     */
    public void setPatchCompatible(boolean value) {
        this.patchCompatible = value;
    }

    /**
     * Gets the value of the skipped property.
     * 
     */
    public boolean isSkipped() {
        return skipped;
    }

    /**
     * Sets the value of the skipped property.
     * 
     */
    public void setSkipped(boolean value) {
        this.skipped = value;
    }

    /**
     * Gets the value of the statusReason property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusReason() {
        return statusReason;
    }

    /**
     * Sets the value of the statusReason property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusReason(String value) {
        this.statusReason = value;
    }

    /**
     * Gets the value of the username property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUsername() {
        return username;
    }

    /**
     * Sets the value of the username property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUsername(String value) {
        this.username = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

    /**
     * Gets the value of the virtualMachineMorefs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the virtualMachineMorefs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVirtualMachineMorefs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getVirtualMachineMorefs() {
        if (virtualMachineMorefs == null) {
            virtualMachineMorefs = new ArrayList<String>();
        }
        return this.virtualMachineMorefs;
    }

    /**
     * Gets the value of the qFullSettings property.
     * 
     */
    public boolean isQFullSettings() {
        return qFullSettings;
    }

    /**
     * Sets the value of the qFullSettings property.
     * 
     */
    public void setQFullSettings(boolean value) {
        this.qFullSettings = value;
    }

}
