
package com.netapp.nvpf.wsapi.v1.service;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for inventoryItemTypeEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="inventoryItemTypeEnum">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="ROOT"/>
 *     &lt;enumeration value="FOLDER"/>
 *     &lt;enumeration value="DATA_CENTER"/>
 *     &lt;enumeration value="CLUSTER"/>
 *     &lt;enumeration value="HOST_SYSTEM"/>
 *     &lt;enumeration value="RESOURCE_POOL"/>
 *     &lt;enumeration value="VIRTUAL_APP"/>
 *     &lt;enumeration value="VCENTER_SERVER"/>
 *     &lt;enumeration value="VM_FOLDER"/>
 *     &lt;enumeration value="VIRTUAL_MACHINE"/>
 *     &lt;enumeration value="TEMPLATE"/>
 *     &lt;enumeration value="SNAPSHOT"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "inventoryItemTypeEnum")
@XmlEnum
public enum InventoryItemTypeEnum {

    ROOT,
    FOLDER,
    DATA_CENTER,
    CLUSTER,
    HOST_SYSTEM,
    RESOURCE_POOL,
    VIRTUAL_APP,
    VCENTER_SERVER,
    VM_FOLDER,
    VIRTUAL_MACHINE,
    TEMPLATE,
    SNAPSHOT;

    public String value() {
        return name();
    }

    public static InventoryItemTypeEnum fromValue(String v) {
        return valueOf(v);
    }

}
