
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for lun complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="lun">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="dirty" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="freeSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="igroups" type="{http://service.v1.wsapi.nvpf.netapp.com/}iGroup" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="multiStateAlua" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="path" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="serial" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="spaceReserve" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="spaceThreshold" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="thinProvisioned" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="totalSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="usedSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="volume" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "lun", propOrder = {
    "dirty",
    "freeSize",
    "igroups",
    "multiStateAlua",
    "name",
    "path",
    "serial",
    "spaceReserve",
    "spaceThreshold",
    "status",
    "thinProvisioned",
    "totalSize",
    "type",
    "usedSize",
    "volume"
})
public class Lun {

    protected boolean dirty;
    protected double freeSize;
    @XmlElement(nillable = true)
    protected List<IGroup> igroups;
    protected boolean multiStateAlua;
    protected String name;
    protected String path;
    protected String serial;
    protected boolean spaceReserve;
    protected String spaceThreshold;
    protected boolean status;
    protected boolean thinProvisioned;
    protected double totalSize;
    protected String type;
    protected double usedSize;
    protected String volume;

    /**
     * Gets the value of the dirty property.
     * 
     */
    public boolean isDirty() {
        return dirty;
    }

    /**
     * Sets the value of the dirty property.
     * 
     */
    public void setDirty(boolean value) {
        this.dirty = value;
    }

    /**
     * Gets the value of the freeSize property.
     * 
     */
    public double getFreeSize() {
        return freeSize;
    }

    /**
     * Sets the value of the freeSize property.
     * 
     */
    public void setFreeSize(double value) {
        this.freeSize = value;
    }

    /**
     * Gets the value of the igroups property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the igroups property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIgroups().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link IGroup }
     * 
     * 
     */
    public List<IGroup> getIgroups() {
        if (igroups == null) {
            igroups = new ArrayList<IGroup>();
        }
        return this.igroups;
    }

    /**
     * Gets the value of the multiStateAlua property.
     * 
     */
    public boolean isMultiStateAlua() {
        return multiStateAlua;
    }

    /**
     * Sets the value of the multiStateAlua property.
     * 
     */
    public void setMultiStateAlua(boolean value) {
        this.multiStateAlua = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the path property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPath() {
        return path;
    }

    /**
     * Sets the value of the path property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPath(String value) {
        this.path = value;
    }

    /**
     * Gets the value of the serial property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSerial() {
        return serial;
    }

    /**
     * Sets the value of the serial property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSerial(String value) {
        this.serial = value;
    }

    /**
     * Gets the value of the spaceReserve property.
     * 
     */
    public boolean isSpaceReserve() {
        return spaceReserve;
    }

    /**
     * Sets the value of the spaceReserve property.
     * 
     */
    public void setSpaceReserve(boolean value) {
        this.spaceReserve = value;
    }

    /**
     * Gets the value of the spaceThreshold property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSpaceThreshold() {
        return spaceThreshold;
    }

    /**
     * Sets the value of the spaceThreshold property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSpaceThreshold(String value) {
        this.spaceThreshold = value;
    }

    /**
     * Gets the value of the status property.
     * 
     */
    public boolean isStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     */
    public void setStatus(boolean value) {
        this.status = value;
    }

    /**
     * Gets the value of the thinProvisioned property.
     * 
     */
    public boolean isThinProvisioned() {
        return thinProvisioned;
    }

    /**
     * Sets the value of the thinProvisioned property.
     * 
     */
    public void setThinProvisioned(boolean value) {
        this.thinProvisioned = value;
    }

    /**
     * Gets the value of the totalSize property.
     * 
     */
    public double getTotalSize() {
        return totalSize;
    }

    /**
     * Sets the value of the totalSize property.
     * 
     */
    public void setTotalSize(double value) {
        this.totalSize = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the usedSize property.
     * 
     */
    public double getUsedSize() {
        return usedSize;
    }

    /**
     * Sets the value of the usedSize property.
     * 
     */
    public void setUsedSize(double value) {
        this.usedSize = value;
    }

    /**
     * Gets the value of the volume property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVolume() {
        return volume;
    }

    /**
     * Sets the value of the volume property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVolume(String value) {
        this.volume = value;
    }

}
