
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for migrationModel complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="migrationModel">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="aggrOrVolName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="alignmentType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="areDestinationsAllVSphere5" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="autoGrow" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="availableDatastores" type="{http://service.v1.wsapi.nvpf.netapp.com/}datastore" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="blockSize" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="blockSizeForSpec" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="createVolumeWrapper" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="datastore" type="{http://service.v1.wsapi.nvpf.netapp.com/}datastore" minOccurs="0"/>
 *         &lt;element name="datastoreName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="datastoreProtocol" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="datastoreSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="datastoreType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="datastoreVMMap">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                             &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}scannedVirtualMachineArray" minOccurs="0"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="fcpLicensingErrors" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningMessage" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="growIncrement" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="hostErrors" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningMessage" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="iscsiLicensingErrors" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningMessage" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="maxGrowSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="minDatastoreSizeGB" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="nfsLicensingErrors" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningMessage" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="offset" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="provisioningTargetStoragePod" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningTargetStoragePod" minOccurs="0"/>
 *         &lt;element name="provisioningTargetStorageSystem" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningTargetStorageSystem" minOccurs="0"/>
 *         &lt;element name="provisioningTargetStorageSystemDetail" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningTargetStorageSystemDetail" minOccurs="0"/>
 *         &lt;element name="qualifiedHosts" type="{http://service.v1.wsapi.nvpf.netapp.com/}migrationHost" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="storagePath" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="thinProvision" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="VFilerContext" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="vcontrollerId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="vfilerContext" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="vmsToAlign" type="{http://service.v1.wsapi.nvpf.netapp.com/}scannedVirtualMachine" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "migrationModel", propOrder = {
    "aggrOrVolName",
    "alignmentType",
    "areDestinationsAllVSphere5",
    "autoGrow",
    "availableDatastores",
    "blockSize",
    "blockSizeForSpec",
    "createVolumeWrapper",
    "datastore",
    "datastoreName",
    "datastoreProtocol",
    "datastoreSize",
    "datastoreType",
    "datastoreVMMap",
    "fcpLicensingErrors",
    "growIncrement",
    "hostErrors",
    "iscsiLicensingErrors",
    "maxGrowSize",
    "minDatastoreSizeGB",
    "nfsLicensingErrors",
    "offset",
    "provisioningTargetStoragePod",
    "provisioningTargetStorageSystem",
    "provisioningTargetStorageSystemDetail",
    "qualifiedHosts",
    "storagePath",
    "thinProvision",
    "vFilerContext",
    "vcontrollerId",
    "vfilerContext",
    "vmsToAlign"
})
public class MigrationModel {

    protected String aggrOrVolName;
    protected String alignmentType;
    protected boolean areDestinationsAllVSphere5;
    protected boolean autoGrow;
    @XmlElement(nillable = true)
    protected List<Datastore> availableDatastores;
    protected String blockSize;
    protected Integer blockSizeForSpec;
    protected boolean createVolumeWrapper;
    protected Datastore datastore;
    protected String datastoreName;
    protected String datastoreProtocol;
    protected double datastoreSize;
    protected String datastoreType;
    @XmlElement(required = true)
    protected MigrationModel.DatastoreVMMap datastoreVMMap;
    @XmlElement(nillable = true)
    protected List<ProvisioningMessage> fcpLicensingErrors;
    protected double growIncrement;
    @XmlElement(nillable = true)
    protected List<ProvisioningMessage> hostErrors;
    @XmlElement(nillable = true)
    protected List<ProvisioningMessage> iscsiLicensingErrors;
    protected double maxGrowSize;
    protected double minDatastoreSizeGB;
    @XmlElement(nillable = true)
    protected List<ProvisioningMessage> nfsLicensingErrors;
    protected Integer offset;
    protected ProvisioningTargetStoragePod provisioningTargetStoragePod;
    protected ProvisioningTargetStorageSystem provisioningTargetStorageSystem;
    protected ProvisioningTargetStorageSystemDetail provisioningTargetStorageSystemDetail;
    @XmlElement(nillable = true)
    protected List<MigrationHost> qualifiedHosts;
    protected String storagePath;
    protected boolean thinProvision;
    @XmlElement(name = "VFilerContext")
    protected boolean vFilerContext;
    protected String vcontrollerId;
    protected String vfilerContext;
    @XmlElement(nillable = true)
    protected List<ScannedVirtualMachine> vmsToAlign;

    /**
     * Gets the value of the aggrOrVolName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAggrOrVolName() {
        return aggrOrVolName;
    }

    /**
     * Sets the value of the aggrOrVolName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAggrOrVolName(String value) {
        this.aggrOrVolName = value;
    }

    /**
     * Gets the value of the alignmentType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAlignmentType() {
        return alignmentType;
    }

    /**
     * Sets the value of the alignmentType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAlignmentType(String value) {
        this.alignmentType = value;
    }

    /**
     * Gets the value of the areDestinationsAllVSphere5 property.
     * 
     */
    public boolean isAreDestinationsAllVSphere5() {
        return areDestinationsAllVSphere5;
    }

    /**
     * Sets the value of the areDestinationsAllVSphere5 property.
     * 
     */
    public void setAreDestinationsAllVSphere5(boolean value) {
        this.areDestinationsAllVSphere5 = value;
    }

    /**
     * Gets the value of the autoGrow property.
     * 
     */
    public boolean isAutoGrow() {
        return autoGrow;
    }

    /**
     * Sets the value of the autoGrow property.
     * 
     */
    public void setAutoGrow(boolean value) {
        this.autoGrow = value;
    }

    /**
     * Gets the value of the availableDatastores property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the availableDatastores property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAvailableDatastores().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Datastore }
     * 
     * 
     */
    public List<Datastore> getAvailableDatastores() {
        if (availableDatastores == null) {
            availableDatastores = new ArrayList<Datastore>();
        }
        return this.availableDatastores;
    }

    /**
     * Gets the value of the blockSize property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBlockSize() {
        return blockSize;
    }

    /**
     * Sets the value of the blockSize property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBlockSize(String value) {
        this.blockSize = value;
    }

    /**
     * Gets the value of the blockSizeForSpec property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getBlockSizeForSpec() {
        return blockSizeForSpec;
    }

    /**
     * Sets the value of the blockSizeForSpec property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setBlockSizeForSpec(Integer value) {
        this.blockSizeForSpec = value;
    }

    /**
     * Gets the value of the createVolumeWrapper property.
     * 
     */
    public boolean isCreateVolumeWrapper() {
        return createVolumeWrapper;
    }

    /**
     * Sets the value of the createVolumeWrapper property.
     * 
     */
    public void setCreateVolumeWrapper(boolean value) {
        this.createVolumeWrapper = value;
    }

    /**
     * Gets the value of the datastore property.
     * 
     * @return
     *     possible object is
     *     {@link Datastore }
     *     
     */
    public Datastore getDatastore() {
        return datastore;
    }

    /**
     * Sets the value of the datastore property.
     * 
     * @param value
     *     allowed object is
     *     {@link Datastore }
     *     
     */
    public void setDatastore(Datastore value) {
        this.datastore = value;
    }

    /**
     * Gets the value of the datastoreName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatastoreName() {
        return datastoreName;
    }

    /**
     * Sets the value of the datastoreName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatastoreName(String value) {
        this.datastoreName = value;
    }

    /**
     * Gets the value of the datastoreProtocol property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatastoreProtocol() {
        return datastoreProtocol;
    }

    /**
     * Sets the value of the datastoreProtocol property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatastoreProtocol(String value) {
        this.datastoreProtocol = value;
    }

    /**
     * Gets the value of the datastoreSize property.
     * 
     */
    public double getDatastoreSize() {
        return datastoreSize;
    }

    /**
     * Sets the value of the datastoreSize property.
     * 
     */
    public void setDatastoreSize(double value) {
        this.datastoreSize = value;
    }

    /**
     * Gets the value of the datastoreType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatastoreType() {
        return datastoreType;
    }

    /**
     * Sets the value of the datastoreType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatastoreType(String value) {
        this.datastoreType = value;
    }

    /**
     * Gets the value of the datastoreVMMap property.
     * 
     * @return
     *     possible object is
     *     {@link MigrationModel.DatastoreVMMap }
     *     
     */
    public MigrationModel.DatastoreVMMap getDatastoreVMMap() {
        return datastoreVMMap;
    }

    /**
     * Sets the value of the datastoreVMMap property.
     * 
     * @param value
     *     allowed object is
     *     {@link MigrationModel.DatastoreVMMap }
     *     
     */
    public void setDatastoreVMMap(MigrationModel.DatastoreVMMap value) {
        this.datastoreVMMap = value;
    }

    /**
     * Gets the value of the fcpLicensingErrors property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fcpLicensingErrors property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFcpLicensingErrors().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningMessage }
     * 
     * 
     */
    public List<ProvisioningMessage> getFcpLicensingErrors() {
        if (fcpLicensingErrors == null) {
            fcpLicensingErrors = new ArrayList<ProvisioningMessage>();
        }
        return this.fcpLicensingErrors;
    }

    /**
     * Gets the value of the growIncrement property.
     * 
     */
    public double getGrowIncrement() {
        return growIncrement;
    }

    /**
     * Sets the value of the growIncrement property.
     * 
     */
    public void setGrowIncrement(double value) {
        this.growIncrement = value;
    }

    /**
     * Gets the value of the hostErrors property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the hostErrors property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHostErrors().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningMessage }
     * 
     * 
     */
    public List<ProvisioningMessage> getHostErrors() {
        if (hostErrors == null) {
            hostErrors = new ArrayList<ProvisioningMessage>();
        }
        return this.hostErrors;
    }

    /**
     * Gets the value of the iscsiLicensingErrors property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the iscsiLicensingErrors property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIscsiLicensingErrors().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningMessage }
     * 
     * 
     */
    public List<ProvisioningMessage> getIscsiLicensingErrors() {
        if (iscsiLicensingErrors == null) {
            iscsiLicensingErrors = new ArrayList<ProvisioningMessage>();
        }
        return this.iscsiLicensingErrors;
    }

    /**
     * Gets the value of the maxGrowSize property.
     * 
     */
    public double getMaxGrowSize() {
        return maxGrowSize;
    }

    /**
     * Sets the value of the maxGrowSize property.
     * 
     */
    public void setMaxGrowSize(double value) {
        this.maxGrowSize = value;
    }

    /**
     * Gets the value of the minDatastoreSizeGB property.
     * 
     */
    public double getMinDatastoreSizeGB() {
        return minDatastoreSizeGB;
    }

    /**
     * Sets the value of the minDatastoreSizeGB property.
     * 
     */
    public void setMinDatastoreSizeGB(double value) {
        this.minDatastoreSizeGB = value;
    }

    /**
     * Gets the value of the nfsLicensingErrors property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the nfsLicensingErrors property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNfsLicensingErrors().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningMessage }
     * 
     * 
     */
    public List<ProvisioningMessage> getNfsLicensingErrors() {
        if (nfsLicensingErrors == null) {
            nfsLicensingErrors = new ArrayList<ProvisioningMessage>();
        }
        return this.nfsLicensingErrors;
    }

    /**
     * Gets the value of the offset property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOffset() {
        return offset;
    }

    /**
     * Sets the value of the offset property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOffset(Integer value) {
        this.offset = value;
    }

    /**
     * Gets the value of the provisioningTargetStoragePod property.
     * 
     * @return
     *     possible object is
     *     {@link ProvisioningTargetStoragePod }
     *     
     */
    public ProvisioningTargetStoragePod getProvisioningTargetStoragePod() {
        return provisioningTargetStoragePod;
    }

    /**
     * Sets the value of the provisioningTargetStoragePod property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvisioningTargetStoragePod }
     *     
     */
    public void setProvisioningTargetStoragePod(ProvisioningTargetStoragePod value) {
        this.provisioningTargetStoragePod = value;
    }

    /**
     * Gets the value of the provisioningTargetStorageSystem property.
     * 
     * @return
     *     possible object is
     *     {@link ProvisioningTargetStorageSystem }
     *     
     */
    public ProvisioningTargetStorageSystem getProvisioningTargetStorageSystem() {
        return provisioningTargetStorageSystem;
    }

    /**
     * Sets the value of the provisioningTargetStorageSystem property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvisioningTargetStorageSystem }
     *     
     */
    public void setProvisioningTargetStorageSystem(ProvisioningTargetStorageSystem value) {
        this.provisioningTargetStorageSystem = value;
    }

    /**
     * Gets the value of the provisioningTargetStorageSystemDetail property.
     * 
     * @return
     *     possible object is
     *     {@link ProvisioningTargetStorageSystemDetail }
     *     
     */
    public ProvisioningTargetStorageSystemDetail getProvisioningTargetStorageSystemDetail() {
        return provisioningTargetStorageSystemDetail;
    }

    /**
     * Sets the value of the provisioningTargetStorageSystemDetail property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvisioningTargetStorageSystemDetail }
     *     
     */
    public void setProvisioningTargetStorageSystemDetail(ProvisioningTargetStorageSystemDetail value) {
        this.provisioningTargetStorageSystemDetail = value;
    }

    /**
     * Gets the value of the qualifiedHosts property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the qualifiedHosts property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getQualifiedHosts().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MigrationHost }
     * 
     * 
     */
    public List<MigrationHost> getQualifiedHosts() {
        if (qualifiedHosts == null) {
            qualifiedHosts = new ArrayList<MigrationHost>();
        }
        return this.qualifiedHosts;
    }

    /**
     * Gets the value of the storagePath property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStoragePath() {
        return storagePath;
    }

    /**
     * Sets the value of the storagePath property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStoragePath(String value) {
        this.storagePath = value;
    }

    /**
     * Gets the value of the thinProvision property.
     * 
     */
    public boolean isThinProvision() {
        return thinProvision;
    }

    /**
     * Sets the value of the thinProvision property.
     * 
     */
    public void setThinProvision(boolean value) {
        this.thinProvision = value;
    }

    /**
     * Gets the value of the vFilerContext property.
     * 
     */
    public boolean isVFilerContext() {
        return vFilerContext;
    }

    /**
     * Sets the value of the vFilerContext property.
     * 
     */
    public void setVFilerContext(boolean value) {
        this.vFilerContext = value;
    }

    /**
     * Gets the value of the vcontrollerId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVcontrollerId() {
        return vcontrollerId;
    }

    /**
     * Sets the value of the vcontrollerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVcontrollerId(String value) {
        this.vcontrollerId = value;
    }

    /**
     * Gets the value of the vfilerContext property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVfilerContext() {
        return vfilerContext;
    }

    /**
     * Sets the value of the vfilerContext property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVfilerContext(String value) {
        this.vfilerContext = value;
    }

    /**
     * Gets the value of the vmsToAlign property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vmsToAlign property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVmsToAlign().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ScannedVirtualMachine }
     * 
     * 
     */
    public List<ScannedVirtualMachine> getVmsToAlign() {
        if (vmsToAlign == null) {
            vmsToAlign = new ArrayList<ScannedVirtualMachine>();
        }
        return this.vmsToAlign;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                   &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}scannedVirtualMachineArray" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "entry"
    })
    public static class DatastoreVMMap {

        protected List<MigrationModel.DatastoreVMMap.Entry> entry;

        /**
         * Gets the value of the entry property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the entry property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getEntry().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link MigrationModel.DatastoreVMMap.Entry }
         * 
         * 
         */
        public List<MigrationModel.DatastoreVMMap.Entry> getEntry() {
            if (entry == null) {
                entry = new ArrayList<MigrationModel.DatastoreVMMap.Entry>();
            }
            return this.entry;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *         &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}scannedVirtualMachineArray" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "key",
            "value"
        })
        public static class Entry {

            protected String key;
            protected ScannedVirtualMachineArray value;

            /**
             * Gets the value of the key property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getKey() {
                return key;
            }

            /**
             * Sets the value of the key property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setKey(String value) {
                this.key = value;
            }

            /**
             * Gets the value of the value property.
             * 
             * @return
             *     possible object is
             *     {@link ScannedVirtualMachineArray }
             *     
             */
            public ScannedVirtualMachineArray getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             * 
             * @param value
             *     allowed object is
             *     {@link ScannedVirtualMachineArray }
             *     
             */
            public void setValue(ScannedVirtualMachineArray value) {
                this.value = value;
            }

        }

    }

}
