
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for qtree complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="qtree">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="actualPathname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="anonymousUser" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="exportPathname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="exportPolicyName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="readOnlyHosts" type="{http://www.w3.org/2001/XMLSchema}anyType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="readWriteHosts" type="{http://www.w3.org/2001/XMLSchema}anyType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="rootAccessHosts" type="{http://www.w3.org/2001/XMLSchema}anyType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="security" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="volume" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "qtree", propOrder = {
    "actualPathname",
    "anonymousUser",
    "exportPathname",
    "exportPolicyName",
    "name",
    "readOnlyHosts",
    "readWriteHosts",
    "rootAccessHosts",
    "security",
    "status",
    "volume"
})
public class Qtree {

    protected String actualPathname;
    protected String anonymousUser;
    protected String exportPathname;
    protected String exportPolicyName;
    protected String name;
    @XmlElement(nillable = true)
    protected List<Object> readOnlyHosts;
    @XmlElement(nillable = true)
    protected List<Object> readWriteHosts;
    @XmlElement(nillable = true)
    protected List<Object> rootAccessHosts;
    protected String security;
    protected String status;
    protected String volume;

    /**
     * Gets the value of the actualPathname property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getActualPathname() {
        return actualPathname;
    }

    /**
     * Sets the value of the actualPathname property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setActualPathname(String value) {
        this.actualPathname = value;
    }

    /**
     * Gets the value of the anonymousUser property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAnonymousUser() {
        return anonymousUser;
    }

    /**
     * Sets the value of the anonymousUser property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAnonymousUser(String value) {
        this.anonymousUser = value;
    }

    /**
     * Gets the value of the exportPathname property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExportPathname() {
        return exportPathname;
    }

    /**
     * Sets the value of the exportPathname property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExportPathname(String value) {
        this.exportPathname = value;
    }

    /**
     * Gets the value of the exportPolicyName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExportPolicyName() {
        return exportPolicyName;
    }

    /**
     * Sets the value of the exportPolicyName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExportPolicyName(String value) {
        this.exportPolicyName = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the readOnlyHosts property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the readOnlyHosts property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReadOnlyHosts().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getReadOnlyHosts() {
        if (readOnlyHosts == null) {
            readOnlyHosts = new ArrayList<Object>();
        }
        return this.readOnlyHosts;
    }

    /**
     * Gets the value of the readWriteHosts property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the readWriteHosts property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReadWriteHosts().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getReadWriteHosts() {
        if (readWriteHosts == null) {
            readWriteHosts = new ArrayList<Object>();
        }
        return this.readWriteHosts;
    }

    /**
     * Gets the value of the rootAccessHosts property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rootAccessHosts property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRootAccessHosts().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getRootAccessHosts() {
        if (rootAccessHosts == null) {
            rootAccessHosts = new ArrayList<Object>();
        }
        return this.rootAccessHosts;
    }

    /**
     * Gets the value of the security property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSecurity() {
        return security;
    }

    /**
     * Sets the value of the security property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSecurity(String value) {
        this.security = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the volume property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVolume() {
        return volume;
    }

    /**
     * Sets the value of the volume property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVolume(String value) {
        this.volume = value;
    }

}
