
package com.netapp.nvpf.wsapi.v1.service;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for serviceId.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="serviceId">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Login"/>
 *     &lt;enumeration value="UpdateConnectionBroker"/>
 *     &lt;enumeration value="RemoveConnectionBrokers"/>
 *     &lt;enumeration value="GetConnectionBrokers"/>
 *     &lt;enumeration value="GetProvisioningPolicyNames"/>
 *     &lt;enumeration value="PolicyBasedProvisioningSupported"/>
 *     &lt;enumeration value="AddStorageSystem"/>
 *     &lt;enumeration value="DeleteStorageSystem"/>
 *     &lt;enumeration value="GetStorageSystemDetail"/>
 *     &lt;enumeration value="GetAllStorageSystems"/>
 *     &lt;enumeration value="UpdateStorageSystem"/>
 *     &lt;enumeration value="SetDefaultStorageSystemCredentials"/>
 *     &lt;enumeration value="UpdateAllStorageSystems"/>
 *     &lt;enumeration value="GetTaskStatus"/>
 *     &lt;enumeration value="ResizeDatastoreForVMFS"/>
 *     &lt;enumeration value="ResizeDatastoreForNFS"/>
 *     &lt;enumeration value="GetNasDetails"/>
 *     &lt;enumeration value="GetSanDetails"/>
 *     &lt;enumeration value="CreateDatastore"/>
 *     &lt;enumeration value="DestroyDatastore"/>
 *     &lt;enumeration value="MountDatastores"/>
 *     &lt;enumeration value="GetMountableDatastores"/>
 *     &lt;enumeration value="CreateClones"/>
 *     &lt;enumeration value="GetDestinationHostDetail"/>
 *     &lt;enumeration value="GetStorageSystemsForVMCloning"/>
 *     &lt;enumeration value="GetDatastoresForVMCloning"/>
 *     &lt;enumeration value="GetVirtualMachineFilesForVMCloning"/>
 *     &lt;enumeration value="CheckDatastoreNameExists"/>
 *     &lt;enumeration value="GetProvisionableStorageSystem"/>
 *     &lt;enumeration value="GetVmFolderTreeModel"/>
 *     &lt;enumeration value="GetExistingViewPoolNames"/>
 *     &lt;enumeration value="CheckDatastoreSpace"/>
 *     &lt;enumeration value="GetCloningLimits"/>
 *     &lt;enumeration value="StartAlignmentScan"/>
 *     &lt;enumeration value="GetDatastoreOptimizationDetails"/>
 *     &lt;enumeration value="GetVirtualMachineAlignmentResult"/>
 *     &lt;enumeration value="SaveScheduledTimes"/>
 *     &lt;enumeration value="ReclaimSpace"/>
 *     &lt;enumeration value="ValidateControllerForMigration"/>
 *     &lt;enumeration value="GetMoref"/>
 *     &lt;enumeration value="CheckDatastoreNameExistsByScannedVM"/>
 *     &lt;enumeration value="GetProvisioningTargetStorageSystemDetail"/>
 *     &lt;enumeration value="GetDatastores"/>
 *     &lt;enumeration value="MigrateVirtualMachines"/>
 *     &lt;enumeration value="GetMigrationModel"/>
 *     &lt;enumeration value="GetStorageSystemPrivileges"/>
 *     &lt;enumeration value="GetHostList"/>
 *     &lt;enumeration value="Logout"/>
 *     &lt;enumeration value="Wait"/>
 *     &lt;enumeration value="GetAllTasks"/>
 *     &lt;enumeration value="GetStorageSystemId"/>
 *     &lt;enumeration value="GetScanJobStatus"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "serviceId")
@XmlEnum
public enum ServiceId {

    @XmlEnumValue("Login")
    LOGIN("Login"),
    @XmlEnumValue("UpdateConnectionBroker")
    UPDATE_CONNECTION_BROKER("UpdateConnectionBroker"),
    @XmlEnumValue("RemoveConnectionBrokers")
    REMOVE_CONNECTION_BROKERS("RemoveConnectionBrokers"),
    @XmlEnumValue("GetConnectionBrokers")
    GET_CONNECTION_BROKERS("GetConnectionBrokers"),
    @XmlEnumValue("GetProvisioningPolicyNames")
    GET_PROVISIONING_POLICY_NAMES("GetProvisioningPolicyNames"),
    @XmlEnumValue("PolicyBasedProvisioningSupported")
    POLICY_BASED_PROVISIONING_SUPPORTED("PolicyBasedProvisioningSupported"),
    @XmlEnumValue("AddStorageSystem")
    ADD_STORAGE_SYSTEM("AddStorageSystem"),
    @XmlEnumValue("DeleteStorageSystem")
    DELETE_STORAGE_SYSTEM("DeleteStorageSystem"),
    @XmlEnumValue("GetStorageSystemDetail")
    GET_STORAGE_SYSTEM_DETAIL("GetStorageSystemDetail"),
    @XmlEnumValue("GetAllStorageSystems")
    GET_ALL_STORAGE_SYSTEMS("GetAllStorageSystems"),
    @XmlEnumValue("UpdateStorageSystem")
    UPDATE_STORAGE_SYSTEM("UpdateStorageSystem"),
    @XmlEnumValue("SetDefaultStorageSystemCredentials")
    SET_DEFAULT_STORAGE_SYSTEM_CREDENTIALS("SetDefaultStorageSystemCredentials"),
    @XmlEnumValue("UpdateAllStorageSystems")
    UPDATE_ALL_STORAGE_SYSTEMS("UpdateAllStorageSystems"),
    @XmlEnumValue("GetTaskStatus")
    GET_TASK_STATUS("GetTaskStatus"),
    @XmlEnumValue("ResizeDatastoreForVMFS")
    RESIZE_DATASTORE_FOR_VMFS("ResizeDatastoreForVMFS"),
    @XmlEnumValue("ResizeDatastoreForNFS")
    RESIZE_DATASTORE_FOR_NFS("ResizeDatastoreForNFS"),
    @XmlEnumValue("GetNasDetails")
    GET_NAS_DETAILS("GetNasDetails"),
    @XmlEnumValue("GetSanDetails")
    GET_SAN_DETAILS("GetSanDetails"),
    @XmlEnumValue("CreateDatastore")
    CREATE_DATASTORE("CreateDatastore"),
    @XmlEnumValue("DestroyDatastore")
    DESTROY_DATASTORE("DestroyDatastore"),
    @XmlEnumValue("MountDatastores")
    MOUNT_DATASTORES("MountDatastores"),
    @XmlEnumValue("GetMountableDatastores")
    GET_MOUNTABLE_DATASTORES("GetMountableDatastores"),
    @XmlEnumValue("CreateClones")
    CREATE_CLONES("CreateClones"),
    @XmlEnumValue("GetDestinationHostDetail")
    GET_DESTINATION_HOST_DETAIL("GetDestinationHostDetail"),
    @XmlEnumValue("GetStorageSystemsForVMCloning")
    GET_STORAGE_SYSTEMS_FOR_VM_CLONING("GetStorageSystemsForVMCloning"),
    @XmlEnumValue("GetDatastoresForVMCloning")
    GET_DATASTORES_FOR_VM_CLONING("GetDatastoresForVMCloning"),
    @XmlEnumValue("GetVirtualMachineFilesForVMCloning")
    GET_VIRTUAL_MACHINE_FILES_FOR_VM_CLONING("GetVirtualMachineFilesForVMCloning"),
    @XmlEnumValue("CheckDatastoreNameExists")
    CHECK_DATASTORE_NAME_EXISTS("CheckDatastoreNameExists"),
    @XmlEnumValue("GetProvisionableStorageSystem")
    GET_PROVISIONABLE_STORAGE_SYSTEM("GetProvisionableStorageSystem"),
    @XmlEnumValue("GetVmFolderTreeModel")
    GET_VM_FOLDER_TREE_MODEL("GetVmFolderTreeModel"),
    @XmlEnumValue("GetExistingViewPoolNames")
    GET_EXISTING_VIEW_POOL_NAMES("GetExistingViewPoolNames"),
    @XmlEnumValue("CheckDatastoreSpace")
    CHECK_DATASTORE_SPACE("CheckDatastoreSpace"),
    @XmlEnumValue("GetCloningLimits")
    GET_CLONING_LIMITS("GetCloningLimits"),
    @XmlEnumValue("StartAlignmentScan")
    START_ALIGNMENT_SCAN("StartAlignmentScan"),
    @XmlEnumValue("GetDatastoreOptimizationDetails")
    GET_DATASTORE_OPTIMIZATION_DETAILS("GetDatastoreOptimizationDetails"),
    @XmlEnumValue("GetVirtualMachineAlignmentResult")
    GET_VIRTUAL_MACHINE_ALIGNMENT_RESULT("GetVirtualMachineAlignmentResult"),
    @XmlEnumValue("SaveScheduledTimes")
    SAVE_SCHEDULED_TIMES("SaveScheduledTimes"),
    @XmlEnumValue("ReclaimSpace")
    RECLAIM_SPACE("ReclaimSpace"),
    @XmlEnumValue("ValidateControllerForMigration")
    VALIDATE_CONTROLLER_FOR_MIGRATION("ValidateControllerForMigration"),
    @XmlEnumValue("GetMoref")
    GET_MOREF("GetMoref"),
    @XmlEnumValue("CheckDatastoreNameExistsByScannedVM")
    CHECK_DATASTORE_NAME_EXISTS_BY_SCANNED_VM("CheckDatastoreNameExistsByScannedVM"),
    @XmlEnumValue("GetProvisioningTargetStorageSystemDetail")
    GET_PROVISIONING_TARGET_STORAGE_SYSTEM_DETAIL("GetProvisioningTargetStorageSystemDetail"),
    @XmlEnumValue("GetDatastores")
    GET_DATASTORES("GetDatastores"),
    @XmlEnumValue("MigrateVirtualMachines")
    MIGRATE_VIRTUAL_MACHINES("MigrateVirtualMachines"),
    @XmlEnumValue("GetMigrationModel")
    GET_MIGRATION_MODEL("GetMigrationModel"),
    @XmlEnumValue("GetStorageSystemPrivileges")
    GET_STORAGE_SYSTEM_PRIVILEGES("GetStorageSystemPrivileges"),
    @XmlEnumValue("GetHostList")
    GET_HOST_LIST("GetHostList"),
    @XmlEnumValue("Logout")
    LOGOUT("Logout"),
    @XmlEnumValue("Wait")
    WAIT("Wait"),
    @XmlEnumValue("GetAllTasks")
    GET_ALL_TASKS("GetAllTasks"),
    @XmlEnumValue("GetStorageSystemId")
    GET_STORAGE_SYSTEM_ID("GetStorageSystemId"),
    @XmlEnumValue("GetScanJobStatus")
    GET_SCAN_JOB_STATUS("GetScanJobStatus");
    private final String value;

    ServiceId(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ServiceId fromValue(String v) {
        for (ServiceId c: ServiceId.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
