
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for storageSystemPrivilegeOpinionBean complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="storageSystemPrivilegeOpinionBean">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="allowedRoles" type="{http://service.v1.wsapi.nvpf.netapp.com/}storageSystemPrivilegeInfoBean" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="directVfiler" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="directVserver" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="disallowedRoles" type="{http://service.v1.wsapi.nvpf.netapp.com/}storageSystemPrivilegeInfoBean" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="totalBean" type="{http://service.v1.wsapi.nvpf.netapp.com/}storageSystemPrivilegeInfoBean" minOccurs="0"/>
 *         &lt;element name="username" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "storageSystemPrivilegeOpinionBean", propOrder = {
    "allowedRoles",
    "directVfiler",
    "directVserver",
    "disallowedRoles",
    "totalBean",
    "username"
})
public class StorageSystemPrivilegeOpinionBean {

    @XmlElement(nillable = true)
    protected List<StorageSystemPrivilegeInfoBean> allowedRoles;
    protected boolean directVfiler;
    protected boolean directVserver;
    @XmlElement(nillable = true)
    protected List<StorageSystemPrivilegeInfoBean> disallowedRoles;
    protected StorageSystemPrivilegeInfoBean totalBean;
    protected String username;

    /**
     * Gets the value of the allowedRoles property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the allowedRoles property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAllowedRoles().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StorageSystemPrivilegeInfoBean }
     * 
     * 
     */
    public List<StorageSystemPrivilegeInfoBean> getAllowedRoles() {
        if (allowedRoles == null) {
            allowedRoles = new ArrayList<StorageSystemPrivilegeInfoBean>();
        }
        return this.allowedRoles;
    }

    /**
     * Gets the value of the directVfiler property.
     * 
     */
    public boolean isDirectVfiler() {
        return directVfiler;
    }

    /**
     * Sets the value of the directVfiler property.
     * 
     */
    public void setDirectVfiler(boolean value) {
        this.directVfiler = value;
    }

    /**
     * Gets the value of the directVserver property.
     * 
     */
    public boolean isDirectVserver() {
        return directVserver;
    }

    /**
     * Sets the value of the directVserver property.
     * 
     */
    public void setDirectVserver(boolean value) {
        this.directVserver = value;
    }

    /**
     * Gets the value of the disallowedRoles property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the disallowedRoles property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDisallowedRoles().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StorageSystemPrivilegeInfoBean }
     * 
     * 
     */
    public List<StorageSystemPrivilegeInfoBean> getDisallowedRoles() {
        if (disallowedRoles == null) {
            disallowedRoles = new ArrayList<StorageSystemPrivilegeInfoBean>();
        }
        return this.disallowedRoles;
    }

    /**
     * Gets the value of the totalBean property.
     * 
     * @return
     *     possible object is
     *     {@link StorageSystemPrivilegeInfoBean }
     *     
     */
    public StorageSystemPrivilegeInfoBean getTotalBean() {
        return totalBean;
    }

    /**
     * Sets the value of the totalBean property.
     * 
     * @param value
     *     allowed object is
     *     {@link StorageSystemPrivilegeInfoBean }
     *     
     */
    public void setTotalBean(StorageSystemPrivilegeInfoBean value) {
        this.totalBean = value;
    }

    /**
     * Gets the value of the username property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUsername() {
        return username;
    }

    /**
     * Sets the value of the username property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUsername(String value) {
        this.username = value;
    }

}
