
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for virtualMachine complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="virtualMachine">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="cloneParent" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="datastoreUsage" type="{http://service.v1.wsapi.nvpf.netapp.com/}datastoreVmUsage" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="displayPowerState" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="entirelyFlat" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="entirelySparse" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="guestCustomizationSpec" type="{http://service.v1.wsapi.nvpf.netapp.com/}guestCustomizationSpec" minOccurs="0"/>
 *         &lt;element name="hardwareVersion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="instanceUuid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="lastDeployedDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="maxAvailablePorts" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="moref" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="partialBackup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="password" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="port" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="powerState" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="template" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="username" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="uuid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="vmFiles" type="{http://service.v1.wsapi.nvpf.netapp.com/}virtualMachineFile" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="vmMemoryInMb" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="vDisks" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "virtualMachine", propOrder = {
    "cloneParent",
    "datastoreUsage",
    "displayPowerState",
    "entirelyFlat",
    "entirelySparse",
    "guestCustomizationSpec",
    "hardwareVersion",
    "instanceUuid",
    "lastDeployedDate",
    "maxAvailablePorts",
    "moref",
    "name",
    "partialBackup",
    "password",
    "port",
    "powerState",
    "template",
    "username",
    "uuid",
    "vmFiles",
    "vmMemoryInMb",
    "vDisks"
})
public class VirtualMachine {

    protected boolean cloneParent;
    @XmlElement(nillable = true)
    protected List<DatastoreVmUsage> datastoreUsage;
    protected String displayPowerState;
    protected boolean entirelyFlat;
    protected boolean entirelySparse;
    protected GuestCustomizationSpec guestCustomizationSpec;
    protected String hardwareVersion;
    protected String instanceUuid;
    protected String lastDeployedDate;
    protected int maxAvailablePorts;
    protected String moref;
    protected String name;
    protected boolean partialBackup;
    protected String password;
    protected int port;
    protected int powerState;
    protected boolean template;
    protected String username;
    protected String uuid;
    @XmlElement(nillable = true)
    protected List<VirtualMachineFile> vmFiles;
    protected int vmMemoryInMb;
    @XmlElement(nillable = true)
    protected List<String> vDisks;

    /**
     * Gets the value of the cloneParent property.
     * 
     */
    public boolean isCloneParent() {
        return cloneParent;
    }

    /**
     * Sets the value of the cloneParent property.
     * 
     */
    public void setCloneParent(boolean value) {
        this.cloneParent = value;
    }

    /**
     * Gets the value of the datastoreUsage property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the datastoreUsage property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDatastoreUsage().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DatastoreVmUsage }
     * 
     * 
     */
    public List<DatastoreVmUsage> getDatastoreUsage() {
        if (datastoreUsage == null) {
            datastoreUsage = new ArrayList<DatastoreVmUsage>();
        }
        return this.datastoreUsage;
    }

    /**
     * Gets the value of the displayPowerState property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDisplayPowerState() {
        return displayPowerState;
    }

    /**
     * Sets the value of the displayPowerState property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDisplayPowerState(String value) {
        this.displayPowerState = value;
    }

    /**
     * Gets the value of the entirelyFlat property.
     * 
     */
    public boolean isEntirelyFlat() {
        return entirelyFlat;
    }

    /**
     * Sets the value of the entirelyFlat property.
     * 
     */
    public void setEntirelyFlat(boolean value) {
        this.entirelyFlat = value;
    }

    /**
     * Gets the value of the entirelySparse property.
     * 
     */
    public boolean isEntirelySparse() {
        return entirelySparse;
    }

    /**
     * Sets the value of the entirelySparse property.
     * 
     */
    public void setEntirelySparse(boolean value) {
        this.entirelySparse = value;
    }

    /**
     * Gets the value of the guestCustomizationSpec property.
     * 
     * @return
     *     possible object is
     *     {@link GuestCustomizationSpec }
     *     
     */
    public GuestCustomizationSpec getGuestCustomizationSpec() {
        return guestCustomizationSpec;
    }

    /**
     * Sets the value of the guestCustomizationSpec property.
     * 
     * @param value
     *     allowed object is
     *     {@link GuestCustomizationSpec }
     *     
     */
    public void setGuestCustomizationSpec(GuestCustomizationSpec value) {
        this.guestCustomizationSpec = value;
    }

    /**
     * Gets the value of the hardwareVersion property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHardwareVersion() {
        return hardwareVersion;
    }

    /**
     * Sets the value of the hardwareVersion property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHardwareVersion(String value) {
        this.hardwareVersion = value;
    }

    /**
     * Gets the value of the instanceUuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstanceUuid() {
        return instanceUuid;
    }

    /**
     * Sets the value of the instanceUuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstanceUuid(String value) {
        this.instanceUuid = value;
    }

    /**
     * Gets the value of the lastDeployedDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLastDeployedDate() {
        return lastDeployedDate;
    }

    /**
     * Sets the value of the lastDeployedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLastDeployedDate(String value) {
        this.lastDeployedDate = value;
    }

    /**
     * Gets the value of the maxAvailablePorts property.
     * 
     */
    public int getMaxAvailablePorts() {
        return maxAvailablePorts;
    }

    /**
     * Sets the value of the maxAvailablePorts property.
     * 
     */
    public void setMaxAvailablePorts(int value) {
        this.maxAvailablePorts = value;
    }

    /**
     * Gets the value of the moref property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMoref() {
        return moref;
    }

    /**
     * Sets the value of the moref property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMoref(String value) {
        this.moref = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the partialBackup property.
     * 
     */
    public boolean isPartialBackup() {
        return partialBackup;
    }

    /**
     * Sets the value of the partialBackup property.
     * 
     */
    public void setPartialBackup(boolean value) {
        this.partialBackup = value;
    }

    /**
     * Gets the value of the password property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPassword() {
        return password;
    }

    /**
     * Sets the value of the password property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPassword(String value) {
        this.password = value;
    }

    /**
     * Gets the value of the port property.
     * 
     */
    public int getPort() {
        return port;
    }

    /**
     * Sets the value of the port property.
     * 
     */
    public void setPort(int value) {
        this.port = value;
    }

    /**
     * Gets the value of the powerState property.
     * 
     */
    public int getPowerState() {
        return powerState;
    }

    /**
     * Sets the value of the powerState property.
     * 
     */
    public void setPowerState(int value) {
        this.powerState = value;
    }

    /**
     * Gets the value of the template property.
     * 
     */
    public boolean isTemplate() {
        return template;
    }

    /**
     * Sets the value of the template property.
     * 
     */
    public void setTemplate(boolean value) {
        this.template = value;
    }

    /**
     * Gets the value of the username property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUsername() {
        return username;
    }

    /**
     * Sets the value of the username property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUsername(String value) {
        this.username = value;
    }

    /**
     * Gets the value of the uuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * Sets the value of the uuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUuid(String value) {
        this.uuid = value;
    }

    /**
     * Gets the value of the vmFiles property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vmFiles property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVmFiles().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VirtualMachineFile }
     * 
     * 
     */
    public List<VirtualMachineFile> getVmFiles() {
        if (vmFiles == null) {
            vmFiles = new ArrayList<VirtualMachineFile>();
        }
        return this.vmFiles;
    }

    /**
     * Gets the value of the vmMemoryInMb property.
     * 
     */
    public int getVmMemoryInMb() {
        return vmMemoryInMb;
    }

    /**
     * Sets the value of the vmMemoryInMb property.
     * 
     */
    public void setVmMemoryInMb(int value) {
        this.vmMemoryInMb = value;
    }

    /**
     * Gets the value of the vDisks property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vDisks property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVDisks().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getVDisks() {
        if (vDisks == null) {
            vDisks = new ArrayList<String>();
        }
        return this.vDisks;
    }

}
