package com.netapp.offtap.ndmpcopy.debuglog;

import org.apache.log4j.Logger;

public class NdmpLog4j implements NdmpDebugLog {

	private static Logger logger;
	
	public NdmpLog4j(Class<?> classname){
		logger = Logger.getLogger(classname);
	}
	
	@Override
	public void flush() {}

	@Override
	public void cleanup() {}

	@Override
	public void println(String s) {
		logger.debug(s);
	}

	@Override
	public void println(int level, String s) {
		if(level < 10){
			logger.error(s);
		}
		else if (level < 20) {
			logger.debug(s);
		}
		else if (level < 30) {
			logger.info(s);
		}
		else {
			logger.trace(s);
		}			
	}

	@Override
	public void println(Throwable e, String s) {
		logger.debug(s, e);
		
	}

	@Override
	public void println(int level, Throwable e, String s) {
		if(level < 10){
			logger.error(s, e);
		}
		else if (level < 20) {
			logger.debug(s, e);
		}
		else if (level < 30) {
			logger.info(s, e);
		}
		else {
			logger.trace(s,e );
		}		
	}

}
