
package com.netapp.offtap.ndmpcopy.ndmpcopy;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messagereader.NdmpMessageQueueOut;
import com.netapp.offtap.ndmpcopy.ndmpcopycmd.NdmpCopyCmdArgs;
import com.netapp.offtap.ndmpcopy.util.NdmpPseudoStream;


public class NdmpCopyData  {

	public	NdmpDebugLog		debugLog;

	public	int		version;

	public	NdmpCopyCmdArgs		cmdArgs;

	public	NdmpFilerData[]		filerData;

	public	int	copyID;

	public	byte[]	dumpName;

	public	NdmpPseudoStream	out;


	public	NdmpMessageQueueOut	msgQueue;


	public  NdmpCopyData () {
	}

	public	NdmpCopyData (NdmpCopyCmdArgs cmdArgs) { 
		this.cmdArgs	= cmdArgs;
		this.debugLog 	= null;
		this.version  	= -1;
	}
	
	public	NdmpCopyData (NdmpCopyCmdArgs cmdArgs, 
				NdmpDebugLog debugLog, int version) {
		this.cmdArgs	= cmdArgs;
		this.debugLog 	= debugLog;
		this.version 	= version;
	}
	
	public	NdmpCopyData (NdmpCopyCmdArgs cmdArgs, 
				NdmpDebugLog debugLog, int version, int copyID) {
		this.cmdArgs	= cmdArgs;
		this.debugLog 	= debugLog;
		this.version 	= version;
		this.copyID 	= copyID;
	}
		
	public	NdmpCopyData (NdmpCopyCmdArgs cmdArgs, 
				NdmpDebugLog debugLog, int version, int copyID,
				NdmpFilerData[]	filerData) {
		this.cmdArgs	= cmdArgs;
		this.debugLog 	= debugLog;
		this.version 	= version;
		this.copyID 	= copyID;
		this.filerData	= filerData;
	}

}

