package com.netapp.offtap3;

import com.netapp.offtap3.ontap.HasLicenses;

public interface Controller extends HasVersion, Refreshable, HasStorageProtocols, HasLicenses, HasSpaceUsage, HasLoader {
    String getId();
    ControllerConnection getConnection();
    void setConnection(ControllerConnection connection);

    @ControllerLoader(ControllerResource.system_model)
    String getModel();
}
