/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/HasChildControllers.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

import java.util.Map;

public interface HasChildControllers {
    /**
     * Returns a Map of child controllers in which the key is the value returned by calling <code>getName()</code> on
     * the child controller.
     */
    Map<String, ? extends Controller> getChildControllers();
}
