/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/HasIGroups.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

import java.util.List;
import java.util.Set;

import com.netapp.offtap3.IGroupSpec.Builder;
import com.netapp.offtap3.ontap.IGroupOperationException;

public interface HasIGroups {

    @ControllerLoader(ControllerResource.igroups)
	List<? extends IGroup> getIGroups();

    @ControllerLoader(ControllerResource.igroups)
    IGroup getIGroup(String name);

    Builder getIGroupSpecBuilder(String iGroupName, String osType);

    IGroup createIGroup(IGroupSpec iGroupSpec) throws IGroupOperationException;

    Set<Lun> getLunsMappedToInitiator(String initiator);
}
