package com.netapp.offtap3;

import java.util.List;

public interface IpInterface extends Refreshable {

    String getIpAddress();

    String getNetmask();

    String getNetwork();

    String getName();

    List<String> getProtocols();

    boolean isIscsiEnabled();

    @Override
    IpInterface refresh();
}
