package com.netapp.offtap3;

import java.util.EnumSet;

public enum StorageSystem {
    mars,
    datasvm,
    adminsvm,
    nodesvm,
    pfiler,
    vfiler;

    static final EnumSet<StorageSystem> DATA_SERVING = EnumSet.of(datasvm, pfiler, vfiler, mars);
    static final EnumSet<StorageSystem> NON_CONTROLLER = EnumSet.noneOf(StorageSystem.class);

}
