package com.netapp.offtap3;

import java.util.List;

public interface SupportsIscsi {

    @ControllerLoader(ControllerResource.iscsi)
    List<IscsiAdapter> getIscsiAdapters();

    @ControllerLoader(ControllerResource.iscsi)
    List<IscsiConnection> getIscsiConnections();

    // TODO aeonflux-next - think about if we want/need this method and the above
    // since an IscsiSession has one or more IscsiConnections, but an IscsiConnection
    // may not be part of a session.
    @ControllerLoader(ControllerResource.iscsi)
    List<IscsiSession> getIscsiSessions();

    // TODO aeonflux-next - not real excited about this helper/utility method
    // try to think of some way to put this closer to the data - like, maybe introduce
    // the concept of an Initiator class?
    void addInterfacesToIscsiInitiators(List<String> initiatorNames, List<IpInterface> interfaces);
}
