package com.netapp.offtap3.factories.platform;

import com.netapp.offtap3.ConnectionException;
import com.netapp.offtap3.Controller;
import com.netapp.offtap3.ControllerConnection;
import com.netapp.offtap3.Version;
import com.netapp.offtap3.factories.DataLoaderException;

public interface PlatformDataLoader {
    boolean canHandle(ControllerConnection controllerConnection) throws ConnectionException;
    Controller load(ControllerConnection controllerConnection) throws DataLoaderException, ConnectionException;
    Version getVersion(ControllerConnection controllerConnection) throws ConnectionException;
}
