package com.netapp.offtap3.internal;

import com.netapp.offtap3.IscsiConnection;

import java.util.List;

public class IscsiSessionImpl implements com.netapp.offtap3.IscsiSession {
    private String initiatorNodeName;
    private String initiatorAlias;

    private List<IscsiConnection> connections;

    @Override
    public String getInitiatorNodeName() {
        return initiatorNodeName;
    }

    @Override
    public String getInitiatorAlias() {
        return initiatorAlias;
    }

    @Override
    public List<IscsiConnection> getIscsiConnections() {
        return connections;
    }

    public void setInitiatorNodeName(String initiatorNodeName) {
        this.initiatorNodeName = initiatorNodeName;
    }

    public void setInitiatorAlias(String initiatorAlias) {
        this.initiatorAlias = initiatorAlias;
    }

    public void setIscsiConnections(List<IscsiConnection> connections) {
        this.connections = connections;
    }
}
