package com.netapp.offtap3.internal;


import com.google.common.base.Objects;
import com.netapp.offtap3.Size;
import com.netapp.offtap3.SpaceUsage;

public class SpaceUsageImpl implements SpaceUsage {

    private Size capacity = Size.createB(0);
    private Size allocated = Size.createB(0);
    private Size used = Size.createB(0);
    private Size free = Size.createB(0);

    @Override
    public Size getCapacity() {
        return capacity;
    }

    public void setCapacity(Size capacity) {
        this.capacity = capacity;
    }

    @Override
    public Size getAllocated() {
        return allocated;
    }

    public void setAllocated(Size allocated) {
        this.allocated = allocated;
    }

    @Override
    public Size getUsed() {
        return used;
    }

    public void setUsed(Size used) {
        this.used = used;
    }

    @Override
    public Size getFree() {
        return free;
    }

    public void setFree(Size free) {
        this.free = free;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this)
                .add("capacity", capacity)
                .add("free", free)
                .toString();
    }
}
