package com.netapp.offtap3.internal;

import com.netapp.offtap3.UnixPermission;

public class UnixPermissionImpl extends AbstractRefreshable implements UnixPermission {
    private int userId = -1;
    private int groupId = -1;
    private String permissions;

    public UnixPermissionImpl(HasProxy loader) {
        super(loader);
    }

    @Override
    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    @Override
    public int getGroupId() {
        return groupId;
    }

    public void setGroupId(int groupId) {
        this.groupId = groupId;
    }

    @Override
    public String getPermissions() {
        return permissions;
    }

    public void setPermissions(String permissions) {
        this.permissions = permissions;
    }

    @Override
    public UnixPermission refresh() {
        return (UnixPermission) super.refresh();
    }
}
