/*
 * $Id$
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * Type of resolution used for recording statistics
 * <p> - ONE_SECOND: Statistics recorded at one second sampling frequency </p>
 * <p> - ONE_MINUTE: Statistics recorded at one minute sampling frequency </p>
 * <p> - ONE_DAY: Statistics recorded at one day sampling frequency </p>
 * 
 * @mapi archiver-sampling-rate
 * @author Jing Shi
 * @version 1.0, May 12, 2014
 */
public enum ArchiverSamplingRate implements WebEnum {
    ONE_SECOND,
    ONE_MINUTE,
    ONE_DAY;
}
