/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * Type of the connector.
 */
public enum ConnectorType implements WebEnum {

    ETH("Ethernet"), SAS("SAS"), FC("Fibre-Channel"), INF("Infini-Band");

    private String description;

    private ConnectorType(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}
