/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * 
 * DiskLedActionJsonSerializer provides serialization of Disk Led Actions.
 *
 * @author TSANJEEV
 * @version $Revision$, Nov 13, 2014
 */

public class DiskLedActionJsonSerializer extends JsonSerializer<DiskLedAction> {
    @Override    
    public void serialize(DiskLedAction action,
            JsonGenerator jsonGenerator,
            SerializerProvider serializerProvider)
                    throws IOException, JsonProcessingException {
        //jsonGenerator.writeString(arg0);.writeStartObject();
        jsonGenerator.writeString(action.value());
        //jsonGenerator.writeEndObject();   
    }
}

