/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;


/**
 * The port type.
 * 
 * @mapi disk.path-port
 */
public enum DiskPathPort implements WebEnum {
    A("A", "Port A"),
    B("B", "Port B"),
    AB("AB", "Port AB"),
    UNKN("UNKN", "Port UNKN"),
    ;
    private final String value;
    private final String desc;

    private DiskPathPort(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
}
