/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

/**
 * The state of a shelf led
 */
public enum ShelfLedState {
    SHELFLEDSTATEOK("shelf-led-state-ok", "The shelf led ok"), SHELFLEDSTATEWARN("shelf-led-state-warn", "The shelf led warn"), SHELFLEDSTATEFAIL("shelf-led-state-fail", "The shelf led fail"), ;

    private String name;
    private String desc;

    private ShelfLedState(String name, String desc) {
        this.name = name;
        this.desc = desc;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return desc;
    }
}