/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * The module type
 * 
 * @mapi shelf.module
 */
public enum ShelfModule implements WebEnum {
    A("Module A"), B("Module B"), ;

    private String desc;

    private ShelfModule(String desc) {
        this.desc = desc;
    }

    public String getDescription() {
        return desc;
    }
}