package com.netapp.offtap3.internal.ontap.aggregate;

import com.netapp.offtap3.internal.ontap.controller.AbstractOntapController;
import com.netapp.offtap3.ontap.CModeAggregate;

import java.util.List;

public class CModeAggregateImpl extends AggregateImpl implements CModeAggregate {
    private String homeNodeName;
    private String currNodeName;
    private boolean isRoot;

    public CModeAggregateImpl(AbstractOntapController controller, String name, String uuid, String state,
                              long sizeUsed, int percentageUsed, long sizeTotal, long sizeAvailable,
                              List<String> volumeNames, long diskCount) {
        super(controller, name, uuid, state, sizeUsed, percentageUsed, sizeTotal, sizeAvailable, volumeNames,
              diskCount);
    }

    public CModeAggregateImpl(AbstractOntapController controller, String name, long sizeAvailable) {
        super(controller, name, sizeAvailable);
    }

    @Override
    public String getHomeNodeName() {
        return homeNodeName;
    }

    @Override
    public String getCurrentNodeName() {
        return currNodeName;
    }

    public void setHomeNodeName(String homeNodeName) {
        this.homeNodeName = homeNodeName;
    }

    public void setCurrNodeName(String currNodeName) {
        this.currNodeName = currNodeName;
    }

    @Override
    public CModeAggregate refresh() {
        return (CModeAggregate) super.refresh();
    }

	public boolean isRoot() {
		return isRoot;
	}

	public void setRoot(boolean isRoot) {
		this.isRoot = isRoot;
	}
}
