package com.netapp.offtap3.internal.ontap.aggregate;

import com.netapp.offtap3.internal.ontap.controller.AbstractOntapController;
import com.netapp.offtap3.ontap.FilerAggregate;

import java.util.List;


public class FilerAggregateImpl extends AggregateImpl implements FilerAggregate {
    private boolean traditional;

    public FilerAggregateImpl(AbstractOntapController controller, String name, String uuid, boolean traditional, String state, long sizeUsed,
                              int percentageUsed, long sizeTotal, long sizeAvailable, List<String> volumeNames,
                              long diskCount) {
        super(controller, name, uuid, state, sizeUsed, percentageUsed, sizeTotal, sizeAvailable, volumeNames,
              diskCount);
        this.traditional = traditional;
    }

    @Override
    public boolean isTraditional() {
        return traditional;
    }

    public void setTraditional(boolean traditional) {
        this.traditional = traditional;
    }

    @Override
    public FilerAggregate refresh() {
        return (FilerAggregate) super.refresh();
    }
}
