package com.netapp.offtap3.internal.ontap.dataloader;

import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.Refreshable;

import java.util.Set;

public interface HasResourceDependencies {

    /**
     * @return resources that this loader depends on
     * (i.e., these resources must be loaded prior to executing this DataLoader)
     */
    Set<ControllerResource> getResources(Refreshable refreshable);
}
