/* 
 *
 * Copyright (c) 2012 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.file.ndmp;

/**
 * Callback used in NdmpAsyncSession.
 *
 * T is the return type of the NdmpSession method that is being wrapped.
 *
 * Either onSuccess or onFailure will be called, but not both (from a single async call).
 */
public interface NdmpAsyncCallback<T> {

    void onSuccess(T ret);

    /**
     * @param e will often be of type NdmpException.
     */
    void onFailure(Exception e);
}
