package com.netapp.offtap3.internal.ontap.intf;

import com.google.common.base.Objects;
import com.netapp.offtap3.ontap.PortSet;

import java.util.ArrayList;
import java.util.List;

public class PortSetImpl implements PortSet {
    private String name = null;
	private String portsetType;
	private List<String> portNames = new ArrayList<String>();
	private List<String> igroupNames = new ArrayList<String>();

    @Override
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    @Override
	public String getPortsetType() {
		return portsetType;
	}
	public void setPortsetType(String portsetType) {
		this.portsetType = portsetType;
	}

    @Override
	public List<String> getPortNames() {
		return portNames;
	}
	public void setPortNames(List<String> portNames) {
		this.portNames = portNames;
	}

    @Override
	public List<String> getIgroupNames() {
		return igroupNames;
	}
	public void setIgroupNames(List<String> igroupNames) {
		this.igroupNames = igroupNames;
	}

    public String toString() {
        return Objects.toStringHelper(this)
                .add("name", name)
                .add("type", portsetType)
                .add("ports", portNames)
                .add("igroups", igroupNames)
                .toString();
    }
}
