package com.netapp.offtap3.internal.ontap.proxy;

import com.netapp.offtap3.SnapMirrorResource;
import com.netapp.offtap3.internal.ontap.dataloader.snapmirror.SevenModeSnapMirrorScheduleDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.snapmirror.SevenModeSnapMirrorStatusDataLoader;
import com.netapp.offtap3.internal.ontap.snap.SevenModeSnapMirrorRelationImpl;
import com.netapp.offtap3.ontap.SnapMirrorRelation;

public class SevenModeSnapMirrorRelationProxy extends SnapMirrorRelationProxy<SnapMirrorRelation, SevenModeSnapMirrorRelationImpl> {

    @Override
    protected void addDataLoaders() {
        addDataLoader(SnapMirrorResource.schedule, new SevenModeSnapMirrorScheduleDataLoader(getDataCache()));
         // all the state, status, last transfer, etc. stuff can be reloaded by this one loader, since it's a single ZAPI
        addDataLoader(SnapMirrorResource.status, new SevenModeSnapMirrorStatusDataLoader());
    }

}
