package com.netapp.offtap3.internal.ontap.proxy;


import com.netapp.offtap3.ProxyType;
import com.netapp.offtap3.Resource;
import com.netapp.offtap3.SnapMirrorLoader;
import com.netapp.offtap3.internal.CachingOfftapProxy;
import com.netapp.offtap3.internal.ontap.snap.AbstractSnapMirrorRelationImpl;
import com.netapp.offtap3.internal.ontap.InternalZapiHandler;
import com.netapp.offtap3.ontap.SnapMirrorRelation;

import com.netapp.offtap3.ontap.NaElement;

import java.lang.reflect.Method;

public abstract class SnapMirrorRelationProxy<I extends SnapMirrorRelation,T extends AbstractSnapMirrorRelationImpl<I>>
        extends CachingOfftapProxy<NaElement, InternalZapiHandler, I,T> {

    public SnapMirrorRelationProxy() {
        super(ProxyType.SNAPMIRROR);
    }

    @Override
    protected Resource getResourceAnnotation(Method method) {
        SnapMirrorLoader loader = method.getAnnotation(SnapMirrorLoader.class);
        return (loader == null) ? null : loader.value();
    }
}
