/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.mars;

import com.netapp.offtap3.Lun;
import com.netapp.offtap3.Size;

public interface MarsLun extends Lun {
    /**
     * Returns the block size for this lun's logical blocks.
     */
    Size getBlockSize();

    /**
     * Returns the maximum extent size for this lun.
     */
    LunMaxExtentSize getMaxExtentSize();

    /**
     * Renames this lun to the new name.
     */
    void rename(String newName);

    @Override
    MarsLun refresh();
}
