package com.netapp.offtap3.ontap;

import com.netapp.offtap3.HasName;

/**
 * Created by torir on 9/25/14.
 */
public interface CModeSnapMirrorPolicy extends HasName {

    public enum TransferPriority {
        low,
        normal
    }
    
    public enum Restart {
        always,
        never,
        default_value;
        
        @Override
        public String toString() {
            if (this.name().equals("default_value")) {
                return "default";
            } else {
                return this.name();
            }
        }
    }
    
    String getComment();

    String getRestart();

    String getTransferPriority();

    String getTries();
    
    void destroy();
}
