package com.netapp.offtap3.ontap;

import com.netapp.offtap3.ControllerLogger;

public interface EmsLogger extends ControllerLogger {

    void log(String message);

    /**
     * Sends an EMS log with the requested level
     * @param level
     * @param message message to write
     */
    void log(EmsLogLevel level, String message);

    /**
     * Sends an EMS log with the requested level
     * @param level
     * @param eventId ID for this event
     * @param message message to write
     */
    void log(EmsLogLevel level, int eventId, String message);

}
