package com.netapp.offtap3.ontap;

import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.factories.DataLoaderException;

import java.util.Set;


public interface HasSnmpHosts {

    void setSnmpHosts(Set<String> hosts);

    @ControllerLoader(ControllerResource.snmp)
    Set<String> getSnmpHosts();

    void addSnmpTrapListener(String hostIp) throws DataLoaderException;

    void removeSnmpTrapListener(String hostIp) throws DataLoaderException;

}
