/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import com.netapp.offtap3.IGroupSpec;

public interface OntapIGroupSpec extends IGroupSpec {
    boolean getWantsAlua();
    boolean getKeepName();

    public interface Builder extends IGroupSpec.Builder {
        Builder wantsAlua(boolean wantsAlua);
        Builder keepName(boolean keepName);
        @Override
        OntapIGroupSpec build();
    }
}
