package com.netapp.offtap3.ontap;

import com.netapp.offtap3.LunSpec;


public interface OntapLunSpec extends LunSpec {
    public OntapVolume getVolume();
    public String getType();
    public SpaceReserve getSpaceReserve();
    public String getComment();
    public Integer getPrefixSize();
    public String getLunClass();
    public boolean getSpaceAllocation();

    public interface Builder extends LunSpec.Builder {
        public Builder spaceReserve(SpaceReserve val);

        public Builder comment(String val);

        public Builder prefixSize(Integer val);

        public Builder spaceAllocation(boolean val);
        
        public Builder lunClass(String val);

        public OntapLunSpec build();
    }
}

