/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/OntapVolumeMaximums.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import com.netapp.offtap3.Size;

import java.io.Serializable;

public interface OntapVolumeMaximums extends Serializable {
    String BIT32AGGR = "32_bit";
    String BIT64AGGR = "64_bit";

    Size getMax32BitDenseVolumeSize();

    Size getMax32BitDenseSharedVolumeSize();

    Size getMax64BitDenseVolumeSize();

    Size getMax64BitDenseSharedVolumeSize();

    Size getMaxDenseVolumeSize(Aggregate aggregate);

    Size getMaxDenseSharedVolumeSize(Aggregate aggregate);

    Size getMaxDenseVolumeSize();

    Size getMaxDenseSharedVolumeSize();
}
