package com.netapp.offtap3.ontap;

import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.internal.ontap.controller.HasChildOntapControllers;

import java.util.Map;

public interface PFiler extends OntapController, HasChildOntapControllers, Filer, HasAsupInfo, HasGlobalStatus,
        HasSnmpHosts, HasPerformanceObjects, HasPortSets {
    @ControllerLoader(ControllerResource.vfilers)
    public Map<String, VFiler> getVFilers();

    @ControllerLoader(ControllerResource.vfilers)
    public boolean hasVFilerInterface(String ip);

    @ControllerLoader(ControllerResource.vfilers)
    Map<String, VFiler> getChildControllers();
}
