package com.netapp.offtap3.ontap;


import com.netapp.offtap3.Refreshable;

public interface SnapVault extends Refreshable {
    String getSourceSystem();

    String getSourcePath();

    String getDestinationSystem();

    String getDestinationPath();

    long getLagTime();

    long getMirrorTimestamp();

    String getContents();

    String getLastTransferType();

    long getLastTransferSize();

    String getLastTransferFromSystem();

    String getLastTransferFromPath();

    String getStatus();

    String getState();

    String getBaseSnapshot();

    void secondaryInitiateIncrementalTransfer();

    void primaryInitiateIncrementalRestoreTransfer(String optionalSecondarySnapshot);

   	void primaryInitiateRestoreTransfer(String optionalSecondarySnapshot);

    @Override
    SnapVault refresh();
}
