package com.netapp.offtap3.ontap;

import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;

import java.util.List;


public interface SupportsSnapMirror {

    void enableSnapMirror();
    void disableSnapMirror();

    boolean isSnapMirrorAvailable();

    @ControllerLoader(ControllerResource.snapmirror)
    List<? extends SnapMirrorRelation> getSnapMirrorRelations();
}
