package com.netapp.offtap3.ontap;

import java.util.List;

public interface VolumeCloneSpec {
    
    public int getNumClones();
    public List<String> getCloneNames();
    public SpaceReserve getSpaceReserve();
    public boolean isWithJunctionPath();
    
    interface VolumeCloneSpecBuilder {
        
        
        VolumeCloneSpecBuilder withJunctionPath(boolean withJunctionPath);
        
        VolumeCloneSpec build();
    }
}
