package com.netapp.offtap3.ontap;

import java.util.Collection;

/**
 * Captures everything we know about permissions for a given controller.
 */
public interface ZapiAccessPermissions {

    public Collection<String> getROZapis(String vServer);
    public Collection<String> getRWZapis(String vServer);

    public Collection<String> getVServers() ;

    /**
     * Get the most permissive vserver in the cluster
     */
    public String getBestVServer();

}
