/*
 * $Id: //depot/prod/aeonflux/main/src/main/java/com/netapp/offtap/utils/privileges/ReleaseType.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap.utils.privileges;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for releaseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="releaseType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element ref="{}seven-mode" minOccurs="0"/>
 *         &lt;element ref="{}cluster-mode" minOccurs="0"/>
 *       &lt;/all>
 *       &lt;attribute ref="{}id use="required""/>
 *       &lt;attribute ref="{}label use="required""/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "releaseType", propOrder = {

})
public class ReleaseType {

    @XmlElement(name = "seven-mode")
    protected SevenModeType sevenMode;
    @XmlElement(name = "cluster-mode")
    protected ClusterModeType clusterMode;
    @XmlAttribute(name = "id", required = true)
    protected String id;
    @XmlAttribute(name = "label", required = true)
    protected String label;

    /**
     * Gets the value of the sevenMode property.
     * 
     * @return
     *     possible object is
     *     {@link SevenModeType }
     *     
     */
    public SevenModeType getSevenMode() {
        return sevenMode;
    }

    /**
     * Sets the value of the sevenMode property.
     * 
     * @param value
     *     allowed object is
     *     {@link SevenModeType }
     *     
     */
    public void setSevenMode(SevenModeType value) {
        this.sevenMode = value;
    }

    /**
     * Gets the value of the clusterMode property.
     * 
     * @return
     *     possible object is
     *     {@link ClusterModeType }
     *     
     */
    public ClusterModeType getClusterMode() {
        return clusterMode;
    }

    /**
     * Sets the value of the clusterMode property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClusterModeType }
     *     
     */
    public void setClusterMode(ClusterModeType value) {
        this.clusterMode = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the label property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLabel() {
        return label;
    }

    /**
     * Sets the value of the label property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLabel(String value) {
        this.label = value;
    }

}
