package com.netapp.offtap3.utils;

import java.util.concurrent.ConcurrentHashMap;

public class SafeConcurrentHashMap<K, V> extends ConcurrentHashMap<K, V> {

    @Override
    public V get(Object key) {
        if (key != null) {
            return super.get(key);
        } else {
            return null;
        }
    }
}
