/*
 * $Id: //depot/prod/newport_news/main/modules/jndmp/src/main/java/com/netapp/ndmp/NotificationCallback.java#1 $
 *
 * Copyright (c) 2010 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.ndmp;

import org.acplt.oncrpc.XdrAble;

/**
 * Callback interface to take action when a specific notification is received from the remote NDMP host.
 *
 * @author thomaswb
 * @version $Revision: #1 $
 *          Date: $Date: 2010/12/22 $
 */
interface NotificationCallback<T extends XdrAble> {
    Class<T> getNotificationClass();

    void doCallback(T notification) throws NdmpException;
}
