
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for cloningLimits complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="cloningLimits">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="existingDatastoreNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="existingVMNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="existingVolumeNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="guestCustomizationSpecs" type="{http://service.v1.wsapi.nvpf.netapp.com/}guestCustomizationSpec" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="inventoryItem" type="{http://service.v1.wsapi.nvpf.netapp.com/}inventoryItem" minOccurs="0"/>
 *         &lt;element name="maxClones" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="maxMemory" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="maxProcessor" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="upgradedHardwareVersion" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="vmHardwareVersion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="vmMaxAvailablePorts" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "cloningLimits", propOrder = {
    "existingDatastoreNames",
    "existingVMNames",
    "existingVolumeNames",
    "guestCustomizationSpecs",
    "inventoryItem",
    "maxClones",
    "maxMemory",
    "maxProcessor",
    "upgradedHardwareVersion",
    "vmHardwareVersion",
    "vmMaxAvailablePorts"
})
public class CloningLimits {

    @XmlElement(nillable = true)
    protected List<String> existingDatastoreNames;
    @XmlElement(nillable = true)
    protected List<String> existingVMNames;
    @XmlElement(nillable = true)
    protected List<String> existingVolumeNames;
    @XmlElement(nillable = true)
    protected List<GuestCustomizationSpec> guestCustomizationSpecs;
    protected InventoryItem inventoryItem;
    protected int maxClones;
    protected int maxMemory;
    protected int maxProcessor;
    protected boolean upgradedHardwareVersion;
    protected String vmHardwareVersion;
    protected int vmMaxAvailablePorts;

    /**
     * Gets the value of the existingDatastoreNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the existingDatastoreNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getExistingDatastoreNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getExistingDatastoreNames() {
        if (existingDatastoreNames == null) {
            existingDatastoreNames = new ArrayList<String>();
        }
        return this.existingDatastoreNames;
    }

    /**
     * Gets the value of the existingVMNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the existingVMNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getExistingVMNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getExistingVMNames() {
        if (existingVMNames == null) {
            existingVMNames = new ArrayList<String>();
        }
        return this.existingVMNames;
    }

    /**
     * Gets the value of the existingVolumeNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the existingVolumeNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getExistingVolumeNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getExistingVolumeNames() {
        if (existingVolumeNames == null) {
            existingVolumeNames = new ArrayList<String>();
        }
        return this.existingVolumeNames;
    }

    /**
     * Gets the value of the guestCustomizationSpecs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the guestCustomizationSpecs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGuestCustomizationSpecs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GuestCustomizationSpec }
     * 
     * 
     */
    public List<GuestCustomizationSpec> getGuestCustomizationSpecs() {
        if (guestCustomizationSpecs == null) {
            guestCustomizationSpecs = new ArrayList<GuestCustomizationSpec>();
        }
        return this.guestCustomizationSpecs;
    }

    /**
     * Gets the value of the inventoryItem property.
     * 
     * @return
     *     possible object is
     *     {@link InventoryItem }
     *     
     */
    public InventoryItem getInventoryItem() {
        return inventoryItem;
    }

    /**
     * Sets the value of the inventoryItem property.
     * 
     * @param value
     *     allowed object is
     *     {@link InventoryItem }
     *     
     */
    public void setInventoryItem(InventoryItem value) {
        this.inventoryItem = value;
    }

    /**
     * Gets the value of the maxClones property.
     * 
     */
    public int getMaxClones() {
        return maxClones;
    }

    /**
     * Sets the value of the maxClones property.
     * 
     */
    public void setMaxClones(int value) {
        this.maxClones = value;
    }

    /**
     * Gets the value of the maxMemory property.
     * 
     */
    public int getMaxMemory() {
        return maxMemory;
    }

    /**
     * Sets the value of the maxMemory property.
     * 
     */
    public void setMaxMemory(int value) {
        this.maxMemory = value;
    }

    /**
     * Gets the value of the maxProcessor property.
     * 
     */
    public int getMaxProcessor() {
        return maxProcessor;
    }

    /**
     * Sets the value of the maxProcessor property.
     * 
     */
    public void setMaxProcessor(int value) {
        this.maxProcessor = value;
    }

    /**
     * Gets the value of the upgradedHardwareVersion property.
     * 
     */
    public boolean isUpgradedHardwareVersion() {
        return upgradedHardwareVersion;
    }

    /**
     * Sets the value of the upgradedHardwareVersion property.
     * 
     */
    public void setUpgradedHardwareVersion(boolean value) {
        this.upgradedHardwareVersion = value;
    }

    /**
     * Gets the value of the vmHardwareVersion property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVmHardwareVersion() {
        return vmHardwareVersion;
    }

    /**
     * Sets the value of the vmHardwareVersion property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVmHardwareVersion(String value) {
        this.vmHardwareVersion = value;
    }

    /**
     * Gets the value of the vmMaxAvailablePorts property.
     * 
     */
    public int getVmMaxAvailablePorts() {
        return vmMaxAvailablePorts;
    }

    /**
     * Sets the value of the vmMaxAvailablePorts property.
     * 
     */
    public void setVmMaxAvailablePorts(int value) {
        this.vmMaxAvailablePorts = value;
    }

}
