
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for cloningModel complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="cloningModel">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="advancedCloning" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="connectionBrokerType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="custSpecification" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="datastoreMoRef" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="desktopPools" type="{http://service.v1.wsapi.nvpf.netapp.com/}desktopPool" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="destControllerId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="destinationHostMoRef" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="diskFormat" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="memorySizeInMb" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="newCloneNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="parentControllerId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="powerOn" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="specifiedDestinationVmFolder" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="upgradeHardwareVersion" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="useVfilerContext" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="viewServer" type="{http://service.v1.wsapi.nvpf.netapp.com/}connectionBroker" minOccurs="0"/>
 *         &lt;element name="virtualMachineMoRef" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="virtualProcessors" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="vFilerContext" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "cloningModel", propOrder = {
    "advancedCloning",
    "connectionBrokerType",
    "custSpecification",
    "datastoreMoRef",
    "desktopPools",
    "destControllerId",
    "destinationHostMoRef",
    "diskFormat",
    "memorySizeInMb",
    "newCloneNames",
    "parentControllerId",
    "powerOn",
    "specifiedDestinationVmFolder",
    "upgradeHardwareVersion",
    "useVfilerContext",
    "viewServer",
    "virtualMachineMoRef",
    "virtualProcessors",
    "vFilerContext"
})
public class CloningModel {

    protected boolean advancedCloning;
    protected String connectionBrokerType;
    protected String custSpecification;
    protected String datastoreMoRef;
    @XmlElement(nillable = true)
    protected List<DesktopPool> desktopPools;
    protected String destControllerId;
    protected String destinationHostMoRef;
    protected String diskFormat;
    protected Integer memorySizeInMb;
    @XmlElement(nillable = true)
    protected List<String> newCloneNames;
    protected String parentControllerId;
    protected boolean powerOn;
    protected boolean specifiedDestinationVmFolder;
    protected boolean upgradeHardwareVersion;
    protected boolean useVfilerContext;
    protected ConnectionBroker viewServer;
    protected String virtualMachineMoRef;
    protected Integer virtualProcessors;
    protected String vFilerContext;

    /**
     * Gets the value of the advancedCloning property.
     * 
     */
    public boolean isAdvancedCloning() {
        return advancedCloning;
    }

    /**
     * Sets the value of the advancedCloning property.
     * 
     */
    public void setAdvancedCloning(boolean value) {
        this.advancedCloning = value;
    }

    /**
     * Gets the value of the connectionBrokerType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConnectionBrokerType() {
        return connectionBrokerType;
    }

    /**
     * Sets the value of the connectionBrokerType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConnectionBrokerType(String value) {
        this.connectionBrokerType = value;
    }

    /**
     * Gets the value of the custSpecification property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustSpecification() {
        return custSpecification;
    }

    /**
     * Sets the value of the custSpecification property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustSpecification(String value) {
        this.custSpecification = value;
    }

    /**
     * Gets the value of the datastoreMoRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatastoreMoRef() {
        return datastoreMoRef;
    }

    /**
     * Sets the value of the datastoreMoRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatastoreMoRef(String value) {
        this.datastoreMoRef = value;
    }

    /**
     * Gets the value of the desktopPools property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the desktopPools property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDesktopPools().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DesktopPool }
     * 
     * 
     */
    public List<DesktopPool> getDesktopPools() {
        if (desktopPools == null) {
            desktopPools = new ArrayList<DesktopPool>();
        }
        return this.desktopPools;
    }

    /**
     * Gets the value of the destControllerId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDestControllerId() {
        return destControllerId;
    }

    /**
     * Sets the value of the destControllerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDestControllerId(String value) {
        this.destControllerId = value;
    }

    /**
     * Gets the value of the destinationHostMoRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDestinationHostMoRef() {
        return destinationHostMoRef;
    }

    /**
     * Sets the value of the destinationHostMoRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDestinationHostMoRef(String value) {
        this.destinationHostMoRef = value;
    }

    /**
     * Gets the value of the diskFormat property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDiskFormat() {
        return diskFormat;
    }

    /**
     * Sets the value of the diskFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDiskFormat(String value) {
        this.diskFormat = value;
    }

    /**
     * Gets the value of the memorySizeInMb property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMemorySizeInMb() {
        return memorySizeInMb;
    }

    /**
     * Sets the value of the memorySizeInMb property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMemorySizeInMb(Integer value) {
        this.memorySizeInMb = value;
    }

    /**
     * Gets the value of the newCloneNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the newCloneNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNewCloneNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getNewCloneNames() {
        if (newCloneNames == null) {
            newCloneNames = new ArrayList<String>();
        }
        return this.newCloneNames;
    }

    /**
     * Gets the value of the parentControllerId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getParentControllerId() {
        return parentControllerId;
    }

    /**
     * Sets the value of the parentControllerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setParentControllerId(String value) {
        this.parentControllerId = value;
    }

    /**
     * Gets the value of the powerOn property.
     * 
     */
    public boolean isPowerOn() {
        return powerOn;
    }

    /**
     * Sets the value of the powerOn property.
     * 
     */
    public void setPowerOn(boolean value) {
        this.powerOn = value;
    }

    /**
     * Gets the value of the specifiedDestinationVmFolder property.
     * 
     */
    public boolean isSpecifiedDestinationVmFolder() {
        return specifiedDestinationVmFolder;
    }

    /**
     * Sets the value of the specifiedDestinationVmFolder property.
     * 
     */
    public void setSpecifiedDestinationVmFolder(boolean value) {
        this.specifiedDestinationVmFolder = value;
    }

    /**
     * Gets the value of the upgradeHardwareVersion property.
     * 
     */
    public boolean isUpgradeHardwareVersion() {
        return upgradeHardwareVersion;
    }

    /**
     * Sets the value of the upgradeHardwareVersion property.
     * 
     */
    public void setUpgradeHardwareVersion(boolean value) {
        this.upgradeHardwareVersion = value;
    }

    /**
     * Gets the value of the useVfilerContext property.
     * 
     */
    public boolean isUseVfilerContext() {
        return useVfilerContext;
    }

    /**
     * Sets the value of the useVfilerContext property.
     * 
     */
    public void setUseVfilerContext(boolean value) {
        this.useVfilerContext = value;
    }

    /**
     * Gets the value of the viewServer property.
     * 
     * @return
     *     possible object is
     *     {@link ConnectionBroker }
     *     
     */
    public ConnectionBroker getViewServer() {
        return viewServer;
    }

    /**
     * Sets the value of the viewServer property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConnectionBroker }
     *     
     */
    public void setViewServer(ConnectionBroker value) {
        this.viewServer = value;
    }

    /**
     * Gets the value of the virtualMachineMoRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVirtualMachineMoRef() {
        return virtualMachineMoRef;
    }

    /**
     * Sets the value of the virtualMachineMoRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVirtualMachineMoRef(String value) {
        this.virtualMachineMoRef = value;
    }

    /**
     * Gets the value of the virtualProcessors property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getVirtualProcessors() {
        return virtualProcessors;
    }

    /**
     * Sets the value of the virtualProcessors property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setVirtualProcessors(Integer value) {
        this.virtualProcessors = value;
    }

    /**
     * Gets the value of the vFilerContext property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVFilerContext() {
        return vFilerContext;
    }

    /**
     * Sets the value of the vFilerContext property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVFilerContext(String value) {
        this.vFilerContext = value;
    }

}
