
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for inventoryItem complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="inventoryItem">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="children" type="{http://service.v1.wsapi.nvpf.netapp.com/}inventoryItem" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="creationDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="host" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="inventoryItemType" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="mor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="parent" type="{http://service.v1.wsapi.nvpf.netapp.com/}inventoryItem" minOccurs="0"/>
 *         &lt;element name="processors" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="type" type="{http://service.v1.wsapi.nvpf.netapp.com/}inventoryItemTypeEnum" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "inventoryItem", propOrder = {
    "children",
    "creationDate",
    "host",
    "inventoryItemType",
    "mor",
    "name",
    "parent",
    "processors",
    "type"
})
public class InventoryItem {

    @XmlElement(nillable = true)
    protected List<InventoryItem> children;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar creationDate;
    protected boolean host;
    protected int inventoryItemType;
    protected String mor;
    protected String name;
    protected InventoryItem parent;
    protected Integer processors;
    @XmlSchemaType(name = "string")
    protected InventoryItemTypeEnum type;

    /**
     * Gets the value of the children property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the children property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getChildren().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InventoryItem }
     * 
     * 
     */
    public List<InventoryItem> getChildren() {
        if (children == null) {
            children = new ArrayList<InventoryItem>();
        }
        return this.children;
    }

    /**
     * Gets the value of the creationDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCreationDate() {
        return creationDate;
    }

    /**
     * Sets the value of the creationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCreationDate(XMLGregorianCalendar value) {
        this.creationDate = value;
    }

    /**
     * Gets the value of the host property.
     * 
     */
    public boolean isHost() {
        return host;
    }

    /**
     * Sets the value of the host property.
     * 
     */
    public void setHost(boolean value) {
        this.host = value;
    }

    /**
     * Gets the value of the inventoryItemType property.
     * 
     */
    public int getInventoryItemType() {
        return inventoryItemType;
    }

    /**
     * Sets the value of the inventoryItemType property.
     * 
     */
    public void setInventoryItemType(int value) {
        this.inventoryItemType = value;
    }

    /**
     * Gets the value of the mor property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMor() {
        return mor;
    }

    /**
     * Sets the value of the mor property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMor(String value) {
        this.mor = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the parent property.
     * 
     * @return
     *     possible object is
     *     {@link InventoryItem }
     *     
     */
    public InventoryItem getParent() {
        return parent;
    }

    /**
     * Sets the value of the parent property.
     * 
     * @param value
     *     allowed object is
     *     {@link InventoryItem }
     *     
     */
    public void setParent(InventoryItem value) {
        this.parent = value;
    }

    /**
     * Gets the value of the processors property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getProcessors() {
        return processors;
    }

    /**
     * Sets the value of the processors property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setProcessors(Integer value) {
        this.processors = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link InventoryItemTypeEnum }
     *     
     */
    public InventoryItemTypeEnum getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link InventoryItemTypeEnum }
     *     
     */
    public void setType(InventoryItemTypeEnum value) {
        this.type = value;
    }

}
