
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for migrationHost complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="migrationHost">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="canCloneFromSnap" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="connected" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="datastores" type="{http://service.v1.wsapi.nvpf.netapp.com/}datastore" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="fcpSupported" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="healthy" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="inMantMode" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="iscsiSupported" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="maxNfsDatastores" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="moref" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="nfsDatastoreCount" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="nfsSupported" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="powerState" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="processors" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="vmfsDatastoreCount" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "migrationHost", propOrder = {
    "canCloneFromSnap",
    "connected",
    "datastores",
    "fcpSupported",
    "healthy",
    "inMantMode",
    "iscsiSupported",
    "maxNfsDatastores",
    "moref",
    "name",
    "nfsDatastoreCount",
    "nfsSupported",
    "powerState",
    "processors",
    "version",
    "vmfsDatastoreCount"
})
public class MigrationHost {

    protected Boolean canCloneFromSnap;
    protected boolean connected;
    @XmlElement(nillable = true)
    protected List<Datastore> datastores;
    protected boolean fcpSupported;
    protected boolean healthy;
    protected boolean inMantMode;
    protected boolean iscsiSupported;
    protected int maxNfsDatastores;
    protected String moref;
    protected String name;
    protected int nfsDatastoreCount;
    protected boolean nfsSupported;
    protected String powerState;
    protected Integer processors;
    protected String version;
    protected int vmfsDatastoreCount;

    /**
     * Gets the value of the canCloneFromSnap property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCanCloneFromSnap() {
        return canCloneFromSnap;
    }

    /**
     * Sets the value of the canCloneFromSnap property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCanCloneFromSnap(Boolean value) {
        this.canCloneFromSnap = value;
    }

    /**
     * Gets the value of the connected property.
     * 
     */
    public boolean isConnected() {
        return connected;
    }

    /**
     * Sets the value of the connected property.
     * 
     */
    public void setConnected(boolean value) {
        this.connected = value;
    }

    /**
     * Gets the value of the datastores property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the datastores property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDatastores().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Datastore }
     * 
     * 
     */
    public List<Datastore> getDatastores() {
        if (datastores == null) {
            datastores = new ArrayList<Datastore>();
        }
        return this.datastores;
    }

    /**
     * Gets the value of the fcpSupported property.
     * 
     */
    public boolean isFcpSupported() {
        return fcpSupported;
    }

    /**
     * Sets the value of the fcpSupported property.
     * 
     */
    public void setFcpSupported(boolean value) {
        this.fcpSupported = value;
    }

    /**
     * Gets the value of the healthy property.
     * 
     */
    public boolean isHealthy() {
        return healthy;
    }

    /**
     * Sets the value of the healthy property.
     * 
     */
    public void setHealthy(boolean value) {
        this.healthy = value;
    }

    /**
     * Gets the value of the inMantMode property.
     * 
     */
    public boolean isInMantMode() {
        return inMantMode;
    }

    /**
     * Sets the value of the inMantMode property.
     * 
     */
    public void setInMantMode(boolean value) {
        this.inMantMode = value;
    }

    /**
     * Gets the value of the iscsiSupported property.
     * 
     */
    public boolean isIscsiSupported() {
        return iscsiSupported;
    }

    /**
     * Sets the value of the iscsiSupported property.
     * 
     */
    public void setIscsiSupported(boolean value) {
        this.iscsiSupported = value;
    }

    /**
     * Gets the value of the maxNfsDatastores property.
     * 
     */
    public int getMaxNfsDatastores() {
        return maxNfsDatastores;
    }

    /**
     * Sets the value of the maxNfsDatastores property.
     * 
     */
    public void setMaxNfsDatastores(int value) {
        this.maxNfsDatastores = value;
    }

    /**
     * Gets the value of the moref property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMoref() {
        return moref;
    }

    /**
     * Sets the value of the moref property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMoref(String value) {
        this.moref = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the nfsDatastoreCount property.
     * 
     */
    public int getNfsDatastoreCount() {
        return nfsDatastoreCount;
    }

    /**
     * Sets the value of the nfsDatastoreCount property.
     * 
     */
    public void setNfsDatastoreCount(int value) {
        this.nfsDatastoreCount = value;
    }

    /**
     * Gets the value of the nfsSupported property.
     * 
     */
    public boolean isNfsSupported() {
        return nfsSupported;
    }

    /**
     * Sets the value of the nfsSupported property.
     * 
     */
    public void setNfsSupported(boolean value) {
        this.nfsSupported = value;
    }

    /**
     * Gets the value of the powerState property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPowerState() {
        return powerState;
    }

    /**
     * Sets the value of the powerState property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPowerState(String value) {
        this.powerState = value;
    }

    /**
     * Gets the value of the processors property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getProcessors() {
        return processors;
    }

    /**
     * Sets the value of the processors property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setProcessors(Integer value) {
        this.processors = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

    /**
     * Gets the value of the vmfsDatastoreCount property.
     * 
     */
    public int getVmfsDatastoreCount() {
        return vmfsDatastoreCount;
    }

    /**
     * Sets the value of the vmfsDatastoreCount property.
     * 
     */
    public void setVmfsDatastoreCount(int value) {
        this.vmfsDatastoreCount = value;
    }

}
