
package com.netapp.nvpf.wsapi.v1.service;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for morefType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="morefType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Datastore"/>
 *     &lt;enumeration value="HostSystem"/>
 *     &lt;enumeration value="VirtualMachine"/>
 *     &lt;enumeration value="Datacenter"/>
 *     &lt;enumeration value="Cluster"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "morefType")
@XmlEnum
public enum MorefType {

    @XmlEnumValue("Datastore")
    DATASTORE("Datastore"),
    @XmlEnumValue("HostSystem")
    HOST_SYSTEM("HostSystem"),
    @XmlEnumValue("VirtualMachine")
    VIRTUAL_MACHINE("VirtualMachine"),
    @XmlEnumValue("Datacenter")
    DATACENTER("Datacenter"),
    @XmlEnumValue("Cluster")
    CLUSTER("Cluster");
    private final String value;

    MorefType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static MorefType fromValue(String v) {
        for (MorefType c: MorefType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
