
package com.netapp.nvpf.wsapi.v1.service;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.netapp.nvpf.wsapi.v1.service package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private static final QName _LogoutResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "logoutResponse");
    private static final QName _CreateClonesResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "createClonesResponse");
    private static final QName _GetSanDetails_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getSanDetails");
    private static final QName _GetStorageSystemsForVMCloning_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemsForVMCloning");
    private static final QName _GetTaskStatus_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getTaskStatus");
    private static final QName _CreateDatastore_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "createDatastore");
    private static final QName _GetAllStorageSystems_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getAllStorageSystems");
    private static final QName _GetCloningLimitsResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getCloningLimitsResponse");
    private static final QName _SetDefaultStorageSystemCredentials_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "setDefaultStorageSystemCredentials");
    private static final QName _GetProvisionableStorageSystem_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getProvisionableStorageSystem");
    private static final QName _GetProvisioningPolicyNames_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getProvisioningPolicyNames");
    private static final QName _GetDatastoresForVMCloning_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getDatastoresForVMCloning");
    private static final QName _ResizeDatastoreForVMFSResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "resizeDatastoreForVMFSResponse");
    private static final QName _MigrateVirtualMachinesResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "migrateVirtualMachinesResponse");
    private static final QName _CheckDatastoreNameExistsByScannedVMResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "checkDatastoreNameExistsByScannedVMResponse");
    private static final QName _DestroyDatastoreResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "destroyDatastoreResponse");
    private static final QName _GetSanDetailsResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getSanDetailsResponse");
    private static final QName _CreateDatastoreResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "createDatastoreResponse");
    private static final QName _DeleteStorageSystemResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "deleteStorageSystemResponse");
    private static final QName _DestroyDatastore_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "destroyDatastore");
    private static final QName _GetStorageSystemPrivilegesByControllerCredentials_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemPrivilegesByControllerCredentials");
    private static final QName _GetMorefResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getMorefResponse");
    private static final QName _GetDatastoresForVMCloningResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getDatastoresForVMCloningResponse");
    private static final QName _GetVmFolderTreeModelResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getVmFolderTreeModelResponse");
    private static final QName _GetStorageSystemPrivilegesByControllerId_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemPrivilegesByControllerId");
    private static final QName _GetAllTasks_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getAllTasks");
    private static final QName _UpdateStorageSystemResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "updateStorageSystemResponse");
    private static final QName _CheckDatastoreNameExistsResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "checkDatastoreNameExistsResponse");
    private static final QName _SaveScheduledTimes_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "saveScheduledTimes");
    private static final QName _GetDestinationHostDetail_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getDestinationHostDetail");
    private static final QName _GetExistingViewPoolNames_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getExistingViewPoolNames");
    private static final QName _GetMountableDatastoresResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getMountableDatastoresResponse");
    private static final QName _GetStorageSystemDetailByIdResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemDetailByIdResponse");
    private static final QName _RemoveConnectionBrokers_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "removeConnectionBrokers");
    private static final QName _GetVirtualMachineAlignmentResult_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getVirtualMachineAlignmentResult");
    private static final QName _RemoveConnectionBrokersResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "removeConnectionBrokersResponse");
    private static final QName _GetVirtualMachineFilesForVMCloning_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getVirtualMachineFilesForVMCloning");
    private static final QName _CheckDatastoreNameExists_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "checkDatastoreNameExists");
    private static final QName _LoginResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "loginResponse");
    private static final QName _ValidateControllerForMigrationResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "validateControllerForMigrationResponse");
    private static final QName _GetProvisionableStorageSystemResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getProvisionableStorageSystemResponse");
    private static final QName _StartAlignmentScanResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "startAlignmentScanResponse");
    private static final QName _GetScanJobStatus_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getScanJobStatus");
    private static final QName _CheckDatastoreSpace_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "checkDatastoreSpace");
    private static final QName _ReclaimSpace_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "reclaimSpace");
    private static final QName _GetAllStorageSystemsResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getAllStorageSystemsResponse");
    private static final QName _GetVirtualMachineAlignmentResultResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getVirtualMachineAlignmentResultResponse");
    private static final QName _UpdateStorageSystem_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "updateStorageSystem");
    private static final QName _GetMigrationModel_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getMigrationModel");
    private static final QName _GetStorageSystemDetailById_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemDetailById");
    private static final QName _UpdateConnectionBrokerResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "updateConnectionBrokerResponse");
    private static final QName _GetVmFolderTreeModel_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getVmFolderTreeModel");
    private static final QName _GetStorageSystemIdResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemIdResponse");
    private static final QName _IsPolicyBasedProvisioningSupported_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "isPolicyBasedProvisioningSupported");
    private static final QName _IsPolicyBasedProvisioningSupportedResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "isPolicyBasedProvisioningSupportedResponse");
    private static final QName _Login_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "login");
    private static final QName _SetDefaultStorageSystemCredentialsResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "setDefaultStorageSystemCredentialsResponse");
    private static final QName _AddStorageSystemResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "addStorageSystemResponse");
    private static final QName _Wait_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "wait");
    private static final QName _SaveScheduledTimesResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "saveScheduledTimesResponse");
    private static final QName _StartAlignmentScan_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "startAlignmentScan");
    private static final QName _GetStorageSystemPrivilegesByControllerIdResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemPrivilegesByControllerIdResponse");
    private static final QName _ResizeDatastoreForNFS_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "resizeDatastoreForNFS");
    private static final QName _GetProvisioningTargetStorageSystemDetail_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getProvisioningTargetStorageSystemDetail");
    private static final QName _GetStorageSystemPrivilegesByControllerCredentialsResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemPrivilegesByControllerCredentialsResponse");
    private static final QName _DeleteStorageSystem_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "deleteStorageSystem");
    private static final QName _UpdateAllStorageSystemsResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "updateAllStorageSystemsResponse");
    private static final QName _GetHostListResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getHostListResponse");
    private static final QName _GetMountableDatastores_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getMountableDatastores");
    private static final QName _GetProvisioningPolicyNamesResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getProvisioningPolicyNamesResponse");
    private static final QName _GetMigrationModelResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getMigrationModelResponse");
    private static final QName _ApiException_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "ApiException");
    private static final QName _GetDestinationHostDetailResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getDestinationHostDetailResponse");
    private static final QName _CheckDatastoreSpaceResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "checkDatastoreSpaceResponse");
    private static final QName _MountDatastoresResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "mountDatastoresResponse");
    private static final QName _ResizeDatastoreForNFSResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "resizeDatastoreForNFSResponse");
    private static final QName _MigrateVirtualMachines_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "migrateVirtualMachines");
    private static final QName _GetCloningLimits_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getCloningLimits");
    private static final QName _ValidateControllerForMigration_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "validateControllerForMigration");
    private static final QName _GetAllTasksResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getAllTasksResponse");
    private static final QName _GetNasDetails_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getNasDetails");
    private static final QName _GetStorageSystemsForVMCloningResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemsForVMCloningResponse");
    private static final QName _GetExistingViewPoolNamesResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getExistingViewPoolNamesResponse");
    private static final QName _GetTaskStatusResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getTaskStatusResponse");
    private static final QName _GetScanJobStatusResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getScanJobStatusResponse");
    private static final QName _ResizeDatastoreForVMFS_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "resizeDatastoreForVMFS");
    private static final QName _CreateClones_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "createClones");
    private static final QName _ReclaimSpaceResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "reclaimSpaceResponse");
    private static final QName _Logout_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "logout");
    private static final QName _GetDatastoreOptimizationDetailsResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getDatastoreOptimizationDetailsResponse");
    private static final QName _GetDatastoresResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getDatastoresResponse");
    private static final QName _GetMoref_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getMoref");
    private static final QName _GetVirtualMachineFilesForVMCloningResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getVirtualMachineFilesForVMCloningResponse");
    private static final QName _GetDatastoreOptimizationDetails_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getDatastoreOptimizationDetails");
    private static final QName _UpdateConnectionBroker_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "updateConnectionBroker");
    private static final QName _MountDatastores_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "mountDatastores");
    private static final QName _UpdateAllStorageSystems_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "updateAllStorageSystems");
    private static final QName _GetNasDetailsResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getNasDetailsResponse");
    private static final QName _GetDatastores_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getDatastores");
    private static final QName _GetConnectionBrokers_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getConnectionBrokers");
    private static final QName _GetStorageSystemId_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getStorageSystemId");
    private static final QName _AddStorageSystem_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "addStorageSystem");
    private static final QName _GetProvisioningTargetStorageSystemDetailResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getProvisioningTargetStorageSystemDetailResponse");
    private static final QName _CheckDatastoreNameExistsByScannedVM_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "checkDatastoreNameExistsByScannedVM");
    private static final QName _WaitResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "waitResponse");
    private static final QName _GetConnectionBrokersResponse_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getConnectionBrokersResponse");
    private static final QName _GetHostList_QNAME = new QName("http://service.v1.wsapi.nvpf.netapp.com/", "getHostList");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.netapp.nvpf.wsapi.v1.service
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link MigrationModel }
     * 
     */
    public MigrationModel createMigrationModel() {
        return new MigrationModel();
    }

    /**
     * Create an instance of {@link MigrationModel.DatastoreVMMap }
     * 
     */
    public MigrationModel.DatastoreVMMap createMigrationModelDatastoreVMMap() {
        return new MigrationModel.DatastoreVMMap();
    }

    /**
     * Create an instance of {@link ProvisioningTargetStorageSystem }
     * 
     */
    public ProvisioningTargetStorageSystem createProvisioningTargetStorageSystem() {
        return new ProvisioningTargetStorageSystem();
    }

    /**
     * Create an instance of {@link ProvisioningTargetStorageSystem.CloningWarnings }
     * 
     */
    public ProvisioningTargetStorageSystem.CloningWarnings createProvisioningTargetStorageSystemCloningWarnings() {
        return new ProvisioningTargetStorageSystem.CloningWarnings();
    }

    /**
     * Create an instance of {@link ProvisioningTargetStorageSystem.CloningErrors }
     * 
     */
    public ProvisioningTargetStorageSystem.CloningErrors createProvisioningTargetStorageSystemCloningErrors() {
        return new ProvisioningTargetStorageSystem.CloningErrors();
    }

    /**
     * Create an instance of {@link StorageSystemDetails }
     * 
     */
    public StorageSystemDetails createStorageSystemDetails() {
        return new StorageSystemDetails();
    }

    /**
     * Create an instance of {@link StorageSystemDetails.Volumes }
     * 
     */
    public StorageSystemDetails.Volumes createStorageSystemDetailsVolumes() {
        return new StorageSystemDetails.Volumes();
    }

    /**
     * Create an instance of {@link StorageSystemDetails.Qtree }
     * 
     */
    public StorageSystemDetails.Qtree createStorageSystemDetailsQtree() {
        return new StorageSystemDetails.Qtree();
    }

    /**
     * Create an instance of {@link StorageSystemDetails.Luns }
     * 
     */
    public StorageSystemDetails.Luns createStorageSystemDetailsLuns() {
        return new StorageSystemDetails.Luns();
    }

    /**
     * Create an instance of {@link GetStorageSystemsForVMCloningResponse }
     * 
     */
    public GetStorageSystemsForVMCloningResponse createGetStorageSystemsForVMCloningResponse() {
        return new GetStorageSystemsForVMCloningResponse();
    }

    /**
     * Create an instance of {@link GetTaskStatusResponse }
     * 
     */
    public GetTaskStatusResponse createGetTaskStatusResponse() {
        return new GetTaskStatusResponse();
    }

    /**
     * Create an instance of {@link GetExistingViewPoolNamesResponse }
     * 
     */
    public GetExistingViewPoolNamesResponse createGetExistingViewPoolNamesResponse() {
        return new GetExistingViewPoolNamesResponse();
    }

    /**
     * Create an instance of {@link GetCloningLimits }
     * 
     */
    public GetCloningLimits createGetCloningLimits() {
        return new GetCloningLimits();
    }

    /**
     * Create an instance of {@link ValidateControllerForMigration }
     * 
     */
    public ValidateControllerForMigration createValidateControllerForMigration() {
        return new ValidateControllerForMigration();
    }

    /**
     * Create an instance of {@link MigrateVirtualMachines }
     * 
     */
    public MigrateVirtualMachines createMigrateVirtualMachines() {
        return new MigrateVirtualMachines();
    }

    /**
     * Create an instance of {@link ResizeDatastoreForNFSResponse }
     * 
     */
    public ResizeDatastoreForNFSResponse createResizeDatastoreForNFSResponse() {
        return new ResizeDatastoreForNFSResponse();
    }

    /**
     * Create an instance of {@link GetNasDetails }
     * 
     */
    public GetNasDetails createGetNasDetails() {
        return new GetNasDetails();
    }

    /**
     * Create an instance of {@link GetAllTasksResponse }
     * 
     */
    public GetAllTasksResponse createGetAllTasksResponse() {
        return new GetAllTasksResponse();
    }

    /**
     * Create an instance of {@link Logout }
     * 
     */
    public Logout createLogout() {
        return new Logout();
    }

    /**
     * Create an instance of {@link GetDatastoreOptimizationDetailsResponse }
     * 
     */
    public GetDatastoreOptimizationDetailsResponse createGetDatastoreOptimizationDetailsResponse() {
        return new GetDatastoreOptimizationDetailsResponse();
    }

    /**
     * Create an instance of {@link CreateClones }
     * 
     */
    public CreateClones createCreateClones() {
        return new CreateClones();
    }

    /**
     * Create an instance of {@link ResizeDatastoreForVMFS }
     * 
     */
    public ResizeDatastoreForVMFS createResizeDatastoreForVMFS() {
        return new ResizeDatastoreForVMFS();
    }

    /**
     * Create an instance of {@link GetScanJobStatusResponse }
     * 
     */
    public GetScanJobStatusResponse createGetScanJobStatusResponse() {
        return new GetScanJobStatusResponse();
    }

    /**
     * Create an instance of {@link ReclaimSpaceResponse }
     * 
     */
    public ReclaimSpaceResponse createReclaimSpaceResponse() {
        return new ReclaimSpaceResponse();
    }

    /**
     * Create an instance of {@link UpdateAllStorageSystems }
     * 
     */
    public UpdateAllStorageSystems createUpdateAllStorageSystems() {
        return new UpdateAllStorageSystems();
    }

    /**
     * Create an instance of {@link MountDatastores }
     * 
     */
    public MountDatastores createMountDatastores() {
        return new MountDatastores();
    }

    /**
     * Create an instance of {@link GetDatastoreOptimizationDetails }
     * 
     */
    public GetDatastoreOptimizationDetails createGetDatastoreOptimizationDetails() {
        return new GetDatastoreOptimizationDetails();
    }

    /**
     * Create an instance of {@link UpdateConnectionBroker }
     * 
     */
    public UpdateConnectionBroker createUpdateConnectionBroker() {
        return new UpdateConnectionBroker();
    }

    /**
     * Create an instance of {@link GetDatastores }
     * 
     */
    public GetDatastores createGetDatastores() {
        return new GetDatastores();
    }

    /**
     * Create an instance of {@link GetNasDetailsResponse }
     * 
     */
    public GetNasDetailsResponse createGetNasDetailsResponse() {
        return new GetNasDetailsResponse();
    }

    /**
     * Create an instance of {@link GetDatastoresResponse }
     * 
     */
    public GetDatastoresResponse createGetDatastoresResponse() {
        return new GetDatastoresResponse();
    }

    /**
     * Create an instance of {@link GetMoref }
     * 
     */
    public GetMoref createGetMoref() {
        return new GetMoref();
    }

    /**
     * Create an instance of {@link GetVirtualMachineFilesForVMCloningResponse }
     * 
     */
    public GetVirtualMachineFilesForVMCloningResponse createGetVirtualMachineFilesForVMCloningResponse() {
        return new GetVirtualMachineFilesForVMCloningResponse();
    }

    /**
     * Create an instance of {@link GetConnectionBrokersResponse }
     * 
     */
    public GetConnectionBrokersResponse createGetConnectionBrokersResponse() {
        return new GetConnectionBrokersResponse();
    }

    /**
     * Create an instance of {@link GetHostList }
     * 
     */
    public GetHostList createGetHostList() {
        return new GetHostList();
    }

    /**
     * Create an instance of {@link CheckDatastoreNameExistsByScannedVM }
     * 
     */
    public CheckDatastoreNameExistsByScannedVM createCheckDatastoreNameExistsByScannedVM() {
        return new CheckDatastoreNameExistsByScannedVM();
    }

    /**
     * Create an instance of {@link WaitResponse }
     * 
     */
    public WaitResponse createWaitResponse() {
        return new WaitResponse();
    }

    /**
     * Create an instance of {@link AddStorageSystem }
     * 
     */
    public AddStorageSystem createAddStorageSystem() {
        return new AddStorageSystem();
    }

    /**
     * Create an instance of {@link GetProvisioningTargetStorageSystemDetailResponse }
     * 
     */
    public GetProvisioningTargetStorageSystemDetailResponse createGetProvisioningTargetStorageSystemDetailResponse() {
        return new GetProvisioningTargetStorageSystemDetailResponse();
    }

    /**
     * Create an instance of {@link GetConnectionBrokers }
     * 
     */
    public GetConnectionBrokers createGetConnectionBrokers() {
        return new GetConnectionBrokers();
    }

    /**
     * Create an instance of {@link GetStorageSystemId }
     * 
     */
    public GetStorageSystemId createGetStorageSystemId() {
        return new GetStorageSystemId();
    }

    /**
     * Create an instance of {@link Wait }
     * 
     */
    public Wait createWait() {
        return new Wait();
    }

    /**
     * Create an instance of {@link AddStorageSystemResponse }
     * 
     */
    public AddStorageSystemResponse createAddStorageSystemResponse() {
        return new AddStorageSystemResponse();
    }

    /**
     * Create an instance of {@link SaveScheduledTimesResponse }
     * 
     */
    public SaveScheduledTimesResponse createSaveScheduledTimesResponse() {
        return new SaveScheduledTimesResponse();
    }

    /**
     * Create an instance of {@link GetVmFolderTreeModel }
     * 
     */
    public GetVmFolderTreeModel createGetVmFolderTreeModel() {
        return new GetVmFolderTreeModel();
    }

    /**
     * Create an instance of {@link Login }
     * 
     */
    public Login createLogin() {
        return new Login();
    }

    /**
     * Create an instance of {@link SetDefaultStorageSystemCredentialsResponse }
     * 
     */
    public SetDefaultStorageSystemCredentialsResponse createSetDefaultStorageSystemCredentialsResponse() {
        return new SetDefaultStorageSystemCredentialsResponse();
    }

    /**
     * Create an instance of {@link IsPolicyBasedProvisioningSupportedResponse }
     * 
     */
    public IsPolicyBasedProvisioningSupportedResponse createIsPolicyBasedProvisioningSupportedResponse() {
        return new IsPolicyBasedProvisioningSupportedResponse();
    }

    /**
     * Create an instance of {@link GetStorageSystemIdResponse }
     * 
     */
    public GetStorageSystemIdResponse createGetStorageSystemIdResponse() {
        return new GetStorageSystemIdResponse();
    }

    /**
     * Create an instance of {@link IsPolicyBasedProvisioningSupported }
     * 
     */
    public IsPolicyBasedProvisioningSupported createIsPolicyBasedProvisioningSupported() {
        return new IsPolicyBasedProvisioningSupported();
    }

    /**
     * Create an instance of {@link GetStorageSystemPrivilegesByControllerIdResponse }
     * 
     */
    public GetStorageSystemPrivilegesByControllerIdResponse createGetStorageSystemPrivilegesByControllerIdResponse() {
        return new GetStorageSystemPrivilegesByControllerIdResponse();
    }

    /**
     * Create an instance of {@link ResizeDatastoreForNFS }
     * 
     */
    public ResizeDatastoreForNFS createResizeDatastoreForNFS() {
        return new ResizeDatastoreForNFS();
    }

    /**
     * Create an instance of {@link GetStorageSystemPrivilegesByControllerCredentialsResponse }
     * 
     */
    public GetStorageSystemPrivilegesByControllerCredentialsResponse createGetStorageSystemPrivilegesByControllerCredentialsResponse() {
        return new GetStorageSystemPrivilegesByControllerCredentialsResponse();
    }

    /**
     * Create an instance of {@link GetProvisioningTargetStorageSystemDetail }
     * 
     */
    public GetProvisioningTargetStorageSystemDetail createGetProvisioningTargetStorageSystemDetail() {
        return new GetProvisioningTargetStorageSystemDetail();
    }

    /**
     * Create an instance of {@link StartAlignmentScan }
     * 
     */
    public StartAlignmentScan createStartAlignmentScan() {
        return new StartAlignmentScan();
    }

    /**
     * Create an instance of {@link GetMountableDatastores }
     * 
     */
    public GetMountableDatastores createGetMountableDatastores() {
        return new GetMountableDatastores();
    }

    /**
     * Create an instance of {@link GetHostListResponse }
     * 
     */
    public GetHostListResponse createGetHostListResponse() {
        return new GetHostListResponse();
    }

    /**
     * Create an instance of {@link DeleteStorageSystem }
     * 
     */
    public DeleteStorageSystem createDeleteStorageSystem() {
        return new DeleteStorageSystem();
    }

    /**
     * Create an instance of {@link UpdateAllStorageSystemsResponse }
     * 
     */
    public UpdateAllStorageSystemsResponse createUpdateAllStorageSystemsResponse() {
        return new UpdateAllStorageSystemsResponse();
    }

    /**
     * Create an instance of {@link GetDestinationHostDetailResponse }
     * 
     */
    public GetDestinationHostDetailResponse createGetDestinationHostDetailResponse() {
        return new GetDestinationHostDetailResponse();
    }

    /**
     * Create an instance of {@link CheckDatastoreSpaceResponse }
     * 
     */
    public CheckDatastoreSpaceResponse createCheckDatastoreSpaceResponse() {
        return new CheckDatastoreSpaceResponse();
    }

    /**
     * Create an instance of {@link MountDatastoresResponse }
     * 
     */
    public MountDatastoresResponse createMountDatastoresResponse() {
        return new MountDatastoresResponse();
    }

    /**
     * Create an instance of {@link GetMigrationModelResponse }
     * 
     */
    public GetMigrationModelResponse createGetMigrationModelResponse() {
        return new GetMigrationModelResponse();
    }

    /**
     * Create an instance of {@link GetProvisioningPolicyNamesResponse }
     * 
     */
    public GetProvisioningPolicyNamesResponse createGetProvisioningPolicyNamesResponse() {
        return new GetProvisioningPolicyNamesResponse();
    }

    /**
     * Create an instance of {@link ApiException }
     * 
     */
    public ApiException createApiException() {
        return new ApiException();
    }

    /**
     * Create an instance of {@link CheckDatastoreNameExistsResponse }
     * 
     */
    public CheckDatastoreNameExistsResponse createCheckDatastoreNameExistsResponse() {
        return new CheckDatastoreNameExistsResponse();
    }

    /**
     * Create an instance of {@link GetAllTasks }
     * 
     */
    public GetAllTasks createGetAllTasks() {
        return new GetAllTasks();
    }

    /**
     * Create an instance of {@link UpdateStorageSystemResponse }
     * 
     */
    public UpdateStorageSystemResponse createUpdateStorageSystemResponse() {
        return new UpdateStorageSystemResponse();
    }

    /**
     * Create an instance of {@link GetMorefResponse }
     * 
     */
    public GetMorefResponse createGetMorefResponse() {
        return new GetMorefResponse();
    }

    /**
     * Create an instance of {@link GetStorageSystemPrivilegesByControllerId }
     * 
     */
    public GetStorageSystemPrivilegesByControllerId createGetStorageSystemPrivilegesByControllerId() {
        return new GetStorageSystemPrivilegesByControllerId();
    }

    /**
     * Create an instance of {@link GetVmFolderTreeModelResponse }
     * 
     */
    public GetVmFolderTreeModelResponse createGetVmFolderTreeModelResponse() {
        return new GetVmFolderTreeModelResponse();
    }

    /**
     * Create an instance of {@link GetDatastoresForVMCloningResponse }
     * 
     */
    public GetDatastoresForVMCloningResponse createGetDatastoresForVMCloningResponse() {
        return new GetDatastoresForVMCloningResponse();
    }

    /**
     * Create an instance of {@link RemoveConnectionBrokers }
     * 
     */
    public RemoveConnectionBrokers createRemoveConnectionBrokers() {
        return new RemoveConnectionBrokers();
    }

    /**
     * Create an instance of {@link GetDestinationHostDetail }
     * 
     */
    public GetDestinationHostDetail createGetDestinationHostDetail() {
        return new GetDestinationHostDetail();
    }

    /**
     * Create an instance of {@link SaveScheduledTimes }
     * 
     */
    public SaveScheduledTimes createSaveScheduledTimes() {
        return new SaveScheduledTimes();
    }

    /**
     * Create an instance of {@link GetStorageSystemDetailByIdResponse }
     * 
     */
    public GetStorageSystemDetailByIdResponse createGetStorageSystemDetailByIdResponse() {
        return new GetStorageSystemDetailByIdResponse();
    }

    /**
     * Create an instance of {@link GetExistingViewPoolNames }
     * 
     */
    public GetExistingViewPoolNames createGetExistingViewPoolNames() {
        return new GetExistingViewPoolNames();
    }

    /**
     * Create an instance of {@link GetMountableDatastoresResponse }
     * 
     */
    public GetMountableDatastoresResponse createGetMountableDatastoresResponse() {
        return new GetMountableDatastoresResponse();
    }

    /**
     * Create an instance of {@link ValidateControllerForMigrationResponse }
     * 
     */
    public ValidateControllerForMigrationResponse createValidateControllerForMigrationResponse() {
        return new ValidateControllerForMigrationResponse();
    }

    /**
     * Create an instance of {@link LoginResponse }
     * 
     */
    public LoginResponse createLoginResponse() {
        return new LoginResponse();
    }

    /**
     * Create an instance of {@link GetVirtualMachineFilesForVMCloning }
     * 
     */
    public GetVirtualMachineFilesForVMCloning createGetVirtualMachineFilesForVMCloning() {
        return new GetVirtualMachineFilesForVMCloning();
    }

    /**
     * Create an instance of {@link GetVirtualMachineAlignmentResult }
     * 
     */
    public GetVirtualMachineAlignmentResult createGetVirtualMachineAlignmentResult() {
        return new GetVirtualMachineAlignmentResult();
    }

    /**
     * Create an instance of {@link RemoveConnectionBrokersResponse }
     * 
     */
    public RemoveConnectionBrokersResponse createRemoveConnectionBrokersResponse() {
        return new RemoveConnectionBrokersResponse();
    }

    /**
     * Create an instance of {@link CheckDatastoreNameExists }
     * 
     */
    public CheckDatastoreNameExists createCheckDatastoreNameExists() {
        return new CheckDatastoreNameExists();
    }

    /**
     * Create an instance of {@link UpdateConnectionBrokerResponse }
     * 
     */
    public UpdateConnectionBrokerResponse createUpdateConnectionBrokerResponse() {
        return new UpdateConnectionBrokerResponse();
    }

    /**
     * Create an instance of {@link GetMigrationModel }
     * 
     */
    public GetMigrationModel createGetMigrationModel() {
        return new GetMigrationModel();
    }

    /**
     * Create an instance of {@link GetStorageSystemDetailById }
     * 
     */
    public GetStorageSystemDetailById createGetStorageSystemDetailById() {
        return new GetStorageSystemDetailById();
    }

    /**
     * Create an instance of {@link UpdateStorageSystem }
     * 
     */
    public UpdateStorageSystem createUpdateStorageSystem() {
        return new UpdateStorageSystem();
    }

    /**
     * Create an instance of {@link GetScanJobStatus }
     * 
     */
    public GetScanJobStatus createGetScanJobStatus() {
        return new GetScanJobStatus();
    }

    /**
     * Create an instance of {@link StartAlignmentScanResponse }
     * 
     */
    public StartAlignmentScanResponse createStartAlignmentScanResponse() {
        return new StartAlignmentScanResponse();
    }

    /**
     * Create an instance of {@link GetProvisionableStorageSystemResponse }
     * 
     */
    public GetProvisionableStorageSystemResponse createGetProvisionableStorageSystemResponse() {
        return new GetProvisionableStorageSystemResponse();
    }

    /**
     * Create an instance of {@link GetVirtualMachineAlignmentResultResponse }
     * 
     */
    public GetVirtualMachineAlignmentResultResponse createGetVirtualMachineAlignmentResultResponse() {
        return new GetVirtualMachineAlignmentResultResponse();
    }

    /**
     * Create an instance of {@link GetAllStorageSystemsResponse }
     * 
     */
    public GetAllStorageSystemsResponse createGetAllStorageSystemsResponse() {
        return new GetAllStorageSystemsResponse();
    }

    /**
     * Create an instance of {@link CheckDatastoreSpace }
     * 
     */
    public CheckDatastoreSpace createCheckDatastoreSpace() {
        return new CheckDatastoreSpace();
    }

    /**
     * Create an instance of {@link ReclaimSpace }
     * 
     */
    public ReclaimSpace createReclaimSpace() {
        return new ReclaimSpace();
    }

    /**
     * Create an instance of {@link CreateClonesResponse }
     * 
     */
    public CreateClonesResponse createCreateClonesResponse() {
        return new CreateClonesResponse();
    }

    /**
     * Create an instance of {@link LogoutResponse }
     * 
     */
    public LogoutResponse createLogoutResponse() {
        return new LogoutResponse();
    }

    /**
     * Create an instance of {@link CreateDatastore }
     * 
     */
    public CreateDatastore createCreateDatastore() {
        return new CreateDatastore();
    }

    /**
     * Create an instance of {@link GetSanDetails }
     * 
     */
    public GetSanDetails createGetSanDetails() {
        return new GetSanDetails();
    }

    /**
     * Create an instance of {@link GetStorageSystemsForVMCloning }
     * 
     */
    public GetStorageSystemsForVMCloning createGetStorageSystemsForVMCloning() {
        return new GetStorageSystemsForVMCloning();
    }

    /**
     * Create an instance of {@link GetTaskStatus }
     * 
     */
    public GetTaskStatus createGetTaskStatus() {
        return new GetTaskStatus();
    }

    /**
     * Create an instance of {@link GetDatastoresForVMCloning }
     * 
     */
    public GetDatastoresForVMCloning createGetDatastoresForVMCloning() {
        return new GetDatastoresForVMCloning();
    }

    /**
     * Create an instance of {@link ResizeDatastoreForVMFSResponse }
     * 
     */
    public ResizeDatastoreForVMFSResponse createResizeDatastoreForVMFSResponse() {
        return new ResizeDatastoreForVMFSResponse();
    }

    /**
     * Create an instance of {@link GetProvisionableStorageSystem }
     * 
     */
    public GetProvisionableStorageSystem createGetProvisionableStorageSystem() {
        return new GetProvisionableStorageSystem();
    }

    /**
     * Create an instance of {@link GetAllStorageSystems }
     * 
     */
    public GetAllStorageSystems createGetAllStorageSystems() {
        return new GetAllStorageSystems();
    }

    /**
     * Create an instance of {@link GetCloningLimitsResponse }
     * 
     */
    public GetCloningLimitsResponse createGetCloningLimitsResponse() {
        return new GetCloningLimitsResponse();
    }

    /**
     * Create an instance of {@link SetDefaultStorageSystemCredentials }
     * 
     */
    public SetDefaultStorageSystemCredentials createSetDefaultStorageSystemCredentials() {
        return new SetDefaultStorageSystemCredentials();
    }

    /**
     * Create an instance of {@link GetProvisioningPolicyNames }
     * 
     */
    public GetProvisioningPolicyNames createGetProvisioningPolicyNames() {
        return new GetProvisioningPolicyNames();
    }

    /**
     * Create an instance of {@link DestroyDatastoreResponse }
     * 
     */
    public DestroyDatastoreResponse createDestroyDatastoreResponse() {
        return new DestroyDatastoreResponse();
    }

    /**
     * Create an instance of {@link GetSanDetailsResponse }
     * 
     */
    public GetSanDetailsResponse createGetSanDetailsResponse() {
        return new GetSanDetailsResponse();
    }

    /**
     * Create an instance of {@link MigrateVirtualMachinesResponse }
     * 
     */
    public MigrateVirtualMachinesResponse createMigrateVirtualMachinesResponse() {
        return new MigrateVirtualMachinesResponse();
    }

    /**
     * Create an instance of {@link CheckDatastoreNameExistsByScannedVMResponse }
     * 
     */
    public CheckDatastoreNameExistsByScannedVMResponse createCheckDatastoreNameExistsByScannedVMResponse() {
        return new CheckDatastoreNameExistsByScannedVMResponse();
    }

    /**
     * Create an instance of {@link CreateDatastoreResponse }
     * 
     */
    public CreateDatastoreResponse createCreateDatastoreResponse() {
        return new CreateDatastoreResponse();
    }

    /**
     * Create an instance of {@link DestroyDatastore }
     * 
     */
    public DestroyDatastore createDestroyDatastore() {
        return new DestroyDatastore();
    }

    /**
     * Create an instance of {@link GetStorageSystemPrivilegesByControllerCredentials }
     * 
     */
    public GetStorageSystemPrivilegesByControllerCredentials createGetStorageSystemPrivilegesByControllerCredentials() {
        return new GetStorageSystemPrivilegesByControllerCredentials();
    }

    /**
     * Create an instance of {@link DeleteStorageSystemResponse }
     * 
     */
    public DeleteStorageSystemResponse createDeleteStorageSystemResponse() {
        return new DeleteStorageSystemResponse();
    }

    /**
     * Create an instance of {@link Lun }
     * 
     */
    public Lun createLun() {
        return new Lun();
    }

    /**
     * Create an instance of {@link Datastore }
     * 
     */
    public Datastore createDatastore() {
        return new Datastore();
    }

    /**
     * Create an instance of {@link ProvisioningMessage }
     * 
     */
    public ProvisioningMessage createProvisioningMessage() {
        return new ProvisioningMessage();
    }

    /**
     * Create an instance of {@link TaskStatus }
     * 
     */
    public TaskStatus createTaskStatus() {
        return new TaskStatus();
    }

    /**
     * Create an instance of {@link VirtualMachine }
     * 
     */
    public VirtualMachine createVirtualMachine() {
        return new VirtualMachine();
    }

    /**
     * Create an instance of {@link Adapter }
     * 
     */
    public Adapter createAdapter() {
        return new Adapter();
    }

    /**
     * Create an instance of {@link WeeklySchedule }
     * 
     */
    public WeeklySchedule createWeeklySchedule() {
        return new WeeklySchedule();
    }

    /**
     * Create an instance of {@link DedupeData }
     * 
     */
    public DedupeData createDedupeData() {
        return new DedupeData();
    }

    /**
     * Create an instance of {@link StorageSystemPrivilegeInfoBean }
     * 
     */
    public StorageSystemPrivilegeInfoBean createStorageSystemPrivilegeInfoBean() {
        return new StorageSystemPrivilegeInfoBean();
    }

    /**
     * Create an instance of {@link ProvisioningTargetVolume }
     * 
     */
    public ProvisioningTargetVolume createProvisioningTargetVolume() {
        return new ProvisioningTargetVolume();
    }

    /**
     * Create an instance of {@link DesktopPool }
     * 
     */
    public DesktopPool createDesktopPool() {
        return new DesktopPool();
    }

    /**
     * Create an instance of {@link ScannedVirtualMachine }
     * 
     */
    public ScannedVirtualMachine createScannedVirtualMachine() {
        return new ScannedVirtualMachine();
    }

    /**
     * Create an instance of {@link VirtualMachineAlignmentResult }
     * 
     */
    public VirtualMachineAlignmentResult createVirtualMachineAlignmentResult() {
        return new VirtualMachineAlignmentResult();
    }

    /**
     * Create an instance of {@link ProvisioningTargetStoragePod }
     * 
     */
    public ProvisioningTargetStoragePod createProvisioningTargetStoragePod() {
        return new ProvisioningTargetStoragePod();
    }

    /**
     * Create an instance of {@link ScannedVirtualMachineFile }
     * 
     */
    public ScannedVirtualMachineFile createScannedVirtualMachineFile() {
        return new ScannedVirtualMachineFile();
    }

    /**
     * Create an instance of {@link InventoryItem }
     * 
     */
    public InventoryItem createInventoryItem() {
        return new InventoryItem();
    }

    /**
     * Create an instance of {@link CloningModel }
     * 
     */
    public CloningModel createCloningModel() {
        return new CloningModel();
    }

    /**
     * Create an instance of {@link StorageSystemProtocol }
     * 
     */
    public StorageSystemProtocol createStorageSystemProtocol() {
        return new StorageSystemProtocol();
    }

    /**
     * Create an instance of {@link Wrapper }
     * 
     */
    public Wrapper createWrapper() {
        return new Wrapper();
    }

    /**
     * Create an instance of {@link Host }
     * 
     */
    public Host createHost() {
        return new Host();
    }

    /**
     * Create an instance of {@link StorageSystem }
     * 
     */
    public StorageSystem createStorageSystem() {
        return new StorageSystem();
    }

    /**
     * Create an instance of {@link GuestCustomizationSpec }
     * 
     */
    public GuestCustomizationSpec createGuestCustomizationSpec() {
        return new GuestCustomizationSpec();
    }

    /**
     * Create an instance of {@link DatastoreVmUsage }
     * 
     */
    public DatastoreVmUsage createDatastoreVmUsage() {
        return new DatastoreVmUsage();
    }

    /**
     * Create an instance of {@link StorageSystemPrivilegeOpinionBean }
     * 
     */
    public StorageSystemPrivilegeOpinionBean createStorageSystemPrivilegeOpinionBean() {
        return new StorageSystemPrivilegeOpinionBean();
    }

    /**
     * Create an instance of {@link Volume }
     * 
     */
    public Volume createVolume() {
        return new Volume();
    }

    /**
     * Create an instance of {@link ProvisioningTargetAggregate }
     * 
     */
    public ProvisioningTargetAggregate createProvisioningTargetAggregate() {
        return new ProvisioningTargetAggregate();
    }

    /**
     * Create an instance of {@link ScannedVirtualMachineArray }
     * 
     */
    public ScannedVirtualMachineArray createScannedVirtualMachineArray() {
        return new ScannedVirtualMachineArray();
    }

    /**
     * Create an instance of {@link NasDetails }
     * 
     */
    public NasDetails createNasDetails() {
        return new NasDetails();
    }

    /**
     * Create an instance of {@link DatastoreOptimizationResult }
     * 
     */
    public DatastoreOptimizationResult createDatastoreOptimizationResult() {
        return new DatastoreOptimizationResult();
    }

    /**
     * Create an instance of {@link MigrationHost }
     * 
     */
    public MigrationHost createMigrationHost() {
        return new MigrationHost();
    }

    /**
     * Create an instance of {@link ProvisioningTargetStorageSystemDetail }
     * 
     */
    public ProvisioningTargetStorageSystemDetail createProvisioningTargetStorageSystemDetail() {
        return new ProvisioningTargetStorageSystemDetail();
    }

    /**
     * Create an instance of {@link Aggregate }
     * 
     */
    public Aggregate createAggregate() {
        return new Aggregate();
    }

    /**
     * Create an instance of {@link IGroup }
     * 
     */
    public IGroup createIGroup() {
        return new IGroup();
    }

    /**
     * Create an instance of {@link com.netapp.nvpf.wsapi.v1.service.Qtree }
     * 
     */
    public com.netapp.nvpf.wsapi.v1.service.Qtree createQtree() {
        return new com.netapp.nvpf.wsapi.v1.service.Qtree();
    }

    /**
     * Create an instance of {@link CloningLimits }
     * 
     */
    public CloningLimits createCloningLimits() {
        return new CloningLimits();
    }

    /**
     * Create an instance of {@link ConnectionBroker }
     * 
     */
    public ConnectionBroker createConnectionBroker() {
        return new ConnectionBroker();
    }

    /**
     * Create an instance of {@link VirtualMachineFile }
     * 
     */
    public VirtualMachineFile createVirtualMachineFile() {
        return new VirtualMachineFile();
    }

    /**
     * Create an instance of {@link SanDetails }
     * 
     */
    public SanDetails createSanDetails() {
        return new SanDetails();
    }

    /**
     * Create an instance of {@link MigrationModel.DatastoreVMMap.Entry }
     * 
     */
    public MigrationModel.DatastoreVMMap.Entry createMigrationModelDatastoreVMMapEntry() {
        return new MigrationModel.DatastoreVMMap.Entry();
    }

    /**
     * Create an instance of {@link ProvisioningTargetStorageSystem.CloningWarnings.Entry }
     * 
     */
    public ProvisioningTargetStorageSystem.CloningWarnings.Entry createProvisioningTargetStorageSystemCloningWarningsEntry() {
        return new ProvisioningTargetStorageSystem.CloningWarnings.Entry();
    }

    /**
     * Create an instance of {@link ProvisioningTargetStorageSystem.CloningErrors.Entry }
     * 
     */
    public ProvisioningTargetStorageSystem.CloningErrors.Entry createProvisioningTargetStorageSystemCloningErrorsEntry() {
        return new ProvisioningTargetStorageSystem.CloningErrors.Entry();
    }

    /**
     * Create an instance of {@link StorageSystemDetails.Volumes.Entry }
     * 
     */
    public StorageSystemDetails.Volumes.Entry createStorageSystemDetailsVolumesEntry() {
        return new StorageSystemDetails.Volumes.Entry();
    }

    /**
     * Create an instance of {@link StorageSystemDetails.Qtree.Entry }
     * 
     */
    public StorageSystemDetails.Qtree.Entry createStorageSystemDetailsQtreeEntry() {
        return new StorageSystemDetails.Qtree.Entry();
    }

    /**
     * Create an instance of {@link StorageSystemDetails.Luns.Entry }
     * 
     */
    public StorageSystemDetails.Luns.Entry createStorageSystemDetailsLunsEntry() {
        return new StorageSystemDetails.Luns.Entry();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LogoutResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "logoutResponse")
    public JAXBElement<LogoutResponse> createLogoutResponse(LogoutResponse value) {
        return new JAXBElement<LogoutResponse>(_LogoutResponse_QNAME, LogoutResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateClonesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "createClonesResponse")
    public JAXBElement<CreateClonesResponse> createCreateClonesResponse(CreateClonesResponse value) {
        return new JAXBElement<CreateClonesResponse>(_CreateClonesResponse_QNAME, CreateClonesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSanDetails }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getSanDetails")
    public JAXBElement<GetSanDetails> createGetSanDetails(GetSanDetails value) {
        return new JAXBElement<GetSanDetails>(_GetSanDetails_QNAME, GetSanDetails.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemsForVMCloning }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemsForVMCloning")
    public JAXBElement<GetStorageSystemsForVMCloning> createGetStorageSystemsForVMCloning(GetStorageSystemsForVMCloning value) {
        return new JAXBElement<GetStorageSystemsForVMCloning>(_GetStorageSystemsForVMCloning_QNAME, GetStorageSystemsForVMCloning.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTaskStatus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getTaskStatus")
    public JAXBElement<GetTaskStatus> createGetTaskStatus(GetTaskStatus value) {
        return new JAXBElement<GetTaskStatus>(_GetTaskStatus_QNAME, GetTaskStatus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateDatastore }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "createDatastore")
    public JAXBElement<CreateDatastore> createCreateDatastore(CreateDatastore value) {
        return new JAXBElement<CreateDatastore>(_CreateDatastore_QNAME, CreateDatastore.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllStorageSystems }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getAllStorageSystems")
    public JAXBElement<GetAllStorageSystems> createGetAllStorageSystems(GetAllStorageSystems value) {
        return new JAXBElement<GetAllStorageSystems>(_GetAllStorageSystems_QNAME, GetAllStorageSystems.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCloningLimitsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getCloningLimitsResponse")
    public JAXBElement<GetCloningLimitsResponse> createGetCloningLimitsResponse(GetCloningLimitsResponse value) {
        return new JAXBElement<GetCloningLimitsResponse>(_GetCloningLimitsResponse_QNAME, GetCloningLimitsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDefaultStorageSystemCredentials }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "setDefaultStorageSystemCredentials")
    public JAXBElement<SetDefaultStorageSystemCredentials> createSetDefaultStorageSystemCredentials(SetDefaultStorageSystemCredentials value) {
        return new JAXBElement<SetDefaultStorageSystemCredentials>(_SetDefaultStorageSystemCredentials_QNAME, SetDefaultStorageSystemCredentials.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProvisionableStorageSystem }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getProvisionableStorageSystem")
    public JAXBElement<GetProvisionableStorageSystem> createGetProvisionableStorageSystem(GetProvisionableStorageSystem value) {
        return new JAXBElement<GetProvisionableStorageSystem>(_GetProvisionableStorageSystem_QNAME, GetProvisionableStorageSystem.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProvisioningPolicyNames }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getProvisioningPolicyNames")
    public JAXBElement<GetProvisioningPolicyNames> createGetProvisioningPolicyNames(GetProvisioningPolicyNames value) {
        return new JAXBElement<GetProvisioningPolicyNames>(_GetProvisioningPolicyNames_QNAME, GetProvisioningPolicyNames.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDatastoresForVMCloning }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getDatastoresForVMCloning")
    public JAXBElement<GetDatastoresForVMCloning> createGetDatastoresForVMCloning(GetDatastoresForVMCloning value) {
        return new JAXBElement<GetDatastoresForVMCloning>(_GetDatastoresForVMCloning_QNAME, GetDatastoresForVMCloning.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResizeDatastoreForVMFSResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "resizeDatastoreForVMFSResponse")
    public JAXBElement<ResizeDatastoreForVMFSResponse> createResizeDatastoreForVMFSResponse(ResizeDatastoreForVMFSResponse value) {
        return new JAXBElement<ResizeDatastoreForVMFSResponse>(_ResizeDatastoreForVMFSResponse_QNAME, ResizeDatastoreForVMFSResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MigrateVirtualMachinesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "migrateVirtualMachinesResponse")
    public JAXBElement<MigrateVirtualMachinesResponse> createMigrateVirtualMachinesResponse(MigrateVirtualMachinesResponse value) {
        return new JAXBElement<MigrateVirtualMachinesResponse>(_MigrateVirtualMachinesResponse_QNAME, MigrateVirtualMachinesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckDatastoreNameExistsByScannedVMResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "checkDatastoreNameExistsByScannedVMResponse")
    public JAXBElement<CheckDatastoreNameExistsByScannedVMResponse> createCheckDatastoreNameExistsByScannedVMResponse(CheckDatastoreNameExistsByScannedVMResponse value) {
        return new JAXBElement<CheckDatastoreNameExistsByScannedVMResponse>(_CheckDatastoreNameExistsByScannedVMResponse_QNAME, CheckDatastoreNameExistsByScannedVMResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DestroyDatastoreResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "destroyDatastoreResponse")
    public JAXBElement<DestroyDatastoreResponse> createDestroyDatastoreResponse(DestroyDatastoreResponse value) {
        return new JAXBElement<DestroyDatastoreResponse>(_DestroyDatastoreResponse_QNAME, DestroyDatastoreResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSanDetailsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getSanDetailsResponse")
    public JAXBElement<GetSanDetailsResponse> createGetSanDetailsResponse(GetSanDetailsResponse value) {
        return new JAXBElement<GetSanDetailsResponse>(_GetSanDetailsResponse_QNAME, GetSanDetailsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateDatastoreResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "createDatastoreResponse")
    public JAXBElement<CreateDatastoreResponse> createCreateDatastoreResponse(CreateDatastoreResponse value) {
        return new JAXBElement<CreateDatastoreResponse>(_CreateDatastoreResponse_QNAME, CreateDatastoreResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteStorageSystemResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "deleteStorageSystemResponse")
    public JAXBElement<DeleteStorageSystemResponse> createDeleteStorageSystemResponse(DeleteStorageSystemResponse value) {
        return new JAXBElement<DeleteStorageSystemResponse>(_DeleteStorageSystemResponse_QNAME, DeleteStorageSystemResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DestroyDatastore }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "destroyDatastore")
    public JAXBElement<DestroyDatastore> createDestroyDatastore(DestroyDatastore value) {
        return new JAXBElement<DestroyDatastore>(_DestroyDatastore_QNAME, DestroyDatastore.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemPrivilegesByControllerCredentials }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemPrivilegesByControllerCredentials")
    public JAXBElement<GetStorageSystemPrivilegesByControllerCredentials> createGetStorageSystemPrivilegesByControllerCredentials(GetStorageSystemPrivilegesByControllerCredentials value) {
        return new JAXBElement<GetStorageSystemPrivilegesByControllerCredentials>(_GetStorageSystemPrivilegesByControllerCredentials_QNAME, GetStorageSystemPrivilegesByControllerCredentials.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetMorefResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getMorefResponse")
    public JAXBElement<GetMorefResponse> createGetMorefResponse(GetMorefResponse value) {
        return new JAXBElement<GetMorefResponse>(_GetMorefResponse_QNAME, GetMorefResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDatastoresForVMCloningResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getDatastoresForVMCloningResponse")
    public JAXBElement<GetDatastoresForVMCloningResponse> createGetDatastoresForVMCloningResponse(GetDatastoresForVMCloningResponse value) {
        return new JAXBElement<GetDatastoresForVMCloningResponse>(_GetDatastoresForVMCloningResponse_QNAME, GetDatastoresForVMCloningResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVmFolderTreeModelResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getVmFolderTreeModelResponse")
    public JAXBElement<GetVmFolderTreeModelResponse> createGetVmFolderTreeModelResponse(GetVmFolderTreeModelResponse value) {
        return new JAXBElement<GetVmFolderTreeModelResponse>(_GetVmFolderTreeModelResponse_QNAME, GetVmFolderTreeModelResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemPrivilegesByControllerId }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemPrivilegesByControllerId")
    public JAXBElement<GetStorageSystemPrivilegesByControllerId> createGetStorageSystemPrivilegesByControllerId(GetStorageSystemPrivilegesByControllerId value) {
        return new JAXBElement<GetStorageSystemPrivilegesByControllerId>(_GetStorageSystemPrivilegesByControllerId_QNAME, GetStorageSystemPrivilegesByControllerId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllTasks }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getAllTasks")
    public JAXBElement<GetAllTasks> createGetAllTasks(GetAllTasks value) {
        return new JAXBElement<GetAllTasks>(_GetAllTasks_QNAME, GetAllTasks.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateStorageSystemResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "updateStorageSystemResponse")
    public JAXBElement<UpdateStorageSystemResponse> createUpdateStorageSystemResponse(UpdateStorageSystemResponse value) {
        return new JAXBElement<UpdateStorageSystemResponse>(_UpdateStorageSystemResponse_QNAME, UpdateStorageSystemResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckDatastoreNameExistsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "checkDatastoreNameExistsResponse")
    public JAXBElement<CheckDatastoreNameExistsResponse> createCheckDatastoreNameExistsResponse(CheckDatastoreNameExistsResponse value) {
        return new JAXBElement<CheckDatastoreNameExistsResponse>(_CheckDatastoreNameExistsResponse_QNAME, CheckDatastoreNameExistsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveScheduledTimes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "saveScheduledTimes")
    public JAXBElement<SaveScheduledTimes> createSaveScheduledTimes(SaveScheduledTimes value) {
        return new JAXBElement<SaveScheduledTimes>(_SaveScheduledTimes_QNAME, SaveScheduledTimes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDestinationHostDetail }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getDestinationHostDetail")
    public JAXBElement<GetDestinationHostDetail> createGetDestinationHostDetail(GetDestinationHostDetail value) {
        return new JAXBElement<GetDestinationHostDetail>(_GetDestinationHostDetail_QNAME, GetDestinationHostDetail.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetExistingViewPoolNames }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getExistingViewPoolNames")
    public JAXBElement<GetExistingViewPoolNames> createGetExistingViewPoolNames(GetExistingViewPoolNames value) {
        return new JAXBElement<GetExistingViewPoolNames>(_GetExistingViewPoolNames_QNAME, GetExistingViewPoolNames.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetMountableDatastoresResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getMountableDatastoresResponse")
    public JAXBElement<GetMountableDatastoresResponse> createGetMountableDatastoresResponse(GetMountableDatastoresResponse value) {
        return new JAXBElement<GetMountableDatastoresResponse>(_GetMountableDatastoresResponse_QNAME, GetMountableDatastoresResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemDetailByIdResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemDetailByIdResponse")
    public JAXBElement<GetStorageSystemDetailByIdResponse> createGetStorageSystemDetailByIdResponse(GetStorageSystemDetailByIdResponse value) {
        return new JAXBElement<GetStorageSystemDetailByIdResponse>(_GetStorageSystemDetailByIdResponse_QNAME, GetStorageSystemDetailByIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RemoveConnectionBrokers }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "removeConnectionBrokers")
    public JAXBElement<RemoveConnectionBrokers> createRemoveConnectionBrokers(RemoveConnectionBrokers value) {
        return new JAXBElement<RemoveConnectionBrokers>(_RemoveConnectionBrokers_QNAME, RemoveConnectionBrokers.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVirtualMachineAlignmentResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getVirtualMachineAlignmentResult")
    public JAXBElement<GetVirtualMachineAlignmentResult> createGetVirtualMachineAlignmentResult(GetVirtualMachineAlignmentResult value) {
        return new JAXBElement<GetVirtualMachineAlignmentResult>(_GetVirtualMachineAlignmentResult_QNAME, GetVirtualMachineAlignmentResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RemoveConnectionBrokersResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "removeConnectionBrokersResponse")
    public JAXBElement<RemoveConnectionBrokersResponse> createRemoveConnectionBrokersResponse(RemoveConnectionBrokersResponse value) {
        return new JAXBElement<RemoveConnectionBrokersResponse>(_RemoveConnectionBrokersResponse_QNAME, RemoveConnectionBrokersResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVirtualMachineFilesForVMCloning }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getVirtualMachineFilesForVMCloning")
    public JAXBElement<GetVirtualMachineFilesForVMCloning> createGetVirtualMachineFilesForVMCloning(GetVirtualMachineFilesForVMCloning value) {
        return new JAXBElement<GetVirtualMachineFilesForVMCloning>(_GetVirtualMachineFilesForVMCloning_QNAME, GetVirtualMachineFilesForVMCloning.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckDatastoreNameExists }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "checkDatastoreNameExists")
    public JAXBElement<CheckDatastoreNameExists> createCheckDatastoreNameExists(CheckDatastoreNameExists value) {
        return new JAXBElement<CheckDatastoreNameExists>(_CheckDatastoreNameExists_QNAME, CheckDatastoreNameExists.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LoginResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "loginResponse")
    public JAXBElement<LoginResponse> createLoginResponse(LoginResponse value) {
        return new JAXBElement<LoginResponse>(_LoginResponse_QNAME, LoginResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidateControllerForMigrationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "validateControllerForMigrationResponse")
    public JAXBElement<ValidateControllerForMigrationResponse> createValidateControllerForMigrationResponse(ValidateControllerForMigrationResponse value) {
        return new JAXBElement<ValidateControllerForMigrationResponse>(_ValidateControllerForMigrationResponse_QNAME, ValidateControllerForMigrationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProvisionableStorageSystemResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getProvisionableStorageSystemResponse")
    public JAXBElement<GetProvisionableStorageSystemResponse> createGetProvisionableStorageSystemResponse(GetProvisionableStorageSystemResponse value) {
        return new JAXBElement<GetProvisionableStorageSystemResponse>(_GetProvisionableStorageSystemResponse_QNAME, GetProvisionableStorageSystemResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StartAlignmentScanResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "startAlignmentScanResponse")
    public JAXBElement<StartAlignmentScanResponse> createStartAlignmentScanResponse(StartAlignmentScanResponse value) {
        return new JAXBElement<StartAlignmentScanResponse>(_StartAlignmentScanResponse_QNAME, StartAlignmentScanResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetScanJobStatus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getScanJobStatus")
    public JAXBElement<GetScanJobStatus> createGetScanJobStatus(GetScanJobStatus value) {
        return new JAXBElement<GetScanJobStatus>(_GetScanJobStatus_QNAME, GetScanJobStatus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckDatastoreSpace }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "checkDatastoreSpace")
    public JAXBElement<CheckDatastoreSpace> createCheckDatastoreSpace(CheckDatastoreSpace value) {
        return new JAXBElement<CheckDatastoreSpace>(_CheckDatastoreSpace_QNAME, CheckDatastoreSpace.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReclaimSpace }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "reclaimSpace")
    public JAXBElement<ReclaimSpace> createReclaimSpace(ReclaimSpace value) {
        return new JAXBElement<ReclaimSpace>(_ReclaimSpace_QNAME, ReclaimSpace.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllStorageSystemsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getAllStorageSystemsResponse")
    public JAXBElement<GetAllStorageSystemsResponse> createGetAllStorageSystemsResponse(GetAllStorageSystemsResponse value) {
        return new JAXBElement<GetAllStorageSystemsResponse>(_GetAllStorageSystemsResponse_QNAME, GetAllStorageSystemsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVirtualMachineAlignmentResultResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getVirtualMachineAlignmentResultResponse")
    public JAXBElement<GetVirtualMachineAlignmentResultResponse> createGetVirtualMachineAlignmentResultResponse(GetVirtualMachineAlignmentResultResponse value) {
        return new JAXBElement<GetVirtualMachineAlignmentResultResponse>(_GetVirtualMachineAlignmentResultResponse_QNAME, GetVirtualMachineAlignmentResultResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateStorageSystem }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "updateStorageSystem")
    public JAXBElement<UpdateStorageSystem> createUpdateStorageSystem(UpdateStorageSystem value) {
        return new JAXBElement<UpdateStorageSystem>(_UpdateStorageSystem_QNAME, UpdateStorageSystem.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetMigrationModel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getMigrationModel")
    public JAXBElement<GetMigrationModel> createGetMigrationModel(GetMigrationModel value) {
        return new JAXBElement<GetMigrationModel>(_GetMigrationModel_QNAME, GetMigrationModel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemDetailById }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemDetailById")
    public JAXBElement<GetStorageSystemDetailById> createGetStorageSystemDetailById(GetStorageSystemDetailById value) {
        return new JAXBElement<GetStorageSystemDetailById>(_GetStorageSystemDetailById_QNAME, GetStorageSystemDetailById.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateConnectionBrokerResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "updateConnectionBrokerResponse")
    public JAXBElement<UpdateConnectionBrokerResponse> createUpdateConnectionBrokerResponse(UpdateConnectionBrokerResponse value) {
        return new JAXBElement<UpdateConnectionBrokerResponse>(_UpdateConnectionBrokerResponse_QNAME, UpdateConnectionBrokerResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVmFolderTreeModel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getVmFolderTreeModel")
    public JAXBElement<GetVmFolderTreeModel> createGetVmFolderTreeModel(GetVmFolderTreeModel value) {
        return new JAXBElement<GetVmFolderTreeModel>(_GetVmFolderTreeModel_QNAME, GetVmFolderTreeModel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemIdResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemIdResponse")
    public JAXBElement<GetStorageSystemIdResponse> createGetStorageSystemIdResponse(GetStorageSystemIdResponse value) {
        return new JAXBElement<GetStorageSystemIdResponse>(_GetStorageSystemIdResponse_QNAME, GetStorageSystemIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsPolicyBasedProvisioningSupported }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "isPolicyBasedProvisioningSupported")
    public JAXBElement<IsPolicyBasedProvisioningSupported> createIsPolicyBasedProvisioningSupported(IsPolicyBasedProvisioningSupported value) {
        return new JAXBElement<IsPolicyBasedProvisioningSupported>(_IsPolicyBasedProvisioningSupported_QNAME, IsPolicyBasedProvisioningSupported.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsPolicyBasedProvisioningSupportedResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "isPolicyBasedProvisioningSupportedResponse")
    public JAXBElement<IsPolicyBasedProvisioningSupportedResponse> createIsPolicyBasedProvisioningSupportedResponse(IsPolicyBasedProvisioningSupportedResponse value) {
        return new JAXBElement<IsPolicyBasedProvisioningSupportedResponse>(_IsPolicyBasedProvisioningSupportedResponse_QNAME, IsPolicyBasedProvisioningSupportedResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Login }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "login")
    public JAXBElement<Login> createLogin(Login value) {
        return new JAXBElement<Login>(_Login_QNAME, Login.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetDefaultStorageSystemCredentialsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "setDefaultStorageSystemCredentialsResponse")
    public JAXBElement<SetDefaultStorageSystemCredentialsResponse> createSetDefaultStorageSystemCredentialsResponse(SetDefaultStorageSystemCredentialsResponse value) {
        return new JAXBElement<SetDefaultStorageSystemCredentialsResponse>(_SetDefaultStorageSystemCredentialsResponse_QNAME, SetDefaultStorageSystemCredentialsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddStorageSystemResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "addStorageSystemResponse")
    public JAXBElement<AddStorageSystemResponse> createAddStorageSystemResponse(AddStorageSystemResponse value) {
        return new JAXBElement<AddStorageSystemResponse>(_AddStorageSystemResponse_QNAME, AddStorageSystemResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Wait }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "wait")
    public JAXBElement<Wait> createWait(Wait value) {
        return new JAXBElement<Wait>(_Wait_QNAME, Wait.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveScheduledTimesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "saveScheduledTimesResponse")
    public JAXBElement<SaveScheduledTimesResponse> createSaveScheduledTimesResponse(SaveScheduledTimesResponse value) {
        return new JAXBElement<SaveScheduledTimesResponse>(_SaveScheduledTimesResponse_QNAME, SaveScheduledTimesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StartAlignmentScan }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "startAlignmentScan")
    public JAXBElement<StartAlignmentScan> createStartAlignmentScan(StartAlignmentScan value) {
        return new JAXBElement<StartAlignmentScan>(_StartAlignmentScan_QNAME, StartAlignmentScan.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemPrivilegesByControllerIdResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemPrivilegesByControllerIdResponse")
    public JAXBElement<GetStorageSystemPrivilegesByControllerIdResponse> createGetStorageSystemPrivilegesByControllerIdResponse(GetStorageSystemPrivilegesByControllerIdResponse value) {
        return new JAXBElement<GetStorageSystemPrivilegesByControllerIdResponse>(_GetStorageSystemPrivilegesByControllerIdResponse_QNAME, GetStorageSystemPrivilegesByControllerIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResizeDatastoreForNFS }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "resizeDatastoreForNFS")
    public JAXBElement<ResizeDatastoreForNFS> createResizeDatastoreForNFS(ResizeDatastoreForNFS value) {
        return new JAXBElement<ResizeDatastoreForNFS>(_ResizeDatastoreForNFS_QNAME, ResizeDatastoreForNFS.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProvisioningTargetStorageSystemDetail }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getProvisioningTargetStorageSystemDetail")
    public JAXBElement<GetProvisioningTargetStorageSystemDetail> createGetProvisioningTargetStorageSystemDetail(GetProvisioningTargetStorageSystemDetail value) {
        return new JAXBElement<GetProvisioningTargetStorageSystemDetail>(_GetProvisioningTargetStorageSystemDetail_QNAME, GetProvisioningTargetStorageSystemDetail.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemPrivilegesByControllerCredentialsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemPrivilegesByControllerCredentialsResponse")
    public JAXBElement<GetStorageSystemPrivilegesByControllerCredentialsResponse> createGetStorageSystemPrivilegesByControllerCredentialsResponse(GetStorageSystemPrivilegesByControllerCredentialsResponse value) {
        return new JAXBElement<GetStorageSystemPrivilegesByControllerCredentialsResponse>(_GetStorageSystemPrivilegesByControllerCredentialsResponse_QNAME, GetStorageSystemPrivilegesByControllerCredentialsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteStorageSystem }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "deleteStorageSystem")
    public JAXBElement<DeleteStorageSystem> createDeleteStorageSystem(DeleteStorageSystem value) {
        return new JAXBElement<DeleteStorageSystem>(_DeleteStorageSystem_QNAME, DeleteStorageSystem.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateAllStorageSystemsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "updateAllStorageSystemsResponse")
    public JAXBElement<UpdateAllStorageSystemsResponse> createUpdateAllStorageSystemsResponse(UpdateAllStorageSystemsResponse value) {
        return new JAXBElement<UpdateAllStorageSystemsResponse>(_UpdateAllStorageSystemsResponse_QNAME, UpdateAllStorageSystemsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetHostListResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getHostListResponse")
    public JAXBElement<GetHostListResponse> createGetHostListResponse(GetHostListResponse value) {
        return new JAXBElement<GetHostListResponse>(_GetHostListResponse_QNAME, GetHostListResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetMountableDatastores }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getMountableDatastores")
    public JAXBElement<GetMountableDatastores> createGetMountableDatastores(GetMountableDatastores value) {
        return new JAXBElement<GetMountableDatastores>(_GetMountableDatastores_QNAME, GetMountableDatastores.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProvisioningPolicyNamesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getProvisioningPolicyNamesResponse")
    public JAXBElement<GetProvisioningPolicyNamesResponse> createGetProvisioningPolicyNamesResponse(GetProvisioningPolicyNamesResponse value) {
        return new JAXBElement<GetProvisioningPolicyNamesResponse>(_GetProvisioningPolicyNamesResponse_QNAME, GetProvisioningPolicyNamesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetMigrationModelResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getMigrationModelResponse")
    public JAXBElement<GetMigrationModelResponse> createGetMigrationModelResponse(GetMigrationModelResponse value) {
        return new JAXBElement<GetMigrationModelResponse>(_GetMigrationModelResponse_QNAME, GetMigrationModelResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ApiException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "ApiException")
    public JAXBElement<ApiException> createApiException(ApiException value) {
        return new JAXBElement<ApiException>(_ApiException_QNAME, ApiException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDestinationHostDetailResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getDestinationHostDetailResponse")
    public JAXBElement<GetDestinationHostDetailResponse> createGetDestinationHostDetailResponse(GetDestinationHostDetailResponse value) {
        return new JAXBElement<GetDestinationHostDetailResponse>(_GetDestinationHostDetailResponse_QNAME, GetDestinationHostDetailResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckDatastoreSpaceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "checkDatastoreSpaceResponse")
    public JAXBElement<CheckDatastoreSpaceResponse> createCheckDatastoreSpaceResponse(CheckDatastoreSpaceResponse value) {
        return new JAXBElement<CheckDatastoreSpaceResponse>(_CheckDatastoreSpaceResponse_QNAME, CheckDatastoreSpaceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MountDatastoresResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "mountDatastoresResponse")
    public JAXBElement<MountDatastoresResponse> createMountDatastoresResponse(MountDatastoresResponse value) {
        return new JAXBElement<MountDatastoresResponse>(_MountDatastoresResponse_QNAME, MountDatastoresResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResizeDatastoreForNFSResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "resizeDatastoreForNFSResponse")
    public JAXBElement<ResizeDatastoreForNFSResponse> createResizeDatastoreForNFSResponse(ResizeDatastoreForNFSResponse value) {
        return new JAXBElement<ResizeDatastoreForNFSResponse>(_ResizeDatastoreForNFSResponse_QNAME, ResizeDatastoreForNFSResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MigrateVirtualMachines }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "migrateVirtualMachines")
    public JAXBElement<MigrateVirtualMachines> createMigrateVirtualMachines(MigrateVirtualMachines value) {
        return new JAXBElement<MigrateVirtualMachines>(_MigrateVirtualMachines_QNAME, MigrateVirtualMachines.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCloningLimits }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getCloningLimits")
    public JAXBElement<GetCloningLimits> createGetCloningLimits(GetCloningLimits value) {
        return new JAXBElement<GetCloningLimits>(_GetCloningLimits_QNAME, GetCloningLimits.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidateControllerForMigration }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "validateControllerForMigration")
    public JAXBElement<ValidateControllerForMigration> createValidateControllerForMigration(ValidateControllerForMigration value) {
        return new JAXBElement<ValidateControllerForMigration>(_ValidateControllerForMigration_QNAME, ValidateControllerForMigration.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllTasksResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getAllTasksResponse")
    public JAXBElement<GetAllTasksResponse> createGetAllTasksResponse(GetAllTasksResponse value) {
        return new JAXBElement<GetAllTasksResponse>(_GetAllTasksResponse_QNAME, GetAllTasksResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetNasDetails }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getNasDetails")
    public JAXBElement<GetNasDetails> createGetNasDetails(GetNasDetails value) {
        return new JAXBElement<GetNasDetails>(_GetNasDetails_QNAME, GetNasDetails.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemsForVMCloningResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemsForVMCloningResponse")
    public JAXBElement<GetStorageSystemsForVMCloningResponse> createGetStorageSystemsForVMCloningResponse(GetStorageSystemsForVMCloningResponse value) {
        return new JAXBElement<GetStorageSystemsForVMCloningResponse>(_GetStorageSystemsForVMCloningResponse_QNAME, GetStorageSystemsForVMCloningResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetExistingViewPoolNamesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getExistingViewPoolNamesResponse")
    public JAXBElement<GetExistingViewPoolNamesResponse> createGetExistingViewPoolNamesResponse(GetExistingViewPoolNamesResponse value) {
        return new JAXBElement<GetExistingViewPoolNamesResponse>(_GetExistingViewPoolNamesResponse_QNAME, GetExistingViewPoolNamesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTaskStatusResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getTaskStatusResponse")
    public JAXBElement<GetTaskStatusResponse> createGetTaskStatusResponse(GetTaskStatusResponse value) {
        return new JAXBElement<GetTaskStatusResponse>(_GetTaskStatusResponse_QNAME, GetTaskStatusResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetScanJobStatusResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getScanJobStatusResponse")
    public JAXBElement<GetScanJobStatusResponse> createGetScanJobStatusResponse(GetScanJobStatusResponse value) {
        return new JAXBElement<GetScanJobStatusResponse>(_GetScanJobStatusResponse_QNAME, GetScanJobStatusResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResizeDatastoreForVMFS }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "resizeDatastoreForVMFS")
    public JAXBElement<ResizeDatastoreForVMFS> createResizeDatastoreForVMFS(ResizeDatastoreForVMFS value) {
        return new JAXBElement<ResizeDatastoreForVMFS>(_ResizeDatastoreForVMFS_QNAME, ResizeDatastoreForVMFS.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateClones }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "createClones")
    public JAXBElement<CreateClones> createCreateClones(CreateClones value) {
        return new JAXBElement<CreateClones>(_CreateClones_QNAME, CreateClones.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReclaimSpaceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "reclaimSpaceResponse")
    public JAXBElement<ReclaimSpaceResponse> createReclaimSpaceResponse(ReclaimSpaceResponse value) {
        return new JAXBElement<ReclaimSpaceResponse>(_ReclaimSpaceResponse_QNAME, ReclaimSpaceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Logout }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "logout")
    public JAXBElement<Logout> createLogout(Logout value) {
        return new JAXBElement<Logout>(_Logout_QNAME, Logout.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDatastoreOptimizationDetailsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getDatastoreOptimizationDetailsResponse")
    public JAXBElement<GetDatastoreOptimizationDetailsResponse> createGetDatastoreOptimizationDetailsResponse(GetDatastoreOptimizationDetailsResponse value) {
        return new JAXBElement<GetDatastoreOptimizationDetailsResponse>(_GetDatastoreOptimizationDetailsResponse_QNAME, GetDatastoreOptimizationDetailsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDatastoresResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getDatastoresResponse")
    public JAXBElement<GetDatastoresResponse> createGetDatastoresResponse(GetDatastoresResponse value) {
        return new JAXBElement<GetDatastoresResponse>(_GetDatastoresResponse_QNAME, GetDatastoresResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetMoref }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getMoref")
    public JAXBElement<GetMoref> createGetMoref(GetMoref value) {
        return new JAXBElement<GetMoref>(_GetMoref_QNAME, GetMoref.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVirtualMachineFilesForVMCloningResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getVirtualMachineFilesForVMCloningResponse")
    public JAXBElement<GetVirtualMachineFilesForVMCloningResponse> createGetVirtualMachineFilesForVMCloningResponse(GetVirtualMachineFilesForVMCloningResponse value) {
        return new JAXBElement<GetVirtualMachineFilesForVMCloningResponse>(_GetVirtualMachineFilesForVMCloningResponse_QNAME, GetVirtualMachineFilesForVMCloningResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDatastoreOptimizationDetails }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getDatastoreOptimizationDetails")
    public JAXBElement<GetDatastoreOptimizationDetails> createGetDatastoreOptimizationDetails(GetDatastoreOptimizationDetails value) {
        return new JAXBElement<GetDatastoreOptimizationDetails>(_GetDatastoreOptimizationDetails_QNAME, GetDatastoreOptimizationDetails.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateConnectionBroker }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "updateConnectionBroker")
    public JAXBElement<UpdateConnectionBroker> createUpdateConnectionBroker(UpdateConnectionBroker value) {
        return new JAXBElement<UpdateConnectionBroker>(_UpdateConnectionBroker_QNAME, UpdateConnectionBroker.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MountDatastores }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "mountDatastores")
    public JAXBElement<MountDatastores> createMountDatastores(MountDatastores value) {
        return new JAXBElement<MountDatastores>(_MountDatastores_QNAME, MountDatastores.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateAllStorageSystems }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "updateAllStorageSystems")
    public JAXBElement<UpdateAllStorageSystems> createUpdateAllStorageSystems(UpdateAllStorageSystems value) {
        return new JAXBElement<UpdateAllStorageSystems>(_UpdateAllStorageSystems_QNAME, UpdateAllStorageSystems.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetNasDetailsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getNasDetailsResponse")
    public JAXBElement<GetNasDetailsResponse> createGetNasDetailsResponse(GetNasDetailsResponse value) {
        return new JAXBElement<GetNasDetailsResponse>(_GetNasDetailsResponse_QNAME, GetNasDetailsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDatastores }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getDatastores")
    public JAXBElement<GetDatastores> createGetDatastores(GetDatastores value) {
        return new JAXBElement<GetDatastores>(_GetDatastores_QNAME, GetDatastores.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetConnectionBrokers }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getConnectionBrokers")
    public JAXBElement<GetConnectionBrokers> createGetConnectionBrokers(GetConnectionBrokers value) {
        return new JAXBElement<GetConnectionBrokers>(_GetConnectionBrokers_QNAME, GetConnectionBrokers.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStorageSystemId }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getStorageSystemId")
    public JAXBElement<GetStorageSystemId> createGetStorageSystemId(GetStorageSystemId value) {
        return new JAXBElement<GetStorageSystemId>(_GetStorageSystemId_QNAME, GetStorageSystemId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddStorageSystem }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "addStorageSystem")
    public JAXBElement<AddStorageSystem> createAddStorageSystem(AddStorageSystem value) {
        return new JAXBElement<AddStorageSystem>(_AddStorageSystem_QNAME, AddStorageSystem.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProvisioningTargetStorageSystemDetailResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getProvisioningTargetStorageSystemDetailResponse")
    public JAXBElement<GetProvisioningTargetStorageSystemDetailResponse> createGetProvisioningTargetStorageSystemDetailResponse(GetProvisioningTargetStorageSystemDetailResponse value) {
        return new JAXBElement<GetProvisioningTargetStorageSystemDetailResponse>(_GetProvisioningTargetStorageSystemDetailResponse_QNAME, GetProvisioningTargetStorageSystemDetailResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CheckDatastoreNameExistsByScannedVM }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "checkDatastoreNameExistsByScannedVM")
    public JAXBElement<CheckDatastoreNameExistsByScannedVM> createCheckDatastoreNameExistsByScannedVM(CheckDatastoreNameExistsByScannedVM value) {
        return new JAXBElement<CheckDatastoreNameExistsByScannedVM>(_CheckDatastoreNameExistsByScannedVM_QNAME, CheckDatastoreNameExistsByScannedVM.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WaitResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "waitResponse")
    public JAXBElement<WaitResponse> createWaitResponse(WaitResponse value) {
        return new JAXBElement<WaitResponse>(_WaitResponse_QNAME, WaitResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetConnectionBrokersResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getConnectionBrokersResponse")
    public JAXBElement<GetConnectionBrokersResponse> createGetConnectionBrokersResponse(GetConnectionBrokersResponse value) {
        return new JAXBElement<GetConnectionBrokersResponse>(_GetConnectionBrokersResponse_QNAME, GetConnectionBrokersResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetHostList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.v1.wsapi.nvpf.netapp.com/", name = "getHostList")
    public JAXBElement<GetHostList> createGetHostList(GetHostList value) {
        return new JAXBElement<GetHostList>(_GetHostList_QNAME, GetHostList.class, null, value);
    }

}
