
package com.netapp.nvpf.wsapi.v1.service;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for operationStatus.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="operationStatus">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="STARTED"/>
 *     &lt;enumeration value="RUNNING"/>
 *     &lt;enumeration value="WAITING"/>
 *     &lt;enumeration value="FAILED"/>
 *     &lt;enumeration value="EXPIRED"/>
 *     &lt;enumeration value="COMPLETE"/>
 *     &lt;enumeration value="REJECTED"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "operationStatus")
@XmlEnum
public enum OperationStatus {

    STARTED,
    RUNNING,
    WAITING,
    FAILED,
    EXPIRED,
    COMPLETE,
    REJECTED;

    public String value() {
        return name();
    }

    public static OperationStatus fromValue(String v) {
        return valueOf(v);
    }

}
