
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for provisioningTargetStorageSystem complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="provisioningTargetStorageSystem">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="actuallyOpsMgr" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="children" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningTargetStorageSystem" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="cloningErrors">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                             &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}wrapper" minOccurs="0"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="cloningWarnings">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                             &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}wrapper" minOccurs="0"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="errors" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningMessage" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="ipAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="passthroughContext" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="password" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="port" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="provisionable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="ssl" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="storageSystemType" type="{http://service.v1.wsapi.nvpf.netapp.com/}storageSystemTypeEnum" minOccurs="0"/>
 *         &lt;element name="storageSystemTypeAsString" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="username" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="warnings" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningMessage" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "provisioningTargetStorageSystem", propOrder = {
    "actuallyOpsMgr",
    "children",
    "cloningErrors",
    "cloningWarnings",
    "errors",
    "ipAddress",
    "name",
    "passthroughContext",
    "password",
    "port",
    "provisionable",
    "ssl",
    "storageSystemType",
    "storageSystemTypeAsString",
    "username",
    "version",
    "warnings"
})
public class ProvisioningTargetStorageSystem {

    protected boolean actuallyOpsMgr;
    @XmlElement(nillable = true)
    protected List<ProvisioningTargetStorageSystem> children;
    @XmlElement(required = true)
    protected ProvisioningTargetStorageSystem.CloningErrors cloningErrors;
    @XmlElement(required = true)
    protected ProvisioningTargetStorageSystem.CloningWarnings cloningWarnings;
    @XmlElement(nillable = true)
    protected List<ProvisioningMessage> errors;
    protected String ipAddress;
    protected String name;
    protected String passthroughContext;
    protected String password;
    protected int port;
    protected boolean provisionable;
    protected boolean ssl;
    @XmlSchemaType(name = "string")
    protected StorageSystemTypeEnum storageSystemType;
    protected String storageSystemTypeAsString;
    protected String username;
    protected String version;
    @XmlElement(nillable = true)
    protected List<ProvisioningMessage> warnings;

    /**
     * Gets the value of the actuallyOpsMgr property.
     * 
     */
    public boolean isActuallyOpsMgr() {
        return actuallyOpsMgr;
    }

    /**
     * Sets the value of the actuallyOpsMgr property.
     * 
     */
    public void setActuallyOpsMgr(boolean value) {
        this.actuallyOpsMgr = value;
    }

    /**
     * Gets the value of the children property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the children property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getChildren().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningTargetStorageSystem }
     * 
     * 
     */
    public List<ProvisioningTargetStorageSystem> getChildren() {
        if (children == null) {
            children = new ArrayList<ProvisioningTargetStorageSystem>();
        }
        return this.children;
    }

    /**
     * Gets the value of the cloningErrors property.
     * 
     * @return
     *     possible object is
     *     {@link ProvisioningTargetStorageSystem.CloningErrors }
     *     
     */
    public ProvisioningTargetStorageSystem.CloningErrors getCloningErrors() {
        return cloningErrors;
    }

    /**
     * Sets the value of the cloningErrors property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvisioningTargetStorageSystem.CloningErrors }
     *     
     */
    public void setCloningErrors(ProvisioningTargetStorageSystem.CloningErrors value) {
        this.cloningErrors = value;
    }

    /**
     * Gets the value of the cloningWarnings property.
     * 
     * @return
     *     possible object is
     *     {@link ProvisioningTargetStorageSystem.CloningWarnings }
     *     
     */
    public ProvisioningTargetStorageSystem.CloningWarnings getCloningWarnings() {
        return cloningWarnings;
    }

    /**
     * Sets the value of the cloningWarnings property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvisioningTargetStorageSystem.CloningWarnings }
     *     
     */
    public void setCloningWarnings(ProvisioningTargetStorageSystem.CloningWarnings value) {
        this.cloningWarnings = value;
    }

    /**
     * Gets the value of the errors property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the errors property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getErrors().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningMessage }
     * 
     * 
     */
    public List<ProvisioningMessage> getErrors() {
        if (errors == null) {
            errors = new ArrayList<ProvisioningMessage>();
        }
        return this.errors;
    }

    /**
     * Gets the value of the ipAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIpAddress() {
        return ipAddress;
    }

    /**
     * Sets the value of the ipAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIpAddress(String value) {
        this.ipAddress = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the passthroughContext property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPassthroughContext() {
        return passthroughContext;
    }

    /**
     * Sets the value of the passthroughContext property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPassthroughContext(String value) {
        this.passthroughContext = value;
    }

    /**
     * Gets the value of the password property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPassword() {
        return password;
    }

    /**
     * Sets the value of the password property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPassword(String value) {
        this.password = value;
    }

    /**
     * Gets the value of the port property.
     * 
     */
    public int getPort() {
        return port;
    }

    /**
     * Sets the value of the port property.
     * 
     */
    public void setPort(int value) {
        this.port = value;
    }

    /**
     * Gets the value of the provisionable property.
     * 
     */
    public boolean isProvisionable() {
        return provisionable;
    }

    /**
     * Sets the value of the provisionable property.
     * 
     */
    public void setProvisionable(boolean value) {
        this.provisionable = value;
    }

    /**
     * Gets the value of the ssl property.
     * 
     */
    public boolean isSsl() {
        return ssl;
    }

    /**
     * Sets the value of the ssl property.
     * 
     */
    public void setSsl(boolean value) {
        this.ssl = value;
    }

    /**
     * Gets the value of the storageSystemType property.
     * 
     * @return
     *     possible object is
     *     {@link StorageSystemTypeEnum }
     *     
     */
    public StorageSystemTypeEnum getStorageSystemType() {
        return storageSystemType;
    }

    /**
     * Sets the value of the storageSystemType property.
     * 
     * @param value
     *     allowed object is
     *     {@link StorageSystemTypeEnum }
     *     
     */
    public void setStorageSystemType(StorageSystemTypeEnum value) {
        this.storageSystemType = value;
    }

    /**
     * Gets the value of the storageSystemTypeAsString property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStorageSystemTypeAsString() {
        return storageSystemTypeAsString;
    }

    /**
     * Sets the value of the storageSystemTypeAsString property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStorageSystemTypeAsString(String value) {
        this.storageSystemTypeAsString = value;
    }

    /**
     * Gets the value of the username property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUsername() {
        return username;
    }

    /**
     * Sets the value of the username property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUsername(String value) {
        this.username = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

    /**
     * Gets the value of the warnings property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the warnings property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getWarnings().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningMessage }
     * 
     * 
     */
    public List<ProvisioningMessage> getWarnings() {
        if (warnings == null) {
            warnings = new ArrayList<ProvisioningMessage>();
        }
        return this.warnings;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                   &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}wrapper" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "entry"
    })
    public static class CloningErrors {

        protected List<ProvisioningTargetStorageSystem.CloningErrors.Entry> entry;

        /**
         * Gets the value of the entry property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the entry property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getEntry().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ProvisioningTargetStorageSystem.CloningErrors.Entry }
         * 
         * 
         */
        public List<ProvisioningTargetStorageSystem.CloningErrors.Entry> getEntry() {
            if (entry == null) {
                entry = new ArrayList<ProvisioningTargetStorageSystem.CloningErrors.Entry>();
            }
            return this.entry;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *         &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}wrapper" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "key",
            "value"
        })
        public static class Entry {

            protected String key;
            protected Wrapper value;

            /**
             * Gets the value of the key property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getKey() {
                return key;
            }

            /**
             * Sets the value of the key property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setKey(String value) {
                this.key = value;
            }

            /**
             * Gets the value of the value property.
             * 
             * @return
             *     possible object is
             *     {@link Wrapper }
             *     
             */
            public Wrapper getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             * 
             * @param value
             *     allowed object is
             *     {@link Wrapper }
             *     
             */
            public void setValue(Wrapper value) {
                this.value = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                   &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}wrapper" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "entry"
    })
    public static class CloningWarnings {

        protected List<ProvisioningTargetStorageSystem.CloningWarnings.Entry> entry;

        /**
         * Gets the value of the entry property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the entry property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getEntry().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ProvisioningTargetStorageSystem.CloningWarnings.Entry }
         * 
         * 
         */
        public List<ProvisioningTargetStorageSystem.CloningWarnings.Entry> getEntry() {
            if (entry == null) {
                entry = new ArrayList<ProvisioningTargetStorageSystem.CloningWarnings.Entry>();
            }
            return this.entry;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *         &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}wrapper" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "key",
            "value"
        })
        public static class Entry {

            protected String key;
            protected Wrapper value;

            /**
             * Gets the value of the key property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getKey() {
                return key;
            }

            /**
             * Sets the value of the key property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setKey(String value) {
                this.key = value;
            }

            /**
             * Gets the value of the value property.
             * 
             * @return
             *     possible object is
             *     {@link Wrapper }
             *     
             */
            public Wrapper getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             * 
             * @param value
             *     allowed object is
             *     {@link Wrapper }
             *     
             */
            public void setValue(Wrapper value) {
                this.value = value;
            }

        }

    }

}
