
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for provisioningTargetStorageSystemDetail complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="provisioningTargetStorageSystemDetail">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="aggregates" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningTargetAggregate" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="datastoreClusters" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningTargetStoragePod" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="defaultDatastoreSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="defaultIncrementSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="defaultSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="maxDatastoreSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="maxIncrementSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="maxSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="maxSizeForVolume" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="minSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="provisioningStorageSystemDestinationName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="showBlockSizeList" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="thinProvisionMaxSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="thinProvisionMaxSizeForVolume" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="thinProvisionMinSize" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="volumeWrapperBuffer" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="volumes" type="{http://service.v1.wsapi.nvpf.netapp.com/}provisioningTargetVolume" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "provisioningTargetStorageSystemDetail", propOrder = {
    "aggregates",
    "datastoreClusters",
    "defaultDatastoreSize",
    "defaultIncrementSize",
    "defaultSize",
    "maxDatastoreSize",
    "maxIncrementSize",
    "maxSize",
    "maxSizeForVolume",
    "minSize",
    "provisioningStorageSystemDestinationName",
    "showBlockSizeList",
    "thinProvisionMaxSize",
    "thinProvisionMaxSizeForVolume",
    "thinProvisionMinSize",
    "volumeWrapperBuffer",
    "volumes"
})
public class ProvisioningTargetStorageSystemDetail {

    @XmlElement(nillable = true)
    protected List<ProvisioningTargetAggregate> aggregates;
    @XmlElement(nillable = true)
    protected List<ProvisioningTargetStoragePod> datastoreClusters;
    protected double defaultDatastoreSize;
    protected double defaultIncrementSize;
    protected double defaultSize;
    protected double maxDatastoreSize;
    protected double maxIncrementSize;
    protected double maxSize;
    protected double maxSizeForVolume;
    protected double minSize;
    protected String provisioningStorageSystemDestinationName;
    protected boolean showBlockSizeList;
    protected double thinProvisionMaxSize;
    protected double thinProvisionMaxSizeForVolume;
    protected double thinProvisionMinSize;
    protected int volumeWrapperBuffer;
    @XmlElement(nillable = true)
    protected List<ProvisioningTargetVolume> volumes;

    /**
     * Gets the value of the aggregates property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the aggregates property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAggregates().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningTargetAggregate }
     * 
     * 
     */
    public List<ProvisioningTargetAggregate> getAggregates() {
        if (aggregates == null) {
            aggregates = new ArrayList<ProvisioningTargetAggregate>();
        }
        return this.aggregates;
    }

    /**
     * Gets the value of the datastoreClusters property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the datastoreClusters property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDatastoreClusters().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningTargetStoragePod }
     * 
     * 
     */
    public List<ProvisioningTargetStoragePod> getDatastoreClusters() {
        if (datastoreClusters == null) {
            datastoreClusters = new ArrayList<ProvisioningTargetStoragePod>();
        }
        return this.datastoreClusters;
    }

    /**
     * Gets the value of the defaultDatastoreSize property.
     * 
     */
    public double getDefaultDatastoreSize() {
        return defaultDatastoreSize;
    }

    /**
     * Sets the value of the defaultDatastoreSize property.
     * 
     */
    public void setDefaultDatastoreSize(double value) {
        this.defaultDatastoreSize = value;
    }

    /**
     * Gets the value of the defaultIncrementSize property.
     * 
     */
    public double getDefaultIncrementSize() {
        return defaultIncrementSize;
    }

    /**
     * Sets the value of the defaultIncrementSize property.
     * 
     */
    public void setDefaultIncrementSize(double value) {
        this.defaultIncrementSize = value;
    }

    /**
     * Gets the value of the defaultSize property.
     * 
     */
    public double getDefaultSize() {
        return defaultSize;
    }

    /**
     * Sets the value of the defaultSize property.
     * 
     */
    public void setDefaultSize(double value) {
        this.defaultSize = value;
    }

    /**
     * Gets the value of the maxDatastoreSize property.
     * 
     */
    public double getMaxDatastoreSize() {
        return maxDatastoreSize;
    }

    /**
     * Sets the value of the maxDatastoreSize property.
     * 
     */
    public void setMaxDatastoreSize(double value) {
        this.maxDatastoreSize = value;
    }

    /**
     * Gets the value of the maxIncrementSize property.
     * 
     */
    public double getMaxIncrementSize() {
        return maxIncrementSize;
    }

    /**
     * Sets the value of the maxIncrementSize property.
     * 
     */
    public void setMaxIncrementSize(double value) {
        this.maxIncrementSize = value;
    }

    /**
     * Gets the value of the maxSize property.
     * 
     */
    public double getMaxSize() {
        return maxSize;
    }

    /**
     * Sets the value of the maxSize property.
     * 
     */
    public void setMaxSize(double value) {
        this.maxSize = value;
    }

    /**
     * Gets the value of the maxSizeForVolume property.
     * 
     */
    public double getMaxSizeForVolume() {
        return maxSizeForVolume;
    }

    /**
     * Sets the value of the maxSizeForVolume property.
     * 
     */
    public void setMaxSizeForVolume(double value) {
        this.maxSizeForVolume = value;
    }

    /**
     * Gets the value of the minSize property.
     * 
     */
    public double getMinSize() {
        return minSize;
    }

    /**
     * Sets the value of the minSize property.
     * 
     */
    public void setMinSize(double value) {
        this.minSize = value;
    }

    /**
     * Gets the value of the provisioningStorageSystemDestinationName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProvisioningStorageSystemDestinationName() {
        return provisioningStorageSystemDestinationName;
    }

    /**
     * Sets the value of the provisioningStorageSystemDestinationName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProvisioningStorageSystemDestinationName(String value) {
        this.provisioningStorageSystemDestinationName = value;
    }

    /**
     * Gets the value of the showBlockSizeList property.
     * 
     */
    public boolean isShowBlockSizeList() {
        return showBlockSizeList;
    }

    /**
     * Sets the value of the showBlockSizeList property.
     * 
     */
    public void setShowBlockSizeList(boolean value) {
        this.showBlockSizeList = value;
    }

    /**
     * Gets the value of the thinProvisionMaxSize property.
     * 
     */
    public double getThinProvisionMaxSize() {
        return thinProvisionMaxSize;
    }

    /**
     * Sets the value of the thinProvisionMaxSize property.
     * 
     */
    public void setThinProvisionMaxSize(double value) {
        this.thinProvisionMaxSize = value;
    }

    /**
     * Gets the value of the thinProvisionMaxSizeForVolume property.
     * 
     */
    public double getThinProvisionMaxSizeForVolume() {
        return thinProvisionMaxSizeForVolume;
    }

    /**
     * Sets the value of the thinProvisionMaxSizeForVolume property.
     * 
     */
    public void setThinProvisionMaxSizeForVolume(double value) {
        this.thinProvisionMaxSizeForVolume = value;
    }

    /**
     * Gets the value of the thinProvisionMinSize property.
     * 
     */
    public double getThinProvisionMinSize() {
        return thinProvisionMinSize;
    }

    /**
     * Sets the value of the thinProvisionMinSize property.
     * 
     */
    public void setThinProvisionMinSize(double value) {
        this.thinProvisionMinSize = value;
    }

    /**
     * Gets the value of the volumeWrapperBuffer property.
     * 
     */
    public int getVolumeWrapperBuffer() {
        return volumeWrapperBuffer;
    }

    /**
     * Sets the value of the volumeWrapperBuffer property.
     * 
     */
    public void setVolumeWrapperBuffer(int value) {
        this.volumeWrapperBuffer = value;
    }

    /**
     * Gets the value of the volumes property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the volumes property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVolumes().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvisioningTargetVolume }
     * 
     * 
     */
    public List<ProvisioningTargetVolume> getVolumes() {
        if (volumes == null) {
            volumes = new ArrayList<ProvisioningTargetVolume>();
        }
        return this.volumes;
    }

}
