
package com.netapp.nvpf.wsapi.v1.service;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for storageSystem complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="storageSystem">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="clusteredOntap" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ipAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="overallStatus" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="overallStatusReason" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="storageSystemProtocol" type="{http://service.v1.wsapi.nvpf.netapp.com/}storageSystemProtocol" minOccurs="0"/>
 *         &lt;element name="supportedProtocols" type="{http://www.w3.org/2001/XMLSchema}byte"/>
 *         &lt;element name="totalAllocated" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="totalCapacity" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="totalFree" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="totalUsed" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="type" type="{http://service.v1.wsapi.nvpf.netapp.com/}storageSystemTypeEnum" minOccurs="0"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "storageSystem", propOrder = {
    "clusteredOntap",
    "id",
    "ipAddress",
    "name",
    "overallStatus",
    "overallStatusReason",
    "storageSystemProtocol",
    "supportedProtocols",
    "totalAllocated",
    "totalCapacity",
    "totalFree",
    "totalUsed",
    "type",
    "version"
})
@XmlSeeAlso({
    StorageSystemDetails.class
})
public class StorageSystem {

    protected boolean clusteredOntap;
    protected String id;
    protected String ipAddress;
    protected String name;
    protected Integer overallStatus;
    protected String overallStatusReason;
    protected StorageSystemProtocol storageSystemProtocol;
    protected byte supportedProtocols;
    protected Long totalAllocated;
    protected Long totalCapacity;
    protected Long totalFree;
    protected Long totalUsed;
    @XmlSchemaType(name = "string")
    protected StorageSystemTypeEnum type;
    protected String version;

    /**
     * Gets the value of the clusteredOntap property.
     * 
     */
    public boolean isClusteredOntap() {
        return clusteredOntap;
    }

    /**
     * Sets the value of the clusteredOntap property.
     * 
     */
    public void setClusteredOntap(boolean value) {
        this.clusteredOntap = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the ipAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIpAddress() {
        return ipAddress;
    }

    /**
     * Sets the value of the ipAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIpAddress(String value) {
        this.ipAddress = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the overallStatus property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOverallStatus() {
        return overallStatus;
    }

    /**
     * Sets the value of the overallStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOverallStatus(Integer value) {
        this.overallStatus = value;
    }

    /**
     * Gets the value of the overallStatusReason property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOverallStatusReason() {
        return overallStatusReason;
    }

    /**
     * Sets the value of the overallStatusReason property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOverallStatusReason(String value) {
        this.overallStatusReason = value;
    }

    /**
     * Gets the value of the storageSystemProtocol property.
     * 
     * @return
     *     possible object is
     *     {@link StorageSystemProtocol }
     *     
     */
    public StorageSystemProtocol getStorageSystemProtocol() {
        return storageSystemProtocol;
    }

    /**
     * Sets the value of the storageSystemProtocol property.
     * 
     * @param value
     *     allowed object is
     *     {@link StorageSystemProtocol }
     *     
     */
    public void setStorageSystemProtocol(StorageSystemProtocol value) {
        this.storageSystemProtocol = value;
    }

    /**
     * Gets the value of the supportedProtocols property.
     * 
     */
    public byte getSupportedProtocols() {
        return supportedProtocols;
    }

    /**
     * Sets the value of the supportedProtocols property.
     * 
     */
    public void setSupportedProtocols(byte value) {
        this.supportedProtocols = value;
    }

    /**
     * Gets the value of the totalAllocated property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTotalAllocated() {
        return totalAllocated;
    }

    /**
     * Sets the value of the totalAllocated property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTotalAllocated(Long value) {
        this.totalAllocated = value;
    }

    /**
     * Gets the value of the totalCapacity property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTotalCapacity() {
        return totalCapacity;
    }

    /**
     * Sets the value of the totalCapacity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTotalCapacity(Long value) {
        this.totalCapacity = value;
    }

    /**
     * Gets the value of the totalFree property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTotalFree() {
        return totalFree;
    }

    /**
     * Sets the value of the totalFree property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTotalFree(Long value) {
        this.totalFree = value;
    }

    /**
     * Gets the value of the totalUsed property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTotalUsed() {
        return totalUsed;
    }

    /**
     * Sets the value of the totalUsed property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTotalUsed(Long value) {
        this.totalUsed = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link StorageSystemTypeEnum }
     *     
     */
    public StorageSystemTypeEnum getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link StorageSystemTypeEnum }
     *     
     */
    public void setType(StorageSystemTypeEnum value) {
        this.type = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

}
