
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for storageSystemDetails complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="storageSystemDetails">
 *   &lt;complexContent>
 *     &lt;extension base="{http://service.v1.wsapi.nvpf.netapp.com/}storageSystem">
 *       &lt;sequence>
 *         &lt;element name="adapter" type="{http://service.v1.wsapi.nvpf.netapp.com/}adapter" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="aggregate" type="{http://service.v1.wsapi.nvpf.netapp.com/}aggregate" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="availableAggregateNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="availableInterfaceNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="availableVolumeNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="cfMode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="cfStatus" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="clusterAdmin" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="clusterNode" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="clusterVserver" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="createVolumeWrapper" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="deleteVolumeIfLastLun" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="flagSet" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="interfaces" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="ipAddressList" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="luns">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                             &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}lun" minOccurs="0"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="model" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="multistore" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="partner" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="password" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="port" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="qtree">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                             &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}qtree" minOccurs="0"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="spaceReserveNewVolumes" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="storageSystemGroupingName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="thinProvisionVolumeClones" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="updating" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="usableAggregateNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="usableInterfaceNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="usableVolumeNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="useSSL" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="username" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="vaaiCapable" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="volumeWrapperBuffer" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="volumes">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                             &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}volume" minOccurs="0"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "storageSystemDetails", propOrder = {
    "adapter",
    "aggregate",
    "availableAggregateNames",
    "availableInterfaceNames",
    "availableVolumeNames",
    "cfMode",
    "cfStatus",
    "clusterAdmin",
    "clusterNode",
    "clusterVserver",
    "createVolumeWrapper",
    "deleteVolumeIfLastLun",
    "flagSet",
    "interfaces",
    "ipAddressList",
    "luns",
    "model",
    "multistore",
    "partner",
    "password",
    "port",
    "qtree",
    "spaceReserveNewVolumes",
    "storageSystemGroupingName",
    "thinProvisionVolumeClones",
    "updating",
    "usableAggregateNames",
    "usableInterfaceNames",
    "usableVolumeNames",
    "useSSL",
    "username",
    "vaaiCapable",
    "volumeWrapperBuffer",
    "volumes"
})
public class StorageSystemDetails
    extends StorageSystem
{

    @XmlElement(nillable = true)
    protected List<Adapter> adapter;
    @XmlElement(nillable = true)
    protected List<Aggregate> aggregate;
    @XmlElement(nillable = true)
    protected List<String> availableAggregateNames;
    @XmlElement(nillable = true)
    protected List<String> availableInterfaceNames;
    @XmlElement(nillable = true)
    protected List<String> availableVolumeNames;
    protected String cfMode;
    protected String cfStatus;
    protected boolean clusterAdmin;
    protected boolean clusterNode;
    protected boolean clusterVserver;
    protected boolean createVolumeWrapper;
    protected boolean deleteVolumeIfLastLun;
    protected Integer flagSet;
    @XmlElement(nillable = true)
    protected List<String> interfaces;
    @XmlElement(nillable = true)
    protected List<String> ipAddressList;
    @XmlElement(required = true)
    protected StorageSystemDetails.Luns luns;
    protected String model;
    protected boolean multistore;
    protected String partner;
    protected String password;
    protected Integer port;
    @XmlElement(required = true)
    protected StorageSystemDetails.Qtree qtree;
    protected boolean spaceReserveNewVolumes;
    protected String storageSystemGroupingName;
    protected boolean thinProvisionVolumeClones;
    protected boolean updating;
    @XmlElement(nillable = true)
    protected List<String> usableAggregateNames;
    @XmlElement(nillable = true)
    protected List<String> usableInterfaceNames;
    @XmlElement(nillable = true)
    protected List<String> usableVolumeNames;
    protected boolean useSSL;
    protected String username;
    protected String vaaiCapable;
    protected int volumeWrapperBuffer;
    @XmlElement(required = true)
    protected StorageSystemDetails.Volumes volumes;

    /**
     * Gets the value of the adapter property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the adapter property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAdapter().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Adapter }
     * 
     * 
     */
    public List<Adapter> getAdapter() {
        if (adapter == null) {
            adapter = new ArrayList<Adapter>();
        }
        return this.adapter;
    }

    /**
     * Gets the value of the aggregate property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the aggregate property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAggregate().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Aggregate }
     * 
     * 
     */
    public List<Aggregate> getAggregate() {
        if (aggregate == null) {
            aggregate = new ArrayList<Aggregate>();
        }
        return this.aggregate;
    }

    /**
     * Gets the value of the availableAggregateNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the availableAggregateNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAvailableAggregateNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getAvailableAggregateNames() {
        if (availableAggregateNames == null) {
            availableAggregateNames = new ArrayList<String>();
        }
        return this.availableAggregateNames;
    }

    /**
     * Gets the value of the availableInterfaceNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the availableInterfaceNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAvailableInterfaceNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getAvailableInterfaceNames() {
        if (availableInterfaceNames == null) {
            availableInterfaceNames = new ArrayList<String>();
        }
        return this.availableInterfaceNames;
    }

    /**
     * Gets the value of the availableVolumeNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the availableVolumeNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAvailableVolumeNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getAvailableVolumeNames() {
        if (availableVolumeNames == null) {
            availableVolumeNames = new ArrayList<String>();
        }
        return this.availableVolumeNames;
    }

    /**
     * Gets the value of the cfMode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCfMode() {
        return cfMode;
    }

    /**
     * Sets the value of the cfMode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCfMode(String value) {
        this.cfMode = value;
    }

    /**
     * Gets the value of the cfStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCfStatus() {
        return cfStatus;
    }

    /**
     * Sets the value of the cfStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCfStatus(String value) {
        this.cfStatus = value;
    }

    /**
     * Gets the value of the clusterAdmin property.
     * 
     */
    public boolean isClusterAdmin() {
        return clusterAdmin;
    }

    /**
     * Sets the value of the clusterAdmin property.
     * 
     */
    public void setClusterAdmin(boolean value) {
        this.clusterAdmin = value;
    }

    /**
     * Gets the value of the clusterNode property.
     * 
     */
    public boolean isClusterNode() {
        return clusterNode;
    }

    /**
     * Sets the value of the clusterNode property.
     * 
     */
    public void setClusterNode(boolean value) {
        this.clusterNode = value;
    }

    /**
     * Gets the value of the clusterVserver property.
     * 
     */
    public boolean isClusterVserver() {
        return clusterVserver;
    }

    /**
     * Sets the value of the clusterVserver property.
     * 
     */
    public void setClusterVserver(boolean value) {
        this.clusterVserver = value;
    }

    /**
     * Gets the value of the createVolumeWrapper property.
     * 
     */
    public boolean isCreateVolumeWrapper() {
        return createVolumeWrapper;
    }

    /**
     * Sets the value of the createVolumeWrapper property.
     * 
     */
    public void setCreateVolumeWrapper(boolean value) {
        this.createVolumeWrapper = value;
    }

    /**
     * Gets the value of the deleteVolumeIfLastLun property.
     * 
     */
    public boolean isDeleteVolumeIfLastLun() {
        return deleteVolumeIfLastLun;
    }

    /**
     * Sets the value of the deleteVolumeIfLastLun property.
     * 
     */
    public void setDeleteVolumeIfLastLun(boolean value) {
        this.deleteVolumeIfLastLun = value;
    }

    /**
     * Gets the value of the flagSet property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFlagSet() {
        return flagSet;
    }

    /**
     * Sets the value of the flagSet property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFlagSet(Integer value) {
        this.flagSet = value;
    }

    /**
     * Gets the value of the interfaces property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the interfaces property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInterfaces().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getInterfaces() {
        if (interfaces == null) {
            interfaces = new ArrayList<String>();
        }
        return this.interfaces;
    }

    /**
     * Gets the value of the ipAddressList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the ipAddressList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIpAddressList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getIpAddressList() {
        if (ipAddressList == null) {
            ipAddressList = new ArrayList<String>();
        }
        return this.ipAddressList;
    }

    /**
     * Gets the value of the luns property.
     * 
     * @return
     *     possible object is
     *     {@link StorageSystemDetails.Luns }
     *     
     */
    public StorageSystemDetails.Luns getLuns() {
        return luns;
    }

    /**
     * Sets the value of the luns property.
     * 
     * @param value
     *     allowed object is
     *     {@link StorageSystemDetails.Luns }
     *     
     */
    public void setLuns(StorageSystemDetails.Luns value) {
        this.luns = value;
    }

    /**
     * Gets the value of the model property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModel() {
        return model;
    }

    /**
     * Sets the value of the model property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModel(String value) {
        this.model = value;
    }

    /**
     * Gets the value of the multistore property.
     * 
     */
    public boolean isMultistore() {
        return multistore;
    }

    /**
     * Sets the value of the multistore property.
     * 
     */
    public void setMultistore(boolean value) {
        this.multistore = value;
    }

    /**
     * Gets the value of the partner property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPartner() {
        return partner;
    }

    /**
     * Sets the value of the partner property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPartner(String value) {
        this.partner = value;
    }

    /**
     * Gets the value of the password property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPassword() {
        return password;
    }

    /**
     * Sets the value of the password property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPassword(String value) {
        this.password = value;
    }

    /**
     * Gets the value of the port property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPort() {
        return port;
    }

    /**
     * Sets the value of the port property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPort(Integer value) {
        this.port = value;
    }

    /**
     * Gets the value of the qtree property.
     * 
     * @return
     *     possible object is
     *     {@link StorageSystemDetails.Qtree }
     *     
     */
    public StorageSystemDetails.Qtree getQtree() {
        return qtree;
    }

    /**
     * Sets the value of the qtree property.
     * 
     * @param value
     *     allowed object is
     *     {@link StorageSystemDetails.Qtree }
     *     
     */
    public void setQtree(StorageSystemDetails.Qtree value) {
        this.qtree = value;
    }

    /**
     * Gets the value of the spaceReserveNewVolumes property.
     * 
     */
    public boolean isSpaceReserveNewVolumes() {
        return spaceReserveNewVolumes;
    }

    /**
     * Sets the value of the spaceReserveNewVolumes property.
     * 
     */
    public void setSpaceReserveNewVolumes(boolean value) {
        this.spaceReserveNewVolumes = value;
    }

    /**
     * Gets the value of the storageSystemGroupingName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStorageSystemGroupingName() {
        return storageSystemGroupingName;
    }

    /**
     * Sets the value of the storageSystemGroupingName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStorageSystemGroupingName(String value) {
        this.storageSystemGroupingName = value;
    }

    /**
     * Gets the value of the thinProvisionVolumeClones property.
     * 
     */
    public boolean isThinProvisionVolumeClones() {
        return thinProvisionVolumeClones;
    }

    /**
     * Sets the value of the thinProvisionVolumeClones property.
     * 
     */
    public void setThinProvisionVolumeClones(boolean value) {
        this.thinProvisionVolumeClones = value;
    }

    /**
     * Gets the value of the updating property.
     * 
     */
    public boolean isUpdating() {
        return updating;
    }

    /**
     * Sets the value of the updating property.
     * 
     */
    public void setUpdating(boolean value) {
        this.updating = value;
    }

    /**
     * Gets the value of the usableAggregateNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the usableAggregateNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUsableAggregateNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getUsableAggregateNames() {
        if (usableAggregateNames == null) {
            usableAggregateNames = new ArrayList<String>();
        }
        return this.usableAggregateNames;
    }

    /**
     * Gets the value of the usableInterfaceNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the usableInterfaceNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUsableInterfaceNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getUsableInterfaceNames() {
        if (usableInterfaceNames == null) {
            usableInterfaceNames = new ArrayList<String>();
        }
        return this.usableInterfaceNames;
    }

    /**
     * Gets the value of the usableVolumeNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the usableVolumeNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUsableVolumeNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getUsableVolumeNames() {
        if (usableVolumeNames == null) {
            usableVolumeNames = new ArrayList<String>();
        }
        return this.usableVolumeNames;
    }

    /**
     * Gets the value of the useSSL property.
     * 
     */
    public boolean isUseSSL() {
        return useSSL;
    }

    /**
     * Sets the value of the useSSL property.
     * 
     */
    public void setUseSSL(boolean value) {
        this.useSSL = value;
    }

    /**
     * Gets the value of the username property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUsername() {
        return username;
    }

    /**
     * Sets the value of the username property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUsername(String value) {
        this.username = value;
    }

    /**
     * Gets the value of the vaaiCapable property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVaaiCapable() {
        return vaaiCapable;
    }

    /**
     * Sets the value of the vaaiCapable property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVaaiCapable(String value) {
        this.vaaiCapable = value;
    }

    /**
     * Gets the value of the volumeWrapperBuffer property.
     * 
     */
    public int getVolumeWrapperBuffer() {
        return volumeWrapperBuffer;
    }

    /**
     * Sets the value of the volumeWrapperBuffer property.
     * 
     */
    public void setVolumeWrapperBuffer(int value) {
        this.volumeWrapperBuffer = value;
    }

    /**
     * Gets the value of the volumes property.
     * 
     * @return
     *     possible object is
     *     {@link StorageSystemDetails.Volumes }
     *     
     */
    public StorageSystemDetails.Volumes getVolumes() {
        return volumes;
    }

    /**
     * Sets the value of the volumes property.
     * 
     * @param value
     *     allowed object is
     *     {@link StorageSystemDetails.Volumes }
     *     
     */
    public void setVolumes(StorageSystemDetails.Volumes value) {
        this.volumes = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                   &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}lun" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "entry"
    })
    public static class Luns {

        protected List<StorageSystemDetails.Luns.Entry> entry;

        /**
         * Gets the value of the entry property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the entry property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getEntry().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StorageSystemDetails.Luns.Entry }
         * 
         * 
         */
        public List<StorageSystemDetails.Luns.Entry> getEntry() {
            if (entry == null) {
                entry = new ArrayList<StorageSystemDetails.Luns.Entry>();
            }
            return this.entry;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *         &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}lun" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "key",
            "value"
        })
        public static class Entry {

            protected String key;
            protected Lun value;

            /**
             * Gets the value of the key property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getKey() {
                return key;
            }

            /**
             * Sets the value of the key property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setKey(String value) {
                this.key = value;
            }

            /**
             * Gets the value of the value property.
             * 
             * @return
             *     possible object is
             *     {@link Lun }
             *     
             */
            public Lun getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             * 
             * @param value
             *     allowed object is
             *     {@link Lun }
             *     
             */
            public void setValue(Lun value) {
                this.value = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                   &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}qtree" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "entry"
    })
    public static class Qtree {

        protected List<StorageSystemDetails.Qtree.Entry> entry;

        /**
         * Gets the value of the entry property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the entry property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getEntry().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StorageSystemDetails.Qtree.Entry }
         * 
         * 
         */
        public List<StorageSystemDetails.Qtree.Entry> getEntry() {
            if (entry == null) {
                entry = new ArrayList<StorageSystemDetails.Qtree.Entry>();
            }
            return this.entry;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *         &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}qtree" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "key",
            "value"
        })
        public static class Entry {

            protected String key;
            protected com.netapp.nvpf.wsapi.v1.service.Qtree value;

            /**
             * Gets the value of the key property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getKey() {
                return key;
            }

            /**
             * Sets the value of the key property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setKey(String value) {
                this.key = value;
            }

            /**
             * Gets the value of the value property.
             * 
             * @return
             *     possible object is
             *     {@link com.netapp.nvpf.wsapi.v1.service.Qtree }
             *     
             */
            public com.netapp.nvpf.wsapi.v1.service.Qtree getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             * 
             * @param value
             *     allowed object is
             *     {@link com.netapp.nvpf.wsapi.v1.service.Qtree }
             *     
             */
            public void setValue(com.netapp.nvpf.wsapi.v1.service.Qtree value) {
                this.value = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="entry" maxOccurs="unbounded" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                   &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}volume" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "entry"
    })
    public static class Volumes {

        protected List<StorageSystemDetails.Volumes.Entry> entry;

        /**
         * Gets the value of the entry property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the entry property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getEntry().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StorageSystemDetails.Volumes.Entry }
         * 
         * 
         */
        public List<StorageSystemDetails.Volumes.Entry> getEntry() {
            if (entry == null) {
                entry = new ArrayList<StorageSystemDetails.Volumes.Entry>();
            }
            return this.entry;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="key" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *         &lt;element name="value" type="{http://service.v1.wsapi.nvpf.netapp.com/}volume" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "key",
            "value"
        })
        public static class Entry {

            protected String key;
            protected Volume value;

            /**
             * Gets the value of the key property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getKey() {
                return key;
            }

            /**
             * Sets the value of the key property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setKey(String value) {
                this.key = value;
            }

            /**
             * Gets the value of the value property.
             * 
             * @return
             *     possible object is
             *     {@link Volume }
             *     
             */
            public Volume getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             * 
             * @param value
             *     allowed object is
             *     {@link Volume }
             *     
             */
            public void setValue(Volume value) {
                this.value = value;
            }

        }

    }

}
