
package com.netapp.nvpf.wsapi.v1.service;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for storageSystemTypeEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="storageSystemTypeEnum">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="CLUSTER"/>
 *     &lt;enumeration value="SEVEN_MODE_STORAGE_SYSTEM"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *     &lt;enumeration value="VFILER"/>
 *     &lt;enumeration value="VSERVER"/>
 *     &lt;enumeration value="DIRECT_VFILER"/>
 *     &lt;enumeration value="DIRECT_VSERVER"/>
 *     &lt;enumeration value="ALL"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "storageSystemTypeEnum")
@XmlEnum
public enum StorageSystemTypeEnum {

    CLUSTER,
    SEVEN_MODE_STORAGE_SYSTEM,
    UNKNOWN,
    VFILER,
    VSERVER,
    DIRECT_VFILER,
    DIRECT_VSERVER,
    ALL;

    public String value() {
        return name();
    }

    public static StorageSystemTypeEnum fromValue(String v) {
        return valueOf(v);
    }

}
