
package com.netapp.nvpf.wsapi.v1.service;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for virtualMachineAlignmentResult complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="virtualMachineAlignmentResult">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="scannedVirtualMachines" type="{http://service.v1.wsapi.nvpf.netapp.com/}scannedVirtualMachine" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="totalSize" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "virtualMachineAlignmentResult", propOrder = {
    "scannedVirtualMachines",
    "totalSize"
})
public class VirtualMachineAlignmentResult {

    @XmlElement(nillable = true)
    protected List<ScannedVirtualMachine> scannedVirtualMachines;
    protected int totalSize;

    /**
     * Gets the value of the scannedVirtualMachines property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the scannedVirtualMachines property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getScannedVirtualMachines().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ScannedVirtualMachine }
     * 
     * 
     */
    public List<ScannedVirtualMachine> getScannedVirtualMachines() {
        if (scannedVirtualMachines == null) {
            scannedVirtualMachines = new ArrayList<ScannedVirtualMachine>();
        }
        return this.scannedVirtualMachines;
    }

    /**
     * Gets the value of the totalSize property.
     * 
     */
    public int getTotalSize() {
        return totalSize;
    }

    /**
     * Sets the value of the totalSize property.
     * 
     */
    public void setTotalSize(int value) {
        this.totalSize = value;
    }

}
