
package com.netapp.nvpf.wsapi.v1.service;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for volume complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="volume">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="aggregate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="autogrowEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="autogrowIncrement" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="autogrowMaxSize" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="convertUcode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="createUcode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="deDupLastBegin" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="deDupLastEnd" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="deDupSchedule" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="deDupSizeSaved" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="deDupSizeShared" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="deDupSpaceSavings" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="deDupState" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="deDupStatus" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="deDupType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="exportPolicyName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fractionalReserve" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="guarantee" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="noAtimeUpdate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="sizeAvailable" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="sizeTotal" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="sizeUsed" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="snapshotAutodeleteState" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="snapshotAutodeleteTrigger" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="snapshotBlocksReserved" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="snapshotPercentReserved" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="snapshotReserveUsedActual" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="thinProvisioned" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="tryFirst" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="warningThreshold" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "volume", propOrder = {
    "aggregate",
    "autogrowEnabled",
    "autogrowIncrement",
    "autogrowMaxSize",
    "convertUcode",
    "createUcode",
    "deDupLastBegin",
    "deDupLastEnd",
    "deDupSchedule",
    "deDupSizeSaved",
    "deDupSizeShared",
    "deDupSpaceSavings",
    "deDupState",
    "deDupStatus",
    "deDupType",
    "exportPolicyName",
    "fractionalReserve",
    "guarantee",
    "name",
    "noAtimeUpdate",
    "sizeAvailable",
    "sizeTotal",
    "sizeUsed",
    "snapshotAutodeleteState",
    "snapshotAutodeleteTrigger",
    "snapshotBlocksReserved",
    "snapshotPercentReserved",
    "snapshotReserveUsedActual",
    "status",
    "thinProvisioned",
    "tryFirst",
    "type",
    "warningThreshold"
})
public class Volume {

    protected String aggregate;
    protected Boolean autogrowEnabled;
    protected Long autogrowIncrement;
    protected Long autogrowMaxSize;
    protected String convertUcode;
    protected String createUcode;
    protected String deDupLastBegin;
    protected String deDupLastEnd;
    protected String deDupSchedule;
    protected Long deDupSizeSaved;
    protected Long deDupSizeShared;
    protected String deDupSpaceSavings;
    protected String deDupState;
    protected String deDupStatus;
    protected String deDupType;
    protected String exportPolicyName;
    protected String fractionalReserve;
    protected String guarantee;
    protected String name;
    protected String noAtimeUpdate;
    protected double sizeAvailable;
    protected double sizeTotal;
    protected double sizeUsed;
    protected String snapshotAutodeleteState;
    protected String snapshotAutodeleteTrigger;
    protected Long snapshotBlocksReserved;
    protected int snapshotPercentReserved;
    protected Long snapshotReserveUsedActual;
    protected String status;
    protected boolean thinProvisioned;
    protected String tryFirst;
    protected String type;
    protected Integer warningThreshold;

    /**
     * Gets the value of the aggregate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAggregate() {
        return aggregate;
    }

    /**
     * Sets the value of the aggregate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAggregate(String value) {
        this.aggregate = value;
    }

    /**
     * Gets the value of the autogrowEnabled property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isAutogrowEnabled() {
        return autogrowEnabled;
    }

    /**
     * Sets the value of the autogrowEnabled property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setAutogrowEnabled(Boolean value) {
        this.autogrowEnabled = value;
    }

    /**
     * Gets the value of the autogrowIncrement property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getAutogrowIncrement() {
        return autogrowIncrement;
    }

    /**
     * Sets the value of the autogrowIncrement property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setAutogrowIncrement(Long value) {
        this.autogrowIncrement = value;
    }

    /**
     * Gets the value of the autogrowMaxSize property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getAutogrowMaxSize() {
        return autogrowMaxSize;
    }

    /**
     * Sets the value of the autogrowMaxSize property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setAutogrowMaxSize(Long value) {
        this.autogrowMaxSize = value;
    }

    /**
     * Gets the value of the convertUcode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConvertUcode() {
        return convertUcode;
    }

    /**
     * Sets the value of the convertUcode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConvertUcode(String value) {
        this.convertUcode = value;
    }

    /**
     * Gets the value of the createUcode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreateUcode() {
        return createUcode;
    }

    /**
     * Sets the value of the createUcode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreateUcode(String value) {
        this.createUcode = value;
    }

    /**
     * Gets the value of the deDupLastBegin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeDupLastBegin() {
        return deDupLastBegin;
    }

    /**
     * Sets the value of the deDupLastBegin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeDupLastBegin(String value) {
        this.deDupLastBegin = value;
    }

    /**
     * Gets the value of the deDupLastEnd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeDupLastEnd() {
        return deDupLastEnd;
    }

    /**
     * Sets the value of the deDupLastEnd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeDupLastEnd(String value) {
        this.deDupLastEnd = value;
    }

    /**
     * Gets the value of the deDupSchedule property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeDupSchedule() {
        return deDupSchedule;
    }

    /**
     * Sets the value of the deDupSchedule property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeDupSchedule(String value) {
        this.deDupSchedule = value;
    }

    /**
     * Gets the value of the deDupSizeSaved property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getDeDupSizeSaved() {
        return deDupSizeSaved;
    }

    /**
     * Sets the value of the deDupSizeSaved property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setDeDupSizeSaved(Long value) {
        this.deDupSizeSaved = value;
    }

    /**
     * Gets the value of the deDupSizeShared property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getDeDupSizeShared() {
        return deDupSizeShared;
    }

    /**
     * Sets the value of the deDupSizeShared property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setDeDupSizeShared(Long value) {
        this.deDupSizeShared = value;
    }

    /**
     * Gets the value of the deDupSpaceSavings property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeDupSpaceSavings() {
        return deDupSpaceSavings;
    }

    /**
     * Sets the value of the deDupSpaceSavings property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeDupSpaceSavings(String value) {
        this.deDupSpaceSavings = value;
    }

    /**
     * Gets the value of the deDupState property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeDupState() {
        return deDupState;
    }

    /**
     * Sets the value of the deDupState property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeDupState(String value) {
        this.deDupState = value;
    }

    /**
     * Gets the value of the deDupStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeDupStatus() {
        return deDupStatus;
    }

    /**
     * Sets the value of the deDupStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeDupStatus(String value) {
        this.deDupStatus = value;
    }

    /**
     * Gets the value of the deDupType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeDupType() {
        return deDupType;
    }

    /**
     * Sets the value of the deDupType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeDupType(String value) {
        this.deDupType = value;
    }

    /**
     * Gets the value of the exportPolicyName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExportPolicyName() {
        return exportPolicyName;
    }

    /**
     * Sets the value of the exportPolicyName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExportPolicyName(String value) {
        this.exportPolicyName = value;
    }

    /**
     * Gets the value of the fractionalReserve property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFractionalReserve() {
        return fractionalReserve;
    }

    /**
     * Sets the value of the fractionalReserve property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFractionalReserve(String value) {
        this.fractionalReserve = value;
    }

    /**
     * Gets the value of the guarantee property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGuarantee() {
        return guarantee;
    }

    /**
     * Sets the value of the guarantee property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGuarantee(String value) {
        this.guarantee = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the noAtimeUpdate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNoAtimeUpdate() {
        return noAtimeUpdate;
    }

    /**
     * Sets the value of the noAtimeUpdate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNoAtimeUpdate(String value) {
        this.noAtimeUpdate = value;
    }

    /**
     * Gets the value of the sizeAvailable property.
     * 
     */
    public double getSizeAvailable() {
        return sizeAvailable;
    }

    /**
     * Sets the value of the sizeAvailable property.
     * 
     */
    public void setSizeAvailable(double value) {
        this.sizeAvailable = value;
    }

    /**
     * Gets the value of the sizeTotal property.
     * 
     */
    public double getSizeTotal() {
        return sizeTotal;
    }

    /**
     * Sets the value of the sizeTotal property.
     * 
     */
    public void setSizeTotal(double value) {
        this.sizeTotal = value;
    }

    /**
     * Gets the value of the sizeUsed property.
     * 
     */
    public double getSizeUsed() {
        return sizeUsed;
    }

    /**
     * Sets the value of the sizeUsed property.
     * 
     */
    public void setSizeUsed(double value) {
        this.sizeUsed = value;
    }

    /**
     * Gets the value of the snapshotAutodeleteState property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSnapshotAutodeleteState() {
        return snapshotAutodeleteState;
    }

    /**
     * Sets the value of the snapshotAutodeleteState property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSnapshotAutodeleteState(String value) {
        this.snapshotAutodeleteState = value;
    }

    /**
     * Gets the value of the snapshotAutodeleteTrigger property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSnapshotAutodeleteTrigger() {
        return snapshotAutodeleteTrigger;
    }

    /**
     * Sets the value of the snapshotAutodeleteTrigger property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSnapshotAutodeleteTrigger(String value) {
        this.snapshotAutodeleteTrigger = value;
    }

    /**
     * Gets the value of the snapshotBlocksReserved property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getSnapshotBlocksReserved() {
        return snapshotBlocksReserved;
    }

    /**
     * Sets the value of the snapshotBlocksReserved property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setSnapshotBlocksReserved(Long value) {
        this.snapshotBlocksReserved = value;
    }

    /**
     * Gets the value of the snapshotPercentReserved property.
     * 
     */
    public int getSnapshotPercentReserved() {
        return snapshotPercentReserved;
    }

    /**
     * Sets the value of the snapshotPercentReserved property.
     * 
     */
    public void setSnapshotPercentReserved(int value) {
        this.snapshotPercentReserved = value;
    }

    /**
     * Gets the value of the snapshotReserveUsedActual property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getSnapshotReserveUsedActual() {
        return snapshotReserveUsedActual;
    }

    /**
     * Sets the value of the snapshotReserveUsedActual property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setSnapshotReserveUsedActual(Long value) {
        this.snapshotReserveUsedActual = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the thinProvisioned property.
     * 
     */
    public boolean isThinProvisioned() {
        return thinProvisioned;
    }

    /**
     * Sets the value of the thinProvisioned property.
     * 
     */
    public void setThinProvisioned(boolean value) {
        this.thinProvisioned = value;
    }

    /**
     * Gets the value of the tryFirst property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTryFirst() {
        return tryFirst;
    }

    /**
     * Sets the value of the tryFirst property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTryFirst(String value) {
        this.tryFirst = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the warningThreshold property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getWarningThreshold() {
        return warningThreshold;
    }

    /**
     * Sets the value of the warningThreshold property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setWarningThreshold(Integer value) {
        this.warningThreshold = value;
    }

}
