
package com.netapp.offtap.ndmpcopy.messages.notify;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * The first message which the session sends back to the client after the
 * connection has been established.  This notifies the client what version
 * this session will acting as.  It is up to the client to send a
 * ConnectOpen message to change the version.  
 */
public class NdmpMessageNotifyDataReadRequest extends NdmpMessageData {

	public long		offset;
	public long		length;

	public NdmpMessageNotifyDataReadRequest () {
	}

	// For server another const'r is needed.

	public void read (NdmpInput input) throws IOException {
		/**
			offset		= input.getHyper();
			length		= input.getHyper();
		* Somehow this aint working...
		*/
		input.getLong ();
		input.getLong ();
		input.getLong ();
		input.getLong ();
	}

	public void write (NdmpOutput output) throws IOException {
		//for server
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Offset : " + offset +
			"\r\n" + "\t Length : " + length);
	}
	
}
