
package com.netapp.offtap.ndmpcopy.ndmpcopycmd;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebug;

public class NdmpFilerInfo {

	public	String	filerName;
	public 	String  filerIP;
	
	public	String	pathName;
	public	String	usrName;
	public	String	usrPasswd;

	public	String	authType;
	
	public	boolean	authNeeded;

	public NdmpFilerInfo () {
		authNeeded = true;
	}


	public NdmpFilerInfo (String filerName, String pathName, 
				String usrName, String usrPasswd, String authType) {
			this.filerName = filerName;
			this.pathName = pathName;
			this.usrName = usrName;
			this.usrPasswd = usrPasswd;

			this.authType = authType;
			this.authNeeded = true;
	}

	public NdmpFilerInfo (NdmpFilerInfo filerInfo) {
		this.filerName = filerInfo.filerName;
		this.pathName	= filerInfo.pathName;
		this.usrName	= filerInfo.usrName;
		this.usrPasswd	= filerInfo.usrPasswd;
		this.authType	= filerInfo.authType;
		this.authNeeded = true;
	}	

	public void printFilerInfo() {
		String methodname = "printFilerInfo";

		NdmpDebug.dbgPrintln(methodname + ": filerName = " , filerName);
		NdmpDebug.dbgPrintln(methodname + ": pathName = " , pathName);
		NdmpDebug.dbgPrintln(methodname + ": usrName = " , usrName);
		NdmpDebug.dbgPrintln(methodname + ": usrPasswd = " , usrPasswd);
		NdmpDebug.dbgPrintln(methodname + ": authType = " , authType);
		NdmpDebug.dbgPrintln(methodname + ": authNeeded = " , 
				String.valueOf(authNeeded));
	}
		
}
