package com.netapp.offtap3;


import com.netapp.offtap3.ontap.Export;

import java.util.Map;

public interface HasExports {

    /**
     * All of the NFS exports on this controller, keyed by the exported path.
     */
    @ControllerLoader(ControllerResource.volumes)
    public Map<String, Export> getExports();

    @ControllerLoader(ControllerResource.volumes)
    public Export getExport(String exportedPath);
}
