/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/HasLoader.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

/**
 * This object has a data loader which can have one or more resources refreshed. Note that to refresh an entire object,
 * it can be more convenient to call {@link Refreshable#refresh()}
 */
public interface HasLoader {
    void refresh(Resource... resources);
    Refreshable refresh(Refreshable refreshable);
}
