package com.netapp.offtap3;

import java.util.Map;

public interface HasLuns<L extends LunSpec> {

    @ControllerLoader(ControllerResource.luns)
    Map<String, ? extends Lun> getLuns();

    @ControllerLoader(ControllerResource.luns)
    Lun getLun(String path);

    Lun createLun(L lunSpec);
}
