/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

public interface IGroupSpec {
    String getName();
    String getOsType();
    StorageProtocol getStorageProtocol();

    public interface Builder {
        Builder protocol(StorageProtocol protocol);
        IGroupSpec build();
    }
}
