/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/Volume.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

public interface Volume extends Refreshable, HasFiles, HasLoader {
    String getPath(boolean nfsStyle);

    void rename(String newVolumeName) throws VolumeOperationException;

    void restrict() throws VolumeOperationException;

    void offline() throws VolumeOperationException;

    void online() throws VolumeOperationException;

    void destroy() throws VolumeOperationException;
    void destroy(boolean destroyParentIfLastClone);

    void resize(Size size) throws VolumeOperationException;

    @Override
    Volume refresh();
}
