package com.netapp.offtap3.internal;


import java.text.MessageFormat;
import java.util.ResourceBundle;

public class Messages {

    private ResourceBundle errors = ResourceBundle.getBundle("com.netapp.offtap3.messages");

    private static final Messages singleton = new Messages();

    public static Messages getInstance() {
        return singleton;
    }

    public String getMessage(String lookupKey) {
        return errors.getString(lookupKey);
    }

    public String getMessage(String lookupKey, Object... tokenValues) {
        String msg = getMessage(lookupKey);
        return MessageFormat.format(msg, tokenValues);
    }

}
