/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

public interface ContextType {
    /* GLOBALYZER_START_IGNORE */
    public static final String NONE = "NONE";
    public static final String WEBMAPI = "webmapi";
    public static final String HEADER_WEBMAPI_CLIENT_ID = "x-webmapi-clientid";
    public static final String HEADER_WEBMAPI_REQUEST_ID = "x-webmapi-requestid";
    public static final String HEADER_WEBMAPI_SESSION = "x-webmapi-authorization";
    public static final String HEADER_WEBMAPI_SESSION_OPTION = "x-webmapi-session";
    public static final String HEADER_WEBMAPI_VERSION = "x-webmapi-version";
    public static final String HEADER_WEBMAPI_USERAGENT = "x-webmapi-useragent";
    public static final String HEADER_WEBMAPI_DEPRECATED = "x-webmapi-deprecated";
    public static final String HEADER_ACCEPT_LANGUAGE = "Accept-Language";
    public static final String HEADER_ACCEPT = "accept";
    public static final String HEADER_CORS_ORIGIN = "Access-Control-Allow-Origin";
    public static final String HEADER_CORS_HEADERS = "Access-Control-Allow-Headers";
    public static final String HEADER_CORS_METHODS = "Access-Control-Allow-Methods";
    public static final String HEADER_CORS_PINGOTHERS = "X-WEBMAPI-PINGOTHERS";
   
    public static final String HEADER_FORWARD = "X-Forwarded-For";
    public static final String DEFAULT_CORS_METHODS = "GET, POST, OPTIONS";
    public static final String DEFAULT_USER = "admin";
    public static final String DEFAULT_ROLE = "normal";
    public static final String DEFAULT_SIMU_PWD = "testing";
    public static final String DEFAULT_VERSION = "1.1";
    public static final String DEFAULT_IP = "0.0.0.0";
    public static final String DEFAULT_LOGIN_URI = "/sessions";
    public static final String AUTHORIZATION = "authorization";
    /* GLOBALYZER_END_IGNORE */

}