/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

/**
 * Status of an operation.
 * 
 * @author Jing Shi
 * @version $Revision$, Feb 28, 2013
 */
public enum ReplyCode implements WebEnum {
    /**
     * The operation has not set a status.
     */
    NOSTATUS,
    /**
     * The operation was successful.
     */
    SUCCESS,
    /**
     * The operation was unsuccessful and an error exists.
     */
    ERROR,
    /**
     * The operation was partially successful, but errors exist.
     */
    PARTIALSUCCESS,
}
