/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

/**
 * RestWSCmd provides ...
 * 
 * @author Jing Shi
 * @version 1.0, Jun 5, 2013
 */

public enum RestWSCmd {
    GET("get"), GETONE("getone"), CREATE("create"), MODIFY("modify"), DELETE("delete"), ACTION("action"), LOGIN("login"), LOGOUT("logout"), SESSION("session"), BULK("bulk");

    private String m_lowerName;

    private RestWSCmd(String lowerName) {
        m_lowerName = lowerName;
    }

    public String nameInUri() {
        return m_lowerName;
    }
}
