/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * ArchiverScopeType defines type of scope used for recording statistics.
 * <p>INSTANCE - Instance specific statistics recorded </p>
 * <p>CLUSTER - Statistics recorded across the cluster </p>
 * 
 * @mapi archiver-scope-type
 * @author Jing Shi
 * @version 1.0, May 9, 2014
 */
public enum ArchiverScopeType implements WebEnum {
    INSTANCE,
    CLUSTER;
}
