/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * Status of the connector.
 */
public enum ConnectorStatus implements WebEnum {

    Up("Up"), Down("Down"), ;

    private String description;

    private ConnectorStatus(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}
