/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * An empty type representing an empty value or a missing optional parameterized type.
 */
@XmlRootElement()
@JsonInclude(Include.NON_NULL)
public class EmptyType extends BaseDataType implements WebOutput, WebInput, MapiInput, MapiOutput {
    public EmptyType() {
    }
}
