/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * The state of a node led
 * 
 * @mapi shelf.module-state
 */
public enum NodeLedState implements WebEnum {
    NODELEDSTATEOK("node-led-state-ok", "The node led ok"),
    NODELEDSTATEWARN("node-led-state-warn", "The node led warn"),
    NODELEDSTATEFAIL("node-led-state-fail", "The node led fail"), ;

    private String name;
    private String desc;

    private NodeLedState(String name, String desc) {
        this.name = name;
        this.desc = desc;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return desc;
    }
}