/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

/**
 * The state of a node module
 */
public enum NodeModuleState {
    NODEMODULESTATEOK("node-module-state-ok", "The node module is fully operational"), 
    NODEMODULESTATEFAIL("node-module-state-fail", "The node module is either missing or failed to initialize.")
    ;

    private String name;
    private String desc;

    private NodeModuleState(String name, String desc) {
        this.name = name;
        this.desc = desc;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return desc;
    }
}
