/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
/**
 * 
 * Shelf fault list info Output Type
 *
 * @author TSANJEEV
 * @version $Revision$, Jun 24, 2014
 */
public class ShelfFaultListInfoOutputType extends BaseDataType implements MapiOutput {
    /** All element information pertaining to each shelf. */
    private ShelfElementStatusInfoType[] shelfElementStatuses;
    
    public ShelfFaultListInfoOutputType() {
    }
    
    @JsonProperty("shelf-element-statuses")
    public ShelfElementStatusInfoType[] getShelfElementStatuses() {
        return shelfElementStatuses;
    }

    @JsonProperty("shelf-element-statuses")
    public void setShelfElementStatuses(
            ShelfElementStatusInfoType[] shelfElementStatuses) {
        this.shelfElementStatuses = shelfElementStatuses;
    }
}
