/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * The state of a shelf
 * 
 * @mapi shelf-state
 */
public enum ShelfState implements WebEnum {
    online("The shelf is fully operational"),
    missing("The shelf is missing"),
    uninitialized("The shelf is uninitializing"),
    failed("The shelf is not initialized");

    private String desc;

    private ShelfState(String desc) {
        this.desc = desc;
    }

    public String getDescription() {
        return desc;
    }
}