/*
 * NETAPP CONFIDENTIAL
 * 
 * All information contained herein is, and remains the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc. All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.util;

import java.util.HashMap;

/**
 * FieldMapper provides ...
 * 
 * @author Jing Shi
 * @version $Revision$, May 1, 2013
 */

public class FieldMapper<T> extends HashMap<String, T> {
    public boolean isValidField(String field) {
        return get(field) != null;
    }

    public void addField(String field, T object) {
        put(field, object);
    }

    public T get(String field) {
        return super.get(field);
    }
}