/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.util;

/**
 * MappingException provides ...
 *
 * @author Jing Shi
 * @version $Revision$, May 29, 2014
 */
public class MappingException extends RuntimeException {
    private static final long serialVersionUID = 1L;
    private String field;
    private String value;
    
    public MappingException(String field, String value) {
        super("Invalid mapping of  field " + field + ", value " + value);
        this.field = field;
        this.value = value;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
