package com.netapp.offtap3.internal.ontap;

import com.netapp.offtap3.ontap.NfsDetails;

public class NfsDetailsImpl implements NfsDetails {
    private boolean isNfsv3Enabled;
    private boolean isNfsv41Enabled;
    private boolean isNfsv41pNFSEnabled;

    private String nfsv41ImplementationIdDomain;
    private String nfsv41ImplementationIdName;

    @Override
    public boolean isNfsv3Enabled() {
        return isNfsv3Enabled;
    }


    public void setNfsv3Enabled(boolean isNfsv3Enabled) {
        this.isNfsv3Enabled = isNfsv3Enabled;
    }

    @Override
    public boolean isNfsv41Enabled() {
        return isNfsv41Enabled;
    }


    public void setNfsv41Enabled(boolean isNfsv41Enabled) {
        this.isNfsv41Enabled = isNfsv41Enabled;
    }

    @Override
    public boolean isNfsv41pNFSEnabled() {
        return isNfsv41pNFSEnabled;
    }


    public void setNfsv41pNFSEnabled(boolean isNfsv41pNFSEnabled) {
        this.isNfsv41pNFSEnabled = isNfsv41pNFSEnabled;
    }

    @Override
    public String getNfsv41ImplementationIdDomain() {
        return nfsv41ImplementationIdDomain;
    }


    public void setNfsv41ImplementationIdDomain(String nfsv41ImplementationIdDomain) {
        this.nfsv41ImplementationIdDomain = nfsv41ImplementationIdDomain;
    }

    @Override
    public String getNfsv41ImplementationIdName() {
        return nfsv41ImplementationIdName;
    }


    public void setNfsv41ImplementationIdName(String nfsv41ImplementationIdName) {
        this.nfsv41ImplementationIdName = nfsv41ImplementationIdName;
    }


    public String toString() {
        StringBuilder builder = new StringBuilder("NFSInfo:::: ");
        builder.append("\n isNfsv3Enabled     : " + isNfsv3Enabled());
        builder.append("\n isNfsv41Enabled    : " + isNfsv41Enabled);
        builder.append("\n isNfsv41pNFSEnabled    : " + isNfsv41pNFSEnabled());
        builder.append("\n nfsv41ImplementationIdDomain    : " + getNfsv41ImplementationIdDomain());
        builder.append("\n nfsv41ImplementationIdName   : " + getNfsv41ImplementationIdName());
        return builder.toString();
    }
}
