package com.netapp.offtap3.internal.ontap.dataloader;

import com.netapp.offtap3.internal.ontap.controller.AbstractOntapController;
import com.netapp.offtap3.internal.ontap.support.ZapiCache;

import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.NaElement;

import java.util.List;

public class SimpleCdotIterativeLoader extends CdotIterativeLoader<NaElement> {
    public SimpleCdotIterativeLoader(AbstractOntapController zapiHandler, NaElement input) {
        super(zapiHandler, input, new CumulativeDataParser(), zapiHandler.getOfftapPreferences().getIteratorSize(),
                ZapiCache.SHORT_CACHE);
    }

    public NaElement load() throws ApiFailedException {
        NaElement results = new NaElement("results");
        super.load(results);
        return results;
    }

    public List<NaElement> loadChildren() throws ApiFailedException {
        return load().getChildren();
    }
}
