/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/dataloader/volume/OntapRelease.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.dataloader.volume;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import java.io.Serializable;
import java.util.List;


/**
 * Each Ontap release specifies different platforms
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class OntapRelease implements Serializable {
    private static final long serialVersionUID = -7190396460609509489L;

    @XmlAttribute
    private String release;

    @XmlElement(name = "storage")
    private List<StorageController> storageControllers;

    /**
     * @return the release
     */
    public String getRelease() {
        return release;
    }

    /**
     * @param release the release to set
     */
    public void setRelease(String release) {
        this.release = release;
    }

    /**
     * @return the storageControllers
     */
    public List<StorageController> getStorageControllers() {
        return storageControllers;
    }

    /**
     * @param storageControllers the storageControllers to set
     */
    public void setStorageControllers(List<StorageController> storageControllers) {
        this.storageControllers = storageControllers;
    }
}
