/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/dataloader/volume/VolumeMaximum.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.dataloader.volume;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


/**
 * Volume maximums specified per ontap release
 */
@XmlRootElement(name = "root")
@XmlAccessorType(XmlAccessType.FIELD)
public class VolumeMaximum implements Serializable {

    private static final long serialVersionUID = 2680591312599102389L;

    @XmlElement(name = "ontap")
    private List<OntapRelease> ontapReleases = new ArrayList<OntapRelease>();

    /**
     * @return the ontapReleases
     */
    public List<OntapRelease> getOntapReleases() {
        return ontapReleases;
    }

    /**
     * @param ontapReleases the ontapReleases to set
     */
    public void setOntapReleases(List<OntapRelease> ontapReleases) {
        this.ontapReleases = ontapReleases;
    }


}
