package com.netapp.offtap3.internal.ontap.file;

import com.netapp.offtap3.internal.ontap.HasOntapController;
import com.netapp.offtap3.internal.ontap.controller.AbstractOntapDataController;
import com.netapp.offtap3.ontap.OntapDataController;
import com.netapp.offtap3.ontap.OntapFile;

/**
 * Methods that are used internally for implementation, but aren't considered
 * useful for the public OntapFile interface.
 */
public interface InternalOntapFile<C extends OntapDataController, M extends AbstractOntapDataController<C>> extends OntapFile, HasOntapController<C, M> {
    String getNdmpPath();
}
