/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/intf/FcInterfaceImpl.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.intf;

import com.google.common.base.Objects;
import com.netapp.offtap3.FcInterface;
import com.netapp.offtap3.internal.HasProxy;

public class FcInterfaceImpl extends CModeInterfaceImpl implements FcInterface {

    private String portAddress;
    private String wwpn;
    private String nodeName;

    public FcInterfaceImpl(HasProxy loader) {
        super(loader);
    }

    @Override
    public String getPortAddress() {
        return portAddress;
    }
    public void setPortAddress(String portAddress) {
        this.portAddress = portAddress;
    }

    @Override
    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    @Override
    public FcInterface refresh() {
        return (FcInterface) super.refresh();
    }
    

    public String getNodeName() {
		return nodeName;
	}

	public void setNodeName(String nodeName) {
		this.nodeName = nodeName;
	}

	@Override
    public String toString() {
        return Objects.toStringHelper(this)
                .add("name", getName())
                .add("wwpn", wwpn)
                .add("vserver", getOwningVserver())
                .toString();

    }
}
