/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/lun/LunBindingImpl.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.lun;

import com.netapp.offtap3.internal.AbstractRefreshable;
import com.netapp.offtap3.internal.HasProxy;
import com.netapp.offtap3.ontap.LunBinding;

public class LunBindingImpl extends AbstractRefreshable implements LunBinding {
    private boolean isOptimal;
    private String protocolEndpointPath;
    private int refCount;
    private long secondaryLunId;
    private String vServer;
    private String vvolPath;


    public LunBindingImpl(boolean isOptimal, String protocolEndpointPath, int refcount, long secondaryLunid,
                          String vServer, String vvolPath, HasProxy loader) {
        super(loader);
        this.isOptimal = isOptimal;
        this.protocolEndpointPath = protocolEndpointPath;
        this.refCount = refcount;
        this.secondaryLunId = secondaryLunid;
        this.vServer = vServer;
        this.vvolPath = vvolPath;
    }

    @Override
    public boolean isOptimal() {
        return isOptimal;
    }

    public void setOptimal(boolean isOptimal) {
        this.isOptimal = isOptimal;
    }

    @Override
    public String getProtocolEndpointPath() {
        return protocolEndpointPath;
    }

    public void setProtocolEndpointPath(String protocolEndpointPath) {
        this.protocolEndpointPath = protocolEndpointPath;
    }

    @Override
    public int getRefCount() {
        return refCount;
    }

    public void setRefCount(int refCount) {
        this.refCount = refCount;
    }

    @Override
    public long getSecondaryLunId() {
        return secondaryLunId;
    }

    public void setSecondaryLunId(long secondaryLunId) {
        this.secondaryLunId = secondaryLunId;
    }

    @Override
    public String getvServer() {
        return vServer;
    }

    public void setvServer(String vServer) {
        this.vServer = vServer;
    }

    @Override
    public String getVvolPath() {
        return vvolPath;
    }

    public void setVvolPath(String vvolPath) {
        this.vvolPath = vvolPath;
    }

    @Override
    public LunBinding refresh() {
        return (LunBinding) super.refresh();
    }

    public String toString() {
        return "LunBindInfo:::: "
                + "\n getvvolPath     : " + getVvolPath()
                + "\n getProtocolEndpointPath     : " + getProtocolEndpointPath()
                + "\n getSecondaryLunId     : " + getSecondaryLunId()
                + "\n getRefCount    : " + getRefCount();
    }
}
