package com.netapp.offtap3.internal.ontap.proxy;


import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.internal.ontap.controller.VFilerImpl;
import com.netapp.offtap3.internal.ontap.dataloader.VFilerInterfaceDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.VFilerSpaceUsageDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.VFilerStatusDataLoader;
import com.netapp.offtap3.ontap.VFiler;

public class VFilerProxy extends FilerProxy<VFiler, VFilerImpl> {

    @Override
    protected void addDataLoaders() {
        super.addDataLoaders();
        addDataLoader(ControllerResource.space_usage, new VFilerSpaceUsageDataLoader());
        addDataLoader(ControllerResource.vfiler_status, new VFilerStatusDataLoader());
        addDataLoader(ControllerResource.interfaces, new VFilerInterfaceDataLoader());
    }
}
