/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/CModeDedupe.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import com.netapp.offtap3.HasLoader;

public interface CModeDedupe extends Dedupe, HasLoader {
    @Override
    @DedupeLoader(DedupeResource.status)
    String getType();

    @Override
    @DedupeLoader(DedupeResource.status)
    String getState();

    @Override
    @DedupeLoader(DedupeResource.status)
    String getStatus();

    @Override
    @DedupeLoader(DedupeResource.status)
    String getLastBeginDate();

    @Override
    @DedupeLoader(DedupeResource.status)
    String getLastEndDate();

    @Override
    @DedupeLoader(DedupeResource.status)
    String getSchedule();

    @DedupeLoader(DedupeResource.status)
    boolean isCompressionEnabled();

    @DedupeLoader(DedupeResource.status)
    boolean isInlineCompressionEnabled();

    void setCompression(boolean enabled, boolean inline);

    CModeVolume getVolume();

    @Override
    CModeDedupe refresh();
}
