package com.netapp.offtap3.ontap;

import com.netapp.offtap3.LunLoader;
import com.netapp.offtap3.LunResource;

public interface CModeLun extends OntapLun {

    QosPolicyGroup getQosPolicyGroup();

    DataSvm getController();

    void setSpaceAllocation(boolean enable);

    long getCreationTimestamp();
    
    boolean isSpaceAlloc();

    @Override
    @LunLoader(LunResource.geometry)
    long getMaxResizeSize();

    /**
     * Binds the current lun to the specified vvol protocol endpoint path.
     */
    LunBinding bind(String vvolPePath);

    /**
     * Unbinds the current lun from the specified vvol protocol endpoint path.
     */
    void unBind(String vvolPePath);
    
    public String getLunClass();


    @Override
    CModeLun refresh();
}

