package com.netapp.offtap3.ontap;


import java.util.List;

public interface ConsistencyGroup {

    public String getSnapshotName();
    public int getId();
    public List<OntapVolume> getVolumes();

    void start();
    void start(String optionalTimeout);
    void commit();
    void delete();

    void waflSync();

    void orchestrate();
    void orchestrate(String optionalTimeout);
}
