/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/ExportPolicy.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import com.netapp.offtap3.HasLoader;
import com.netapp.offtap3.Refreshable;

import java.util.List;

public interface ExportPolicy extends Refreshable, HasLoader {
    @ExportPolicyLoader(ExportPolicyResource.rules)
    List<ExportPolicyRule> getRules();

    long getId();

    ExportPolicyRuleSpec.Builder createRuleSpecBuilder(String clientMatch, String roRule, String rwRule);

    void createRule(ExportPolicyRuleSpec ruleSpec);

    void destroy();

    @Override
    ExportPolicy refresh();
}
