/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/ExportPolicyRule.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import java.util.List;

public interface ExportPolicyRule {
    int getAnonymousUserId();

    String getClientMatch();

    String getChangeOwnershipMode();

    String getNtfsUnixSecurityOperations();

    boolean isAllowDeviceCreationEnabled();

    boolean isAllowSetUuidEnabled();

    String getPolicyName();

    int getRuleIndex();

    List<String> getAccessProtocols();

    List<String> getReadOnlySecurityFlavors();

    List<String> getReadWriteSecurityFlavors();

    List<String> getSuperUserSecurityFlavors();

    void modifyRuleIndex(int newRuleIndex);

    void destroy();
}
