/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/ExportPolicyRuleSpec.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

public interface ExportPolicyRuleSpec {

    String getClientMatch();

    String getRoRule();

    String getRwRule();

    Boolean isAllowSetUid();

    Integer getRuleIndex();

    String getSuperUserSecurity();

    String getAnonymousUserId();

    String getProtocol();

    Boolean isAllowDeviceCreation();

    interface Builder {

        Builder allowSetUid(boolean allowSetUid);

        Builder allowDeviceCreation(boolean allowDeviceCreation);

        Builder protocol(String protocol);

        Builder anonymousUserId(String anonymousUserId);

        Builder superUserSecurity(String superUserSecurity);

        Builder ruleIndex(int ruleIndex);

        ExportPolicyRuleSpec build();
    }
}
