package com.netapp.offtap3.ontap;

import com.netapp.offtap3.Size;
import com.netapp.offtap3.VolumeLoader;
import com.netapp.offtap3.VolumeResource;

import java.util.List;


public interface FilerVolume extends OntapVolume {

    Filer getController();

    Integer getEarlyWarningThreshold();

    boolean isSnapLock();

    @Override
    @VolumeLoader(VolumeResource.snapshots)
    Size getSnapshotReserveUsed();

    @VolumeLoader(VolumeResource.snapvault_schedule)
    List<SnapVaultSchedule> getSnapVaultSchedules();

    SnapVaultSchedule createSnapVaultSchedule(String scheduleName);

    void setQtreeSecurity(SecurityStyle style);

    void addToVFiler(VFiler vfiler);

    @Override
    FilerVolume refresh();
}
