package com.netapp.offtap3.ontap;

import com.netapp.offtap3.Refreshable;

public interface LunStats extends Refreshable {

    public long getLastZeroed();

    public long getReadOps();

    public long getBlockSize();

    public long getOtherOps();

    public long getReadBlocks();

    public long getScsiErrors();

    public long getWriteBlocks();

    public long getWriteOps();

    public String getPath();

    public String getVserver();

    @Override
    LunStats refresh();
}
