/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/NdmpCopyProcess.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

public interface NdmpCopyProcess {
    final int COPY_IN_PROGRESS_RC = -2;
    final int COPY_EXCEPTION_RC = -1;

    int getReturnCode();

    long getDestinationFileSize();

    long getSourceFileSize();

    int getPercentComplete();

    boolean isComplete();

    boolean hasError();

    Throwable getException();
}
