/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/NodeSvm.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.HasFcpAdapters;
import com.netapp.offtap3.HasParentController;
import com.netapp.offtap3.Size;

public interface NodeSvm extends Svm, HasAsupInfo, HasCModeAggregates, HasFcpAdapters, HasParentController {

    @ControllerLoader(ControllerResource.flash_cache)
    Size getFlashCacheCapacity();

    @ControllerLoader(ControllerResource.cf_info)
    String getPartner();

    @ControllerLoader(ControllerResource.cf_info)
    String getHighAvailabilityMode();

    @ControllerLoader(ControllerResource.cf_info)
    String getClusterStatus();

    AdminSvm getParentController();

    boolean isUp();
    
    long getUptime();
}
