package com.netapp.offtap3.ontap;

import com.netapp.offtap3.Refreshable;

/**
 * Describes a SnapVault schedule.  Only implemented for 7-mode.
 */
public interface SnapVaultSchedule extends Refreshable {

    long getRetentionCount();

    void setRetentionCount(int retentionCount);

    String getDaysOfWeek();

    String getHoursOfDay();

    void delete();

    void initiateSnapshot();

    @Override
    SnapVaultSchedule refresh();

    enum Relation {primary, secondary}

}
