package com.netapp.offtap3.ontap;

import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.HasParentController;
import com.netapp.offtap3.IpInterface;

public interface VFiler extends Filer, HasParentController {
    PFiler getParentController();

    // The identifier for a vfiler has to be built using vfiler-list-info,
    // since system-info is not enough
    @ControllerLoader(ControllerResource.vfilers)
    @Override
    String getId();

    @ControllerLoader(ControllerResource.vfiler_status)
    String getVFilerStatus();

    // vfiler interfaces are discovered at the same time as the vfilers themselves
    @ControllerLoader(ControllerResource.vfilers)
    @Override
    java.util.Map<String, IpInterface> getIpInterfaces();
}
