package com.netapp.offtap3.ontap;

import com.netapp.offtap3.DiscoveryError;


public class ZapiExecutionError extends DiscoveryError {

    private final NaElement failedZapi;

    public ZapiExecutionError(String message, NaElement zapi, Throwable ex) {
        super(message, ex);
        failedZapi = zapi;
    }

    public NaElement getFailedZapi() {
        return failedZapi;
    }
}
