package com.netapp.offtap3.ontap.utils;

import java.util.concurrent.Callable;

public abstract class OntapCallable<X> implements Callable<X> {
    private OntapThreadSpecificInfo threadInfo;

    public OntapCallable() {
        threadInfo = new OntapThreadSpecificInfo();
    }

    @Override
    public final X call() throws Exception {
        threadInfo.applyToCurrentThread();
        return callLocal();
    }

    public abstract X callLocal() throws Exception;
}
