/*
 * $Id: //depot/prod/aeonflux/main/src/main/java/com/netapp/offtap/utils/privileges/CModeRoleType.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap.utils.privileges;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for cModeRoleType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="cModeRoleType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element ref="{}read-only" minOccurs="0"/>
 *         &lt;element ref="{}all-access" minOccurs="0"/>
 *       &lt;/all>
 *       &lt;attribute ref="{}id use="required""/>
 *       &lt;attribute ref="{}label use="required""/>
 *       &lt;attribute ref="{}description use="required""/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "cModeRoleType", propOrder = {

})
public class CModeRoleType implements RoleType {

    @XmlElement(name = "read-only")
    protected CommandGroupType readOnly;
    @XmlElement(name = "all-access")
    protected CommandGroupType allAccess;
    @XmlAttribute(name = "id", required = true)
    protected String id;
    @XmlAttribute(name = "label", required = true)
    protected String label;
    @XmlAttribute(name = "description", required = true)
    protected String description;

    /**
     * Gets the value of the readOnly property.
     * 
     * @return
     *     possible object is
     *     {@link CommandGroupType }
     *     
     */
    public CommandGroupType getReadOnly() {
        return readOnly;
    }

    /**
     * Sets the value of the readOnly property.
     * 
     * @param value
     *     allowed object is
     *     {@link CommandGroupType }
     *     
     */
    public void setReadOnly(CommandGroupType value) {
        this.readOnly = value;
    }

    /**
     * Gets the value of the allAccess property.
     * 
     * @return
     *     possible object is
     *     {@link CommandGroupType }
     *     
     */
    public CommandGroupType getAllAccess() {
        return allAccess;
    }

    /**
     * Sets the value of the allAccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link CommandGroupType }
     *     
     */
    public void setAllAccess(CommandGroupType value) {
        this.allAccess = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the label property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLabel() {
        return label;
    }

    /**
     * Sets the value of the label property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLabel(String value) {
        this.label = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

}
