/*
 * $Id: //depot/prod/aeonflux/main/src/main/java/com/netapp/offtap/utils/privileges/ClusterModeType.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap.utils.privileges;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for clusterModeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="clusterModeType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element ref="{}admin-vserver" minOccurs="0"/>
 *         &lt;element ref="{}direct-vserver" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "clusterModeType", propOrder = {

})
public class ClusterModeType {

    @XmlElement(name = "admin-vserver")
    protected VserverType adminVserver;
    @XmlElement(name = "direct-vserver")
    protected VserverType directVserver;

    /**
     * Gets the value of the adminVserver property.
     * 
     * @return
     *     possible object is
     *     {@link VserverType }
     *     
     */
    public VserverType getAdminVserver() {
        return adminVserver;
    }

    /**
     * Sets the value of the adminVserver property.
     * 
     * @param value
     *     allowed object is
     *     {@link VserverType }
     *     
     */
    public void setAdminVserver(VserverType value) {
        this.adminVserver = value;
    }

    /**
     * Gets the value of the directVserver property.
     * 
     * @return
     *     possible object is
     *     {@link VserverType }
     *     
     */
    public VserverType getDirectVserver() {
        return directVserver;
    }

    /**
     * Sets the value of the directVserver property.
     * 
     * @param value
     *     allowed object is
     *     {@link VserverType }
     *     
     */
    public void setDirectVserver(VserverType value) {
        this.directVserver = value;
    }

}
