package com.netapp.offtap3.utils;

import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

/**
 * Little struct to talk about what happened when we launched
 * a process        
 */
public class ProcessLaunchResults {
    private List<String> outputLines = new CopyOnWriteArrayList<String>();
    private List<String> errorLines = new CopyOnWriteArrayList<String>();
    private boolean finished;
    private int exitCode;
    private Process process;
    
    public List<String> getOutputLines() {
        return outputLines;
    }
    public void setOutputLines(List<String> outputLines) {
        this.outputLines = outputLines;
    }
    public List<String> getErrorLines() {
        return errorLines;
    }
    public void setErrorLines(List<String> errorLines) {
        this.errorLines = errorLines;
    }
    public boolean isFinished() {
        return finished;
    }
    public void setFinished(boolean finished) {
        this.finished = finished;
    }
    public int getExitCode() {
        return exitCode;
    }
    public void setExitCode(int exitCode) {
        this.exitCode = exitCode;
    }
    public Process getProcess() {
        return process;
    }
    public void setProcess(Process process) {
        this.process = process;
    }
    
    
}
